2006-04-27 Karsten Dambekalns <k.dambekalns@fishfarm.de>

	* *** Released 0.7.4 "not2early" ***
	* Updated Smarty to 2.6.13, ADOdb to 4.80.
	* Updated JPGraph to 2.1.1 and 1.20.3
	* Included switch to use the right jpgraph lib for the running PHP version and introduced new constant JPGRAPHPATH
	* Added JPGRAPHPATH to calendar2, tts and projects module
	* Comitted some other rather old changes still lying around in my harddrive

2006-04-16 Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* some minor updates before release
	* modules/calendar : mysql5 compatibility modifications
	* setup : DB driver verification added in step 2

2006-02-09 Jim Wilson <spiderbark@users.sourceforge.net>

	* fixed bug where endless loop or timeout was caused by attempting
	  to read certain emails with attachments. Change submitted to
	  Pear::Mail_Mime project.

2006-02-02 Jim Wilson <spiderbark@users.sourceforge.net>

	* added basic AppleMail attachment handling (just skips resource fork)
	 change submitted to Pear::Mail_Mime project

2006-02-02 Jim Wilson <spiderbarker@users.sourceforge.net>

	* fixed a bug in email address parsing that could on occaision falsely
	  issue an "Unmatched quote or bracket" error.

2006-01-15 Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* include\mSelectBox.class.php
	  modules\files\inc\files_func.inc.php
	  modules\files\inc\mime\Viewer.php
	  modules\files\lang\files.fr.lang
	  modules\news\definition2.xml
	  modules\news\inc\news_func.inc.php
	  modules\news\inc\settings.inc.php
	  modules\news\index.php
	  modules\news\lang\news.en.lang
	  modules\news\lang\news.fr.lang
	  modules\news\templates\default\html\news_details.tpl
	  modules\news\templates\default\html\news_edit.tpl :
	Added feature #1402997 : files attachement to news (with files module)

	* scripts\synclang.php
	  scripts\dosynclang.php
  	  modules\calendar\lang\calendar.fr.lang
	  modules\contact\lang\contact.fr.lang
  	  modules\general\lang\general.fr.lang
	  modules\faq\lang\faq.en.lang
	  modules\faqfrenzy\lang\faqfrenzy.fr.lang
	  modules\inventory\lang\inventory.fr.lang
	  modules\minicalendar\lang\minicalendar.en.lang
	  modules\quoting\lang\quoting.fr.lang
	  modules\tts2\lang\tts2.fr.lang
	  modules\wiki\lang\wiki.en.lang
	  modules\notes\lang\notes.fr.lang
	  modules\overview\lang\overview.fr.lang
	  modules\projects\lang\projects.fr.lang
	  modules\todo\lang\todo.fr.lang
	  modules\webmail2\lang\webmail2.fr.lang :
	Added a lang script and Updated 'fr' lang files

2006-01-09 Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules\calendar\inc\calendar_func.inc.php
	  modules\calendar\inc\dayview.inc.php
	  modules\calendar\index.php
	  modules\calendar\month.php
	  modules\calendar\templates\default\html\_calendar_day_row.tpl
	  modules\calendar\templates\default\html\calendar_date_delete.tpl
	  modules\calendar\templates\default\html\calendar_month.tpl :
	  Fixed bug #1217029 (count distinct in query)
	  and some other 'escaped quotes' bugs

2006-01-03 Karsten Dambekalns <k.dambekalns@fishfarm.de>

	* Added a patch that fixes a problem when editing account settings as
	user. Thanks to Thomas Knorr

2005-12-24 Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* setup/index.php,
	  setup/inc/setup_2.inc,
	  setup/inc/save_settings.inc.php,
	  setup/lang/setup.fr.lang :
	  some changes in setup process : curl extension is not needed anymore,
	  and some FR translations changed.

2005-12-24 Karsten Dambekalns <k.dambekalns@fishfarm.de>

	* Update to Smarty 2.6.11, ADOdb 4.68 and FPDF 1.53.

2005-11-17 Karsten Dambekalns <k.dambekalns@fishfarm.de>

	* Updated spanish translation, thanks to Jenaro Centeno Gomez!

2005-09-13 Franky Van Liedekerke <liedekef@pandora.be>

	(again long overdue changelog)
	* many changes and cleanups to the webmail2 code:
	  - fixes to the pear code
	  - added support for enriched content types
	  - new version of htmlarea, so we can paste again
	  - when replying, the message-id is in the repl-header again, for threads
	  - and many more ...

2005-04-25 Jim Wilson <spiderbarker@users.sourceforge.net>

        * Added text search support for IMAP folders.
        * Check server capabilities before attempting SORT.  Use SEARCH if
          full IMAP4 support on server.

2005-04-25 Jim Wilson <spiderbarker@users.sourceforge.net>

        * Added account options for using local (mgw) Trash and Sent folders
          for situations where servers do not allow operatios to such folders.

        * Fixed various bugs related to multiple IMAP servers.  Tested  basic
          operations on uw-imap, AOL, usa.net, Cyrus, and Courier.

2005-04-10 Franky Van Liedekerke <liedekef@pandora.be>
	(long overdue changelog)
	* many changes and cleanups to the webmail2 code:
	  - using pear libs for smtp authentication and mime decoding
	  - many imap fixes thanks to Spiderbarker (Jim Wilson)
	  - forward mail now includes the attachments
	  - new htmlarea version so we can use spellchecking when composing

2005-04-07 Jim Wilson <spiderbarker@users.sourceforge.net>

        * Added start for IMAP namespace support in order to properly support
          more IMAP implementations (various server software).

2005-04-03 Jim Wilson <spiderbarker@users.sourceforge.net>

        * Sent mail is now stored in IMAP Sent folder when sent the selected
          "from" address is an IMAP account email address.
        * Improved error messaging on send mail failures.

2005-03-09  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* includes/module_exec.inc.php : added check for installedModules

	* includes/appconfig.inc.php : added 'local' paths for images paths
	  in smarty.

	* modules/general/templates/default/html/_footer.tpl : fixed little bug
	  width vertical line separator (was too little).

	* modules/general/templates/default/html/_img_png.tpl
	  modules/calendar/templates/default/html/_calendar_subj_followup_row.tpl
	  modules/calendar/templates/default/html/calendar_all.tpl
	  modules/calendar/templates/default/html/_calendar_day_row.tpl
	  modules/calendar/templates/default/html/_cal_contentheader.tpl :
	  optimised .png images management

	* modules/calendar/templates/default/html/calendar_date_edit_natys.tpl :
	  fixed little 'template' bug in form : fields sizes, text styles

2005-03-05  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/setup/install.php : fixed 'duplicate key' bug.

2005-02-23  Jim Wilson <spiderbarker@users.sourceforge.net>

        * Added functioning (working) support for IMAP folders.
        * Added support for notify messages (html or js) in the maillist.tpl
          so that errors are displayed when only the maillist frame is
          reloaded.

2005-02-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Fixed bugs #1111962, #1101763, #1094855.

2005-01-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Added patches for a few bugs sent in by Halaszvari Gabor.

2005-01-10  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>
	* modules/calendar/month.php : fix for 'new year' bug
	(thanks to sebastien THOUVENIN)

2004-12-19  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* setup/index.php
	  setup/inc/step_1.inc.php : improvement of language autodetection.
	  If detected, language used is the first of Browser-configured languages.

	* setup/templates/default/html/setup.tpl : fixed display bug with msie
	  (texts were displayed as centered)

2004-12-13 Karsten Dambekalns <k.dambekalns@fishfarm.de>
	* Added patch #1081844 (set defaut rights).

2004-12-10 Karsten Dambekalns <k.dambekalns@fishfarm.de>
	Release 0.7.3

2004-12-08 Karsten Dambekalns <k.dambekalns@fishfarm.de>
	* Applied patches #1067939, #1045756, fixed a bunch of short_open_tags
	(never use them!), bug #1065349.

	* Updated to Smarty 2.6.6 (MUST remove cached templates!), ADOdb 4.54

2004-11-18 Karsten Dambekalns <k.dambekalns@fishfarm.de>
	* Committed some changes and fixes done the last days (weeks). Sorry for
	the delay.

2004-10-29 Karsten Dambekalns <k.dambekalns@fishfarm.de>
	* Removed referer check in forum, as it caused constant pain, and session
    hijacking is avoided elsewhere

2004-09-22 Franky Van Liedekerke <liedekef@pandora.be>
	* added the possibility for per module debugging in container.inc.php
	  Just add a variable $myEnv["debug"] to a file included with your
	  module and the value is the same as the error_reporting() function

2004-09-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Added new vietnamese translation.

2004-09-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated to Smarty 2.6.4, ADOdb 4.52, axmls 1.0.2

	* modules/todo/templates/default/html/todo_details.tpl: Fixed bug
	#998285 (date only --> date + time ?!?).

	* modules/tts/: Added patch #958543. (Unresolved tickets in
	overview). Please have a look and check if this works as
	expected.

	* Updated ja translation provided by Tadashi Jokagi.

	* Updated pt_br translation provided by Rodrigo Carvalhaes.

	* Updated lt translation provided by Atviro kodo sprendimai.

2004-09-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/_navi.tpl: Fixed bug
	number 1006942.

	* modules/admin/templates/default/html/usermanager_edit.tpl:
	* modules/admin/usermanager.php: Deleting and/or deactivating the
	admin user is not possible any longer (bug #1014206).

	* Added patch #1008531 (rights checking returns incorrectly if
	user is not logged in).

	* Updated norwegian translation. Thanks to Martin Kronstad.

2004-08-30  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>
	* Fixed bug #1018334

2004-07-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* The last days I did some work on mgw again, thus eliminating
	some bugs (deleted users showing in calendar and group admin,
	projects overview, contacts settings, ...).
	More to come, and then time to think about a new release.

2004-06-28  Karsten Dambekalns <k.dambekalns@fishfarm.de>

	* Updated to Smarty 2.6.3, ADOdb 4.22, JPGraph 1.16, axmls 1.0.1

	* Fixed bug #974894.

2004-06-27  Franky Van Liedekerke <liedekef@pandora.be>
	* new functionality for webmail2: now you can choose a target folder
	  for each mail account (defaults to inbox)

2004-06-13  Franky Van Liedekerke <liedekef@pandora.be>

	* webmail2: made the ports for imap/pop3/smtp connections adjustable
	* added a new option for MIM notfications: include original message
          in reply

2004-06-13  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* include/userfunc.inc.php : added missing declaration of
	  $Revisions_array in function showSystemInfo()
	  (useful for detecting 'out of date' bug reports!)
	* modules/calendar/inc/calendar_func.inc.php :
	* modules/calendar/index.php : fixed bug #950796 and #962779
	* modules/workflow/lang/workflow.fr.lang : corrected accented characters

2004-06-02  Franky Van Liedekerke <liedekef@pandora.be>

	* added back user definable webmail message filters

2004-05-26  Franky Van Liedekerke <liedekef@pandora.be>
	* optimisation of the code when fetching mails
	* select the account that received the message to send
	  a notification when a notification reply is requested.

2004-05-23  Franky Van Liedekerke <liedekef@pandora.be>

	* added new option for webmail2: the possibility to delete messages
	  on the server when deleting them locally. Of course this is only
	  usefull for POP3 accounts where you selected the option "Leave
	  messages on server"

2004-05-03  Franky Van Liedekerke <liedekef@pandora.be>

	* made it so tht html mails with their own "head,body" tags only
	  show the body part of the html code, the rest gets stripped.
	Files changed:
	modules/webmail2/readmessage.php
	modules/webmail2/templates/default/html/readmessage.tpl

2004-05-03  Franky Van Liedekerke <liedekef@pandora.be>

	* added webmail2 quota support, tx to Tom. See www.gemini-sys.de
	Files changed:
	modules/webmail2/definition2.xml
	modules/webmail2/index.php
	modules/webmail2/fetchmail.php
	modules/webmail2/maillist.php
	modules/webmail2/myfolders.php
	modules/webmail2/inc/settings.inc.php
	modules/webmail2/inc/smenu.php
	modules/webmail2/inc/webmail2_func.inc.php
	modules/webmail2/lang/webmail2.en.lang
	modules/webmail2/lang/webmail2.de.lang
	modules/webmail2/templates/default/html/fetchmail.tpl
	modules/webmail2/templates/default/html/maillist.tpl
	modules/webmail2/templates/default/html/myfolders.tpl
	Files added:
	modules/webmail2/quota_settings.php
	modules/webmail2/templates/default/html/quota_settings.tpl

2004-05-03  Ryan Verner  <ryan@bullmedia.com.au>

	* modules/contact/lang/contact.en.lang: Added missing definitions.

	* modules/projects/inc/rights.inc.php: Fixed a spelling mistake, which
	was disabling some rights functionality (see Rights2).  This seems to
	be implemented on the overview screens (notice icons), but not in the
	actual details/edit screens; needs work, but definitely is needed
	functionality.  Found this as I was trying to implement similar code :-)

2004-04-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* The general module should update the level field to 9.

	* Added upgrade to 0.7.2 section to appendix, changed
	version.inc.php, fixed XSL (somewhat).

	* modules/contact/inc/contact.class.php: Fixed bug with display
	settings - settings are in an array...

	* Fixed bug #943880 in filemanager.

2004-04-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contacts/contact/inc/contact.class.php: Fixed bug
	#911766.

2004-04-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php: Added a patch from Volker
	Holthaus that allows case insensitive searching in an elegant way.

2004-04-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated japanese language files, thanks to Tadashi Jokagi.

	* Setup checks for at least PHP 4.2 now.

	* Some fixes to definition2.xml files (size attributes on I fields).

2004-04-21  Franky Van Liedekerke <liedekef at pandora dot be>
	* modules/webmail2/fetchmail.php, modules/webmail2/fetchmail_small.php
	  and modules/webmail2/templates/default/html/fetchmail_small2.tpl:
	  code added so a notification happens (possibly popup) if new mail
	  has arrived

2004-04-20  Franky Van Liedekerke <liedekef at pandora dot be>
	* modules/workflow/templates/default/html: small template fixes
	* include/appconfig.inc.php: make ROOTPATH also available for
	smart templates (variable $rootpath), just as ROOTURL is ($rooturl)
	Usefull if you want to include templates from other modules in your
	smarty templates

2004-04-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/templates/default/html/usermanager_edit.tpl: Fixed
	bug #935925.

2004-04-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/todo.class.php: Workaround for bug
	#917939. Needs proper handling, though, maybe by switching to
	UTF-8 alltogether.

	* modules/forum/inc/forum.class.inc: Added fix from bug #924132.

	* modules/tts/inc/ticket.class.php: Fixed an issue reported by
	leyeti via email.

2004-04-14  Ryan Verner <xfesty@computeraddictions.com.au>

	* modules/quoting/: Initial commit of Quoting module, as developed
  	by James McLean of Bullmedia.  Still has some bugs, and UI issues
  	to be resolved, but mostly works quite well.

	* modules/calendar2/inc/overview.inc.php: This was removed, not sure
	why - readded.

	* modules/projects/templates/default/html/projects_mytasks.tpl: A
	cleaner looking My Tasks overview.  Still has some UI ickyness
	I need to resolve after some thinking, but it's more efficient
	then the older one, IMHO.

	* modules/contact/inc/company.class.php:
	* modules/contact/templates/default/html/contact_comp_details.tpl:
	Company details now shows any Projects, and Contacts for that
	company.  Contacts is somewhat redundant, but it's very useful
	having the information here, rather than on a seperate screen.

	* modules/contact/templates/default/html/contact_list.tpl: The
	overview for contacts now shows the occupation/position for the
	person.  This is especially useful when you're searching.

2004-04-13  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/calendar_all.php : fixed bug #933547 some others.

	* modules/news/definition2.xml : fixed bugs #924421.

	* modules/general/templates/default/media/menutheme/JSCookMenu.js :
	* modules/webmail2/templates/default/html/index.tpl : optimized
	(a little) the menu speed in MSIE for all modules except webmail2.

2004-04-06  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Fixed (parts) of the XML file for the inventory module to make
	it install on PgSQL. Same for contacts.

2004-04-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Fixed bug #902685 in file manager template.

	* Update to Smarty 2.6.2, ADOdb 4.21, FPDF 1.52, JpGraph 1.14.

	* Added latest HTMLAREA code (from CVS, labeled 3.0-RC1) including
	all plugins available. For later use...

	* Some more small fixes.

	* modules/contact/: Added a patch that allows easier CRM entry
	creation and some more things. Thanks for this.

	* Added updates to the zh_tw and ro translations.

	* Added back admin2, calendar2 and webmail2 for 0.7.2
	release. Whether these module will stay for subsequent releases
	ist still unclear. admin2 will probably replaced, though...
	Sorry for all the fuss.

2004-03-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* scripts/date_reminder2.php: Working reminder script compatible
	to Calendar2. Thanks to Martin Grund.

	* modules/tts/inc/ticket.class.php: Change for bug #906842.

	* modules/headline/index.php: Assigning icon id for remove
	channels screen now.

	* modules/headline/templates/default/html/headl_channel_remove.tpl:
	Fixed links, classes and alt texts.

2004-03-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/adodb/adodb-xmlschema.inc.php: Added function to avoid
	the need for PHP 4.3.0 (due to file_get_contents), bug #916593.

2004-03-06  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/month.php : fixed bug #910947 and part
	of #908009
	* modules/calendar/index.php : fixed bugs #870949 and #877659

2004-03-05  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/inc/calendar_func.inc.php : some updates
	* modules/calendar/index.php: fixed 'timeserie update' bug
	and some others

2004-03-04  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/index.php: fixed bugs #875390, #892941,
	and #891752. (id_class missing)

2004-03-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Added romanian translation, thanks to Eduard Malinschi!

2004-03-03  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/general/templates/default/html/_img_png.tpl:
	fixed bug #898278 (allow_url_fopen permission)

2004-02-28  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/view_avail.php: fixed bugs #870536, #887082,
	and #900948
	* modules/calendar/subj_followup.php:
	* modules/calendar/inc/overview.inc.php:
	* modules/calendar/templates/default/html/_subj_followup_row.tpl:
	fixed bugs #887084, and #849620

2004-02-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/index.php: Fixed bug #899784.

2004-02-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/tts/inc/ticket.class.php: Fixed bug #841497 (by adding
	the proposed solution from the bug entry).

2004-02-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/*/definition2.xml: All files changed to version 0.2 of
	the schema, to fit with axmls 1.0 and avoid on-thy-fly
	transformation via XSLT (this way we don't need XSLT support in
	PHP for now...).

	* modules/settings/index.php: Fixed bug #859408 (translations in
	settings).

	* modules/todo/templates/default/html/todo_list.tpl:
	* modules/todo/inc/todo.class.php: Added RFE #770639 (make title
	clickable)

	* include/userfunc.inc.php:
	* include/Auth/ldap.inc.php:
	* include/Auth/sql.inc.php:
	* modules/admin/templates/default/html/usermanager_edit.tpl:
	* modules/admin/usermanager.php: Added RFE #847253 (for users
	only).

	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/settings.inc.php: Added RFE #709712,
	contacts can be shown 'firstname lastname' now.

	* include/userfunc.inc.php:
	* include/module_exec.inc.php: Cleaned up the module setup code.

	* include/appconfig.inc.php: Fixed path to session class and
	switched to using cryptsession.

	* include/adodb: Update to 4.11.

	* include/adodb/xsl:
	* include/adodb/xmlschema.dtd:
	* include/adodb/adodb-xmlschema.inc.php: Updated to version 1.0.

2004-02-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/index.php: (Hopefully) fixed bug #897405 by
	adding a check for imagettfbbox().

	* modules/news/index.php: Fixed bug #872457.

	* modules/useralbum/inc/rights.inc.php: Added to fix bug #860942.

	* modules/forum/inc/forum.class.inc: Fixed bug #874696.

	* scripts/readconfig.php: 'Fixed' bug #866846.

	* modules/news/templates/default/html/news_details.tpl: Made it
	possible to show formatted news texts.

2004-02-16  Ryan Verner <xfesty@computeraddictions.com.au>

	* scripts/makeschema.pl: Basic script to convert existing MySQL
	tables to compatible XML schemas as per definition2.xml files,
	written by James Mclean.  The translations probably need some
	work, but this seems to create identical definitions.

	* modules/projects/inc/settings.inc.php: Added new settings file
	for 'projects', allows for turning on/off email/MIM/screen
	notification of new tasks added/modified.  Forgot to add this when
	I committed the following files a few days ago:

	* modules/projects/index.php:
	* modules/projects/lang/projects.en.lang: Translations needed for
	other languages (email notification, etc).

2004-02-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/inc/files_func.inc.php: The user 'admin' has all
	rights in file module now (bug #872144).

	* modules/contact/inc/settings.inc.php: Removed contacts_per_page
	setting.

	* modules/partprog/index.php:
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/company.class.php:
	* modules/notes/inc/category.class.php:
	* modules/notes/inc/note.class.php: Using new list_items_number
	setting.

	* modules/general/inc/settings.inc.php: New setting
	'list_items_number' for chosing how many items will be shown in
	list views.

	* modules/projects/index.php: Empty titles are now populated with
	a default string. Fixes bugs like #879680.

	* modules/files/inc/files_func.inc.php: getUsername() now return
	the full name, not the username.

	* modules/admin/usermanager.php: When deleting a user the level is
	set to UDELETED and the username is set to the users id (making it
	possible to reuse the username without breaking the unique
	constraint on the field).
	List view shows no deleted users!

	* include/container.inc.php: Added three constants for user state
	(UACTIVE, UDISABLED, UDELETED).

2004-02-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/partprog/templates/default/html/partprog_list.tpl:
	* modules/partprog/index.php: Fixed bug #870653.

	* modules/contact/inc/contact.class.php: Fixed bug #880922.

	* modules/contact/inc/company.class.php: Fixed bug with popup
	display in company list view.

	* modules/calendar2/year_gantt.php:
	* modules/calendar2/month_gantt.php: Fixed bug #891910.

	* modules/forum/inc/forum.class.inc: Added patch #880758. Please
	check with MySQL!

	* modules/calendar2/inc/init2.inc.php: Added patch #879759. Please
	check with MySQL!

	* modules/forum/templates/default/html/admin_frm_categories.tpl:
	* modules/forum/inc/forum.admin.class.inc: Added patch #885129.

2004-02-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/index.php: Added patch #882888.

	* Added pt_pt patch #891653.

2004-01-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/index.php: Fixed bug #876480.

2004-01-30  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar2/templates/default/html/calendar2_index.tpl:
	fixed javascript-translation bug #871654 (thanks to Erwan Pianezza)

2004-01-29  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/calendar/view_avail.php:
	* modules/calendar/lang/calendar.*.lang: updated 2 entries in
	lang files + german lang file (thanks to Christian Haas).
	* modules/forum/setup/install.sql: DELETED :
	fixed 'table already exists' bug in forum installation
	* modules/general/setup/install.sql: DELETED :
	fixed 'duplicate entry' error when installing moregroupware
	* modules/calendar/inc/overview.inc.php : fixed bug #872126

2004-01-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/useralbum/index.php: Fixed bug #859216.

	* modules/useralbum/templates/default/html/useralbum_list.tpl:
	smarty:nodefaults added.

2004-01-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/mim_status.tpl: Fixed
	double-slash.

2004-01-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php: Fixed bug #862820.

	* modules/general/templates/default/css/*: Fixed bug #861187.

	* modules/admin/usermanager.php: Fixed bug #860590.

2004-01-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Added project module changes sent in by Travis.

2004-01-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/usermanager.php: Fixed bug #872262, #866747,
	#860582.

	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contact.class.php: Fixed bug #872569.

	* Added pt_pt patch #860264.

	* modules/files/index.php: Added patch #873440 to fix size display
	for folders and emailing files.

2003-12-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/index.php: Fixed a bug that caused the path to the
	templates_c folder to be *displayed* wrong. Setup worked anyway.

	### Release 0.7.1

	* modules/contact/index.php: Added redirect() calls to fix bug
	#852330.

2003-12-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/css/:
	* modules/general/templates/default/html/mim_list.tpl:
	* modules/general/templates/default/html/mim_status.tpl:
	* modules/general/mim.php: Added a few things to MIM sent in by
	Chad Streeter.

	* modules/general/templates/default/html/_footer.tpl: Fixed bug
	#857395.

	* setup/lang/setup.pt_br.lang: Fixed 'bug' #857839.

	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contact.class.php: Fixed bug #857702.

	* include/fonts/: Added the Vera font for use with JPGraph.

	* modules/projects/inc/projects_func.inc.php:
	* modules/projects/index.php: Added another patch sent in by
	Travis Dawson to enhance GANTT charting. Thanks!

	* index.php: Another small fix to login handling w/ LDAP.

2003-12-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* index.php: Fixed admin logins with LDAP, they go to the database
	again. Thanks to DuckMaster on IRC for helping with the tests!
	This means bug #853674 should be fixed.
	Changed the remote IP fetching, should fix bug #853706.

	* modules/settings/index.php: Fixed bug #850870, settings are
	translated by default again.

2003-12-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/index.php: Fixed bug #857330.

	* modules/admin/system.php: Fixed bug with magic_quotes_gpc when
	editing system configuration (#856825).

	* modules/admin/inc/SystemTools.class.php: Fixed a bug with
	sequence checking (invalid cast to int).

2003-12-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php:
	* modules/contact/index.php: Fixed bug with vCard import and
	open_basedir.

2003-12-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* (Almost) all language files touched with cleanup. This should
	make all language files available in all languages, sort them by
	key, remove duplicate strings. Please test and translate, folks!

	* scripts/synclang.php: A helper to sort and sync language files
	against the english master files. Look at the source to see how it
	works (a little help is built in). This is to be run as command
	line script! A little rough around the edges, as it will be
	replaced by the translator tool ASAP.

2003-12-06  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/*/lang/*.de.lang: Tested new synclang.php script, seems
	to work ok...

	* modules/projects/lang:
	* modules/projects/templates/default/html/projects_tasklist.tpl:
	Fixed translation as suggested in patch #854016.

	* modules/projects/index.php: Added a patch to improve GANTT
	charts for projects, needs moew work.

	* Added three updates to german manual. Thanks to Stefan Kugler.

2003-12-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/userfunc.inc.php: Fixed (stupid) bug.

	* include/appconfig.inc.php: Added two more constants STORE_URL
	and CACHE_URL to access store/cache via URL.

2003-12-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/modulemanager.php: Fixed a session issue when not
	using cookies.

	* modules/calendar2/inc/sidebar.php: Fixed bug #850038.

	* modules/contact/inc/pdf.class.php: Fixed bug #852774.

	* modules/contact/inc/contact.class.php: Fixed bug #852813.

	* modules/contact/templates/default/html/contact_edit.tpl: 'Fixed'
	bug #852816.

	* modules/contact/templates/default/html/contact_details.tpl:
	Fixed bug #853227.

2003-12-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/usermanager.php: Added checks for username and
	password being non-empty when importing users from CSV (#844575).

	* include/Auth/ldap.inc.php:
	* include/Auth/http.inc.php:
	* index.php: Started work on login handling. index.php has been
	cleaned up, http.inc.php always returns false now (there isn't any
	code in this file, so...) and ldap.inc.php has been cleaned up a
	bit (style-wise).

	* modules/files/index.php: Fixed warnings.

	* modules/files/inc/mime/Viewer/images.php: Fixed session issue
	when cookies off.

	* include/appconfig.inc.php: CACHE_FOLDER and STORE_FOLDER are now
	absolute paths, should fix the issue described in support request
	#841399.

	* modules/contact/inc/contactgroup.class.php: Added patch #852554.

2003-12-01  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/todo.class.php: Fixed bug #850890.

	* modules/news/inc/smenu.php: Fixed a warning.

	* modules/projects/templates/default/html/projects_list.tpl:
	* modules/projects/inc/projects_func.inc.php:
	* modules/projects/index.php: Added patch #848709.

	* modules/admin2/lang/admin2.nb.lang: Added patch #851932.

2003-11-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Added pt_pt patch #847624.

	* include/lang.inc.php:
	* setup/index.php: Avoiding bugs with logging during setup due to
	$GLOBALS['log'] being undefined (bugs #850130 and bug #850136
	among others).

	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/inc/contact.class.php: Fixed bug #850150.

	* modules/news/definition2.xml: Two PostgreSQL fixes.

	* modules/admin/usermanager.php: Bug fix in CVS import.

2003-11-27  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/news: corrected coherence with news menu
	  ('new news' must appear even just after the first channel
	  creation)

	* setup/lang/setup.fr.lang: updated French translation, according
	  to setup.en.lang

	* modules/calendar/inc/calendar_func.inc.php: fix a (missed)
	  small bug

	* include/userfunc.inc.php: added 'compatibles functions' section
	  at the bottom of the file, and added array_fill function for
	  PHP < 4.2.0

	* include/module_exec.inc.php: added code to 'refresh' settings :
	  avoid bug when admin has just install a module and then go
	  in this module.

	* modules/admin/modulemanager.php: added code for 'refresh' menu
	  after deleting a module

2003-11-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/settings.inc.php:
	* modules/general/inc/settings.inc.php: Fixed wrong check for
	successful SQL execution.

	* modules/settings/index.php: Fixed translate option.

	* setup/index.php: Fixed session start detection for cookies
	being enabled.

	* modules/contact/templates/default/html/contact_comp_list.tpl:
	* modules/contact/inc/company.class.php:
	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/inc/contact.class.php: Fixed bug #849528 (broken
	link clicking contacts field heading 0.7.1)

	* modules/calendar/week_a5.php:
	* modules/calendar/week.php:
	* modules/calendar/index.php: Fixed a bug with PostgreSQL (need
	grouping for selected fields).

	* modules/tts/inc/smenu.php:
	* modules/todo/inc/smenu.php:
	* modules/projects/inc/smenu.php:
	* modules/outboard/inc/smenu.php:
	* modules/notes/inc/smenu.php:
	* modules/headline/inc/smenu.php:
	* modules/forum/inc/smenu.php:
	* modules/files/inc/smenu.php:
	* modules/contact/inc/smenu.php: Fixed bug #849555 (Double-Slash
	in smenu.php)

2003-11-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/smarty/: Update to 2.6 final release.

	* include/adodb/adodb-datadict.inc.php: Removed ctype use, sorry

	* include/userfunc.inc.php: Fixed bug #848426.

	* modules/files/inc/files_func.inc.php: Fixed bug #848881.

	* setup/index.php: Added check for succesful start of
	session. Bails out if it doesn't get a non-empty SID (fixes bugs
	like #840270).

2003-11-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/Auth/ldap.inc.php: If we cannot bind to the LDAP server
	for checking we should return false, I think...

2003-11-22  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/news/lang:
	* setup/lang: Lang update.

	* modules/calendar2/inc/smenu.php :
	* modules/webmail2/inc/smenu.php : small changes for static menu
	compatibility + fix doubleslash bug.

	* include/userfunc.inc.php : set static menu compatibility.

	* modules/general/templates/default/html/_navi.tpl : added static
	menu.

	* modules/general/inc/settings.inc.php : added static menu option
	and updated menu option translation.

	* modules/general/lang/general.**.lang : updated menu option
	translation.

	* modules/help : added this for static menu compatibility.

	* modules/webmail2/templates/default/html/index.tpl : avoided
	double top bar with static menu.

2003-11-21  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* modules/news/: Added expiration date, archives, and new news
	flags : RFE #631149.

	* modules/****/inc/overview.inc.php : lowercase get*module*()
	functions for more coherence.

2003-11-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/notify.inc.php: Fixed error when inserting message with
	PostgreSQL.

	* Added pt_pt patch #845070.

	* modules/news/inc/overview.inc.php: Hackfixed bug #845958.

	* modules/news/index.php:
	* modules/outboard/inc/outboard.class.php:
	* modules/outboard/index.php: Fixed a few warnings.

	* modules/outboard/templates/default/html/outboard_edit.tpl: Fixed
	bug #846599.

	* modules/projects/: Added RFE #841616 ('Actual hours').

	* Fixed a few places where {$phpself} was used in templates. In
	the remaining places (mainly calendar) this seems to be needed,
	though (and is probably assigned correctly). This should fix a few
	more 'missing host' errors.

	* modules/projects/inc/projects_func.inc.php: Fixed bug #846456
	and more potential ones like it.

2003-11-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/inc/files_func.inc.php: Fix for bug #845964
	and #845629?

	* modules/admin/usermanager.php: Fix for creating users.

	* modules/projects/index.php: Some fixes for wrong error checks on
	GetRow(), bug #845591.

	* modules/files/serve.php: Fixed small error with error message.

2003-11-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/templates/default/html/todo_overview.tpl: Fixed
	status icon display.

	* setup/inc/step_6.inc.php: Fixed detection of CREATE INDEX errors
	during setup.

2003-11-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/useralbum/: New module based on the work of Martijn
	Bergevoet. Think 'evaluation code'...

	* modules/admin/occupationmanager.php:
	* modules/admin/workplacemanager.php: Those two (along with the
	additional user information) are based on a patch sent to me in
	May by Martijn Bergevoet. Thanks for that...

	* include/userfunc.inc.php: Changed axmls update to use
	upgradeSchema() instead of deprecated upgrade flag.

	* include/adodb/: Update to ADOdb 4.04 and axmls snapshot
	from 2003-11-17.

	* include/smarty/: Update to 2.6.0-RC3.

	* modules/contact/templates/default/html/contact_comp_list.tpl:
	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/templates/default/media/module.css: Fixed bug
	#843815.

	* modules/webmail2/lang/webmail2.es.lang: Added patch from the dev
	list.

	* setup/lang/setup.fr.lang: Added patch from the dev list.

	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/projects/templates/default/html/projects_mytasks.tpl:
	Fixed bug #844032.

2003-11-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/templates/default/html/input.tpl:
	* modules/settings/index.php: Added new type 'date' for settings.
	Added handling for enhanced user information.

	* modules/tts/templates/default/html/tts_gantt_view.tpl: Fixed a
	minor session propagation bug.

	* modules/news/channels.php:
	* modules/news/inc/smenu.php:
	* modules/news/index.php: Fixed bug #811507 (rights on news
	items).

	* modules/todo/: Fixed warnings and cleaned up templates.

	* modules/files/: Added patch #842113.

	* modules/files/index.php: Fixed bug #843574 (project name display).

	* modules/files/inc/smenu.php: Fixed rights checking issue.

2003-11-16  Ryan Verner  <xfesty@computeraddictions.com.au>

	* modules/projects/index.php: Comments author now shows correctly.

	* modules/general/definition2.xml:
	* modules/general/templates/default/html/mim_read.tpl:
	* modules/general/lang/general.en.lang:
	* modules/general/mim.php: Timestamp "recieved at" support for MIM.

2003-11-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Added pt_pt patch (#842266). Thanks Paulo!

	* modules/projects/index.php: Fixed part of bug #840979.

	* modules/general/definition2.xml: Fixed installation PostgreSQL
	(added empty default values).

	* modules/contact: Fixed a remaining popup menu bug when using
	alphabet list.
	Fixed PDF export issues.
	Added popup menu and mass update to company listing.

	* modules/projects/index.php: Fixed a bunch of warnings and a few
	bugs.

2003-11-13  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* include/userfunc.inc.php : added some code to load defaults
	settings of modules even if not in database. (code from webmail2 :
	thanks to thomas)

	* modules/calendar : fixed some little bugs

2003-11-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/: Immediate creation of a company when creating
	a contact is now possible (RFEs #708875, #823821).

	* include/userfunc.inc.php: Fixed a warning.

	* modules/files/inc/smenu.php: Fixed bug #840935.

	(Hopefully) fixing bug #823716 ('Missing slash') with the
	following changes:

	* include/appconfig.inc.php:
	* setup/inc/step_6.inc.php: Moved definition of ROOTURL to
	config.inc.php.

	* modules/tts/templates/default/html/tts_gantt_view.tpl:
	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/webmail2/templates/default/html/:
	* modules/calendar2/templates/default/html/:
	* modules/calendar/templates/default/html/:
	* modules/general/templates/default/html/: Removed 'double slash'
	after {$rooturl}.

	* setup/inc/save_settings.inc.php: Checking for trailing slash in
	rooturl.

	* setup/inc/step_4.inc.php:
	* setup/inc/step_3.inc.php:
	* scripts/date_reminder.php:
	* modules/partprog/index.php:
	* modules/headline/inc/headline.inc.php:
	* modules/forum/inc/forum_func.inc.php:
	* modules/forum/inc/forum.class.inc:
	* modules/files/inc/mime/Viewer/images.php:
	* include/userfunc.inc.php:
	* include/smarty_plugins.php:
	* include/module_exec.inc.php:
	* include/appconfig.inc.php: Using ROOTURL instead of
	$appconf['rooturl'] now.

2003-11-12  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding noicon (e.g. "true"), base (e.g. "usermanager.php") to mgw_modules
	* adding code for browser detection ($_SESSION["MGW"]->browser)
        * adding translate_module to myenv to disable module translation
        but allow general translation

2003-11-12  Matthieu Paineau  <matthieu.paineau@wanadoo.fr>

	* updating calendar(v1) (4 months result of work) : lot of bug fixes, some features added.

	* modules/overview/lang/ : added 3 sentences in lang files for calendar(v1).

	* include/mSelectBox.class.php : added SetEnabled(bool) function to set selectboxes 'disabled' or not.

	* modules/general/templates/default/html/_img_png.tpl : added a template allowing to use PNG images with transparency (compatible with all navigators).

	* modules/general/templates/default/js/overlib.js : added some code for hiding <SELECT> objects when a div is shown over.

	* modules/oveview/index.php : added security for not showing overview of a forbidden module

2003-11-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/: Template fixes and
	cleanup.

	* modules/contact/inc/contactgroup.class.php: Fixed a date display
	issue and description formatting.

	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contact.class.php: Fixed warnings.

	* modules/admin/templates/default/html/groupmanager_list.tpl:
	* modules/admin/groupmanager.php: Fixed date display in list view.

	* modules/general/inc/settings.inc.php: Users cannot select admin
	or admin2 as default module any longer (fixes bug #840358) plus
	only modules with access rights are offered as choice.

	* modules/admin/modulemanager.php: Resetting default module to
	overview when deactivating or removing modules.

	* modules/todo/inc/todo.class.php: Fixed warnings and projects
	integration.

	* modules/todo/index.php: Fixed warnings.

	* include/adodb/adodb-xmlschema.inc.php: Fixed broken prefix
	handling.

	* include/adodb/: Rolled back the downgrade to 4.01.

	* setup/inc/step_6.inc.php:
	* include/userfunc.inc.php: Rolled back db prefix to 'mgw'.

2003-11-11  Thomas Bley  <thomas.bley@simple-groupware.de>

	* removing QMagic from admin2/calendar2/webmail2
	* adodb downgrade, totally broken prefix handling

2003-11-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/index.php: Fixed redirection bug on certain
	actions that led to the login form appearing.
	Fixed bug #840025.

	* modules/general/templates/default/css/*.css: Fixed layout bug
	introduced by row hightlighting.

	* modules/contact/inc/contact_func.inc.php: Fixed bug #839864.

2003-11-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/notify.inc.php: Changed ADOdb return value check to
	(hopefully) fix bug #838049.

2003-11-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/adodb/: Update to version 4.03.

	* include/adodb/adodb-xmlschema.inc.php: Updated to CVS revision
	1.14 to fix empty default value constraints (bugs #838110, #837347).
	Fixed a bug with table names, patch submitted to axmls.

	* Added french projects lang patch (#839111), fixes bug #837294.

2003-11-09  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding holiday support to calendar2
	* adding support for external calendars (e.g. icalshare.com)

2003-11-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/tts/inc/inter.class.php: Removed constant definition to
	avoid a warning (already defined in ticket class).

	* setup/inc/step_2.inc.php: YAF to OS detection.

	* modules/general/templates/default/: Added patch for row
	highlighting on mouseover (#837315).

	* docs/docbook/de/chapters/setup_intro.xml: Added update to german
	translation.

	* modules/webmail2/lang/webmail2.pt_pt.lang: Added pt_pt patch
	(#838388).

2003-11-08  Ries van Twisk  <mgw@rvt.dds.nl>

	* docs/html/nohelp.nl.html: Dutch translation
	* modules/tts/inc/ticket.class.php:
	* modules/tts/inc/inter.class.php: Fixed date/time issues
	  fixed a few historic issues

2003-11-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/todo.class.php: Fixed bug #837581.

	* setup/inc/step_2.inc.php: Fixed bug #837418.

2003-11-07  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding complete insert for mgw_config, mgw_configtags

2003-11-06  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/inc/category.class.php: Fixed a category deletion bug.

	* modules/settings/templates/default/html/settings_options.tpl:
	* modules/notes/inc/smenu.php: Fixed session propagation bug.

	* include/notify.inc.php: Fixed bug #831459 as well as a few more
	flaws.

	* include/module_exec.inc.php:
	* modules/settings/index.php: Re-enabled general settings.

	* modules/contact/inc/contact.class.php: Fixed bug with popup menu
	being broken when using the alphabetic list feature. This fixes
	bug #836792 as well (and might fix bug #836805 on top).

2003-11-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/index.php: Fixed bug #827630.

	* Added pt_pt patch.

2003-11-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.class.inc: Fixed date issues, thanks
	to leyeti for the hint.

	* Setup language file fixes.

2003-11-04  Thomas Bley  <thomas.bley@simple-groupware.de>

	* bugfix for double modules in overview after update
	* webmail2: notifications, readding iconbar
	* calendar2: participants + ical import / update / export

2003-11-03  Ries van Twisk  <mgw@rvt.dds.nl>
	* modules/tts/inc/ticket.class.php: removed ticks (') in
	select sql
	Change the way a TTS overview is generated when a ticket
	does NOT have a project_id. This might solve BUG 815051,
	820017, 820853

2003-11-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/index.php: Fixed bug #833988.

2003-11-03  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding gantt diagrams to calendar2
	* beautifying month view

2003-11-02  Ries van Twisk  <mgw@rvt.dds.nl>

	* Updated dutch translations in modules: admin2, tts, general,
	admin
	* modules/tts/definition2.xml: added dependendcy for module notes
	* modules/tts/inc/ticket.class.php: Fixed some PostgreSQL errors
	regarding to date/time handeling ('' time inserts) a zero date
	is now set to the ISO date '1000-01-01 00:00:00+00'

2003-10-31  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/inc/step_6.inc.php: Added solution from bug #833402.

2003-10-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/inc/overview.inc.php: Fix for undefined variable
	issue.

	* docs/docbook/pt_br/appendices/appendix_upgrade.xml:
	* docs/docbook/de/appendices/appendix_upgrade.xml:
	* docs/docbook/en/appendices/appendix_upgrade.xml: Added upgrade
	appendix 0.6.8 to 0.6.9.

	* Slight adjustments to XML files to indicate 'unmaintained'
	modules.

2003-10-29  Thomas Bley  <thomas.bley@simple-groupware.de>

	* removing webmail2/setup/install.sql, instructions are now in
	webmail2/setup/install.php
	* removing general/setup/install.sql, instructions are now in
	general/setup/install.php and general/definition2.xml

2003-10-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/tts/inc/ticket.class.php:
	* modules/tts/mygantt.php: Possible fix for bug #830725.

	* modules/forum/inc/forum.user.class.inc:
	* modules/forum/index.php: Removing userLevel.

	* Updated japanese translation.

	* modules/forum/inc/forum.admin.class.inc: Removed reference to
	old rights table in appendUsers().

	* modules/forum/inc/forum.class.inc:
	* modules/forum/inc/forum.user.class.inc:
	* modules/forum/index.php: Removed last use of old rights
	system. This probably leaves some parts broken, forum would need a
	change towards the new new rights system. We should find a new
	maintainer?!?

2003-10-27  Ries van Twisk  <mgw@rvt.dds.nl>

	* Updated dutch translations in various modules
	* modules/outboard/inc/outboard.class.php: Changed date/time handeling

2003-10-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/setup/install.sql: Removed default user and
	group.

	* modules/projects/templates/default/html/projects_overview.tpl:
	* modules/projects/inc/overview.inc.php: Added overview support
	for projects module.

	* setup/inc/step_2.inc.php: Added check for ctype extension, as
	axmls needs it (see sf.net install problems, bug #818596).
	Added check for session support (you never know...)

2003-10-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updates to pt_pt translation.

	* docs/docbook/de:
	* docs/docbook/en:
	* docs/images/setup: Update setup instructions.

2003-10-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php: Added mass update to
	contacts (RFE #821453).

	* setup/lang/setup.*.lang:
	* setup/inc/step_6.inc.php:
	* setup/inc/step_3.inc.php:
	* setup/inc/save_settings.inc.php:
	* setup/templates/default/html/step_3.tpl:
	* include/appconfig.inc.php:
	* modules/general/definition2.xml: Added optional storage of
	sessions in database (patch #829086).
	A typo has been fixed in step_6.inc.php that broke setup.

	* modules/general/lang/general.*.lang: Added string prtwin.

	* modules/contact/templates/default/html/contact_crm_details.tpl:
	Added print window patch (#827516).

	* modules/general/templates/default/js/scripts.js: Added
	printWindow function, removed two unused functions.

2003-10-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/inc/step_6.inc.php: Error on INDEX creation handled as
	warnings (see bug #824230).

	* modules/general/templates/default/html/_header.tpl:
	* include/appconfig.inc.php: If	.../templates/default/media/module.css
	exists, it will be used.

	* include/adodb/: Update to 4.01, this includes all changes done
	by us to the library. Thanks, John Lim!

	* setup/index.php: Fixed bug introduced with security check for
	log.inc.php.

2003-10-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/lang.inc.php: Falling back to english language if lang
	file not available.

	* modules/projects/index.php: Fixed bug #828189.
	Tasks have a start/end date now (RFE #821121).
	GANTT charts have hyperlinks to projects/tasks now.

	* modules/headline/setup/install.sql:
	* modules/headline/definition2.xml: Table definition now in XML.

	* modules/calendar/setup/install.sql:
	* modules/calendar/inc/settings.inc.php: Autocreating settings
	now.

	* setup/: On uninstall one can now create a CSV backup of all
	tables.
	A security check has been added to the files in inc/.

	* include/smarty/core/core.create_dir_structure.php: Fixed bug
	#822196, a note has been posted to the Smarty forum.

	* modules/files/templates/default/html/files_details.tpl: Fixed
	problem with default modifier and displaying of file content.

	* modules/admin/lang/admin.*.lang:
	* modules/admin/system.php: Editing configuration file has some
	error detection and feedback messages.

2003-10-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/modulemanager.php: When deleting a module,
	configuration data will be removed as well.

	* include/adodb/: Updated to ADOdb 4.0. The fixes suggested for db
	creation (quoting of db name) have been added upstream. The DROP
	INDEX changes for MySQL have been applied by me 'locally'.

	* modules/admin/lang/admin.*.lang:
	* modules/admin/templates/default/html/system.tpl:
	* modules/admin/templates/default/html/system_sysconfedit.tpl:
	* modules/admin/system.php: Added a tool to edit the config file
	from within more.groupware.

2003-10-20  Thomas Bley  <thomas.bley@simple-groupware.de>

	* support for a second logo (e.g. sponsor-logo)

2003-10-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/news/setup/install.sql:
	* modules/news/definition2.xml:
	* modules/outboard/setup/install.sql:
	* modules/outboard/definition2.xml:
	* modules/partprog/setup/install.sql:
	* modules/partprog/definition2.xml: moved to XML schema.

	* modules/notes/inc/overview.inc.php: Fixed overview permissions
	and bug #820476

	* modules/files/index.php: Fixed a bug with projects support.

	* modules/files/setup/install.sql:
	* modules/files/inc/settings.inc.php: Auto-creating settings.

	* modules/projects/index.php
	* modules/projects/inc/rights.inc.php: Removed old rights. There
	are more checks to be added.

	* modules/notes/inc/overview.inc.php: Fixed bug #826450.

	* modules/todo/definition2.xml:
	* modules/todo/inc/todo.class.php: Added checks for project
	support, fixed table schema. (bugs #826442, #826655).

2003-10-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/crm.class.php:
	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/inc/contact.class.php: Removed old rights, might
	fix bug #826257.
	Fixed details display bug due to 'broken' SQL (maybe bug #813801).

	* modules/files/inc/category.class.php:
	* modules/files/inc/rights.inc.php: Differentiated rights.

	* modules/files/index.php: Fixed security issues, file permissions
	were not checked on edit, view, copy, delete, email.

2003-10-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/overview/inc/settings.inc.php: Fixed bug with displevel.

	* setup/inc/step_6.inc.php: Fixed bug with displevel on setup.

	* A small todo fix, pt_pt updates (patch #825914).

2003-10-18  Thomas Bley  <thomas.bley@simple-groupware.de>

	* fixing bug with dropping indexes to adodb

	* fixing wrong rights.inc.php in todo

	* moving sql-string in contacts to auto-generate

2003-10-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/inc/step_3.inc.php: Simplified tar handling during backup
	when uninstalling.

	* modules/admin/lang/admin.en.lang: Added two strings for
	downloading backups.

	* modules/admin/modulemanager.php: Removed create and edit,
	displevel is gone. (De)activation is done by a simple click.
	Deleting a module now removes all tables and the data cache/store
	folders. A backup can be made.
	No dependency checking yet, and entries in mgw_config and
	mgw_configtags are left.

	* include/userfunc.inc.php: Cleaned up getInstalledModules(),
	added a helper for recursive file deletion (DANGER!).

	* modules/contact/inc/company.class.php: Fixed bug #825532.

	* modules/todo/definition2.xml:
	* modules/todo/setup/install.sql: Moved table definition to XML.
	Projects are no longer a dependancy, this will be made optional.

	* modules/notes: Added new rights handling.

	* include/adodb/adodb-xmlschema.inc.php: 'Fixed' DROP INDEX use,
	fetching the SQL from datadict now. Was broken on PgSQL.

	* include/adodb/*: Carefully upgraded to 3.94, keeping our local
	changes. The create database patches have been submitted to the
	ADOdb maintainers, the error code additions have been added to the
	official sources.

	* modules/files/index.php: SQL security fixes.

	* modules/files/serve.php: Cleanup, added read rights check for
	requested file.

	* Added lithuanian setup language file, updated dutch files.

	* include/adodb/datadict-mysql.inc.php:
	* include/adodb/datadict-postgres.inc.php:
	* setup/inc/save_settings.inc.php: Added backticks around the db
	name for MySQL, double quotes for PostgreSQL. Removed the
	hardcoded backticks from save_settings again (broke PgSQL).

2003-10-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/module_exec.inc.php: Fixed a bug with module
	installation and PostgreSQL (null values for not null fields).

	* modules/general/templates/default/html/_th9:
	* modules/general/templates/default/html/_tr9:
	* modules/files: Finally added a huge patch from Sascha Burzynski
	for search, projects and category support in files. I had to
	change a lot of stuff (the patch was four months old), and some
	things are untested. Will be continued.

	* modules/files/definition2.xml:
	* modules/files/setup/install.sql: Moved table definition to XML.

	* modules/files/index.php: Added check for write permission based
	on new rights system.

	* modules/files/inc/files_func.inc.php: Fixed a GROUP BY bug with
	PostgreSQL.

	* modules/general/definition2.xml: Changed a lot of the NOT NULL
	and/or DEFAULT stuff.

	* modules/general/setup/install.sql: Changed hardcoded timestamps
	to NOW().

	* include/lang.inc.php: Added mtime check for language files - the
	cache is updated when language file is updated.

	* include/adodb/datadict/datadict-mysql.inc.php: Removed comments
	on DROP INDEX IF EXISTS part if index creation.

	* include/userfunc.inc.php: Relaxed check in isValidInetAddress().

	* modules/calendar/index.php: Fixed email reminder.

2003-10-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Several pt_pt language updates. Thanks Ries!

	* Several nl language updates. Thanks Ries!

2003-10-15  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding some fixes for updating from 0-68
	* xml-sql-definition for tts
	* fixing bug with settings (modify skin)

2003-10-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/js/overlib.js: Modified 3.51
	of overlib to use CSS by default, adjusted some settings, removed
	some code.

	* modules/contact/inc/smenu.php:
	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/rights.inc.php: Added new rights handling.

	* include/userfunc.inc.php: Fixed warning about INCLUDEPATH (bug
	#822955).

2003-10-14  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding rights2 to file
	* adding rights2 to headline
	* adding rights2 to rights manager
	* adding auto-create for rights-strings (rights #1) for
	"calendar","contact","forum","news","notes","projects","tts"
	* adding update-code for general (module_exec.php)
	* removing setting-strings from general module
	* adding filters to webmail2
	* adding dimensions and selections to settings module (auto-create)

2003-10-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/_header.tpl: Added
	overlib to the header, a div with class popupmenu is available as
	well.

	* setup/templates/default/html/setup.tpl:
	* setup/index.php: Fixed bug #769189. The session id was not added
	to the pages, so it worked only with transparent session id
	propagation or cookies.

	* modules/news/index.php: Fixed bug #821053.

	* modules/admin2/setup/install.php:
	* modules/general/setup/install.php: Moved the file from general
	to admin2, to solve bug #822636.

	* Some updates to nl translation.

	* Added pt_pt translation done by Paulo Orvalho.

2003-10-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup: Setup is now password protected, if a configuration file
	exists.
	The admin password must be chosen during setup.
	Added detection for existing database error in create database
	part.
	Added uninstallation code with storage backup option.

2003-10-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/adodb/adodb-xmlschema.inc.php: Upgraded to version
	2003-10-01.

	* include/adodb: another update, to 3.92.
	* include/adodb/adodb-error.inc.php: Added more 'virtual' error
	codes for MySQL.

	* modules/news/index.php: Fixed bug #820534.

	* include/container.inc.php: Added check for the new 'Force SSL'
	option. The standard configuration now supports non-SSL and SSL at
	the same time (for rooturl).

	* setup/inc/step_6.inc.php: Only core and base modules are
	handled, cache folders are no longer taken care of. Sample data is
	ignored by now (should be taken care of by module manager).

	* setup/inc/step_5.inc.php: Only core and base modules are
	handled.

	* setup/index.php: After setup the templates_c of setup is
	deleted, the log files are chown'ed to allow deletion.

	* modules/todo/inc/todo.class.php: Fixed bug #820478.

2003-10-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup: Worked on step 3.

	* include/adodb/adodb-error.inc.php: Removed three lines producing
	debug output and breaking functionality. Tststs...

	* modules/tts/inc/ticket.class.php: Fixed bug #818622.

2003-10-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/tenplates/default/html/step_2.tpl:
	* setup/inc/step_2.inc.php: Recoded the system check. Looks better
	and actually does a better job as well. Easier to adjust, more
	complete. Thanks to TYPO3 for inspiration.

	* setup/inc/step_6.inc.php:
	* setup/inc/step_1.inc.php: Available languages are read from the
	language files in setup now. The first line of the language files
	contains the name, charset and shorthand for the language. This is
	a MUST from now on.

	* modules/general/setup/install.sql: Removed data for the
	mgw_languages table.

	* setup/lang/setup.*.lang: Added metadata to first line of every
	file.

	* *.ja.lang: Updated japanese translation.

2003-10-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/module_exec.inc.php
	* include/lang.inc.php: Rolled back Thomas' rollback, fixed
	language handling during setup, added comment detection.
	The translations are assigned to Smarty in $hashmap (as before,
	see the entry on 2003-10-01 for more) again.

	* setup/index.php: Drop the individual language file handling.

2003-10-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/inc/step_*.inc.php:
	* setup/index.php: Removed use of $fs and $fsesc.

	* modules/overview/index.php:
	* modules/overview/inc/settings.inc.php:
	* modules/todo/inc/overview.inc.php:
	* modules/notes/inc/overview.inc.php:
	* modules/news/inc/overview.inc.php:
	* modules/calendar/inc/overview.inc.php:
	* include/appconfig.inc.php: Removed definition of $foldersep,
	adjusted module overview files to fit.

	* include/lang.inc.php: Added caching of language file data
	(serialized PHP arrays).

	* include/appconfig.inc.php: The cache and store folder constants
	are now defined here.

	* include/module_exec.inc.php: Removed store and cache folder
	definition. Cleaned up the setup and store folder checks.

	* modules/tts/inc/ticket.class.php:
	* modules/tts/inc/inter.class.php: Fixed bug #815873.

2003-10-01  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Changed the language functions in all files to static method
	calls.
	Adjusted some templates to use the new lang array.

	* include/lang.inc.php: Made the file's contents a class named
	Lang, optimized the code a bit.
	To clean up template variable namespace, all translations are
	ssigned to an array in Smarty, named 'lang' (this was in place
	before, but nobody used it, plus it was done in the 'wrong'
	place and had a 'wrong' name).

	* include/module_exec.inc.php: Fixed logout with new cache folder
	checking code.

2003-09-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Another load of work on the projects module, first release to
	the public. Does not yet work with the old projects data!

	* Changed a lot of templates to fit the new header and navi
	templates.

	* modules/headline/inc/headline.inc.php: Made it work with the new
	data_cache folder.

	* include/adodb/adodb-xmlschema.inc.php: Updated with newest
	release.

2003-09-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/de/chapters/coding_addmodule.xml: New
	translation. Thanks Stefan Kugler!

	* setup/index.php: Added a check for DBTYPE, this should fix bug
	#787773 that happened on setup restart.

	* Almost all files touched during the replace of Quote() with
	QMagic(). Please test to see everything still works (too much to
	do it all alone...)!

	* modules/todo/inc/todo.class.php: Adjusted to make it work with
	the changed projects module.

2003-09-27  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding tar.class.php to mgw, thanks to Josh Barger <joshb@npt.com>
	TikiWiki

	* Usage - create tar
	$tar = new tar();
	$tar->addFile("inc/smenu.php");
	$tar->addData("test.txt","blabla",time());
	$tar->toTar("cache/new.tar",false); // false means no gz
	unset($tar);

	* Usage - read tar
	$tar = new tar();
	$tar->openTAR("cache/new.tar");
	echo "<pre>";
	print_r($tar->files);
	echo "</pre>";
	unset($tar);

2003-09-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated ADOdb to 3.90, JPGraph to 1.13, Smarty to 2.6.0RC1. I
	did not add the jpgraph_flags stuff, it is huge, and can be adde
	later if needed.
	ADOdb now has QMagic(), this is Quote() as we need it (with
	magic_quotes checking). Thanks for adding it for us!

	* index_ntlm.php:
	* index.php: Fixed warning when checkip was unset during login.

2003-09-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/index.php: Removed the +date("Z") calls that
	were causing time shifts (see bug #808344 and others).

2003-09-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* scripts/migrate.bat: Added store folder migration batch file
	submitted by Lincoln C.J. Phipps (polarpig).

	* modules/webmail2/inc/webmail2_func.inc.php:
	* modules/files/index.php: Fixed bug #787597.

	* modules/contact/templates/default/html/contact_comp_edit.tpl:
	* modules/contact/templates/default/html/contact_edit.tpl:
	* modules/contact/setup/install.sql: Fixed 'bug' #802945, ZIP
	codes can now be up to 20 chars long.

	* modules/contact/templates/default/html/contact_comp_list.tpl:
	* modules/contact/templates/default/html/contact_list.tpl: Fixed
	bug #801352.

2003-09-18  Thomas Bley  <thomas.bley@simple-groupware.de>

	* taking a first look at the new tts, great work, looks good

	* fixed some small issues using php_self, including *.class.inc,
	changing some variable initialization

2003-09-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated german manual translation.

2003-09-16  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding a new smarty modifier: addslash for addslashes

2003-09-12  Thomas Bley  <thomas.bley@simple-groupware.de>

	* adding a few isset-checks to contact

	* replacing the buggy $conn->genID with mgw_genID
	mgw_genID checks if limit is ok and value is bigger

	* replacing $php_self with $_SERVER["PHP_SELF"]

2003-08-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/_tr9:
	* modules/general/templates/default/html/_th9: Started to add a
	huge patch from Sascha Burzynski for projects and category support
	in files and a search function.

	* modules/files/index.php: Fixed (really?) bug #771945 with
	multiple file listings.
	Started to add a huge patch from Sascha Burzynski for projects and
	category support in files and a search function.

	* include/adodb/*: Updated to ADOdb 3.72, plus changed the Quote()
	function to behave the way we need it...

2003-08-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/en/appendices/appendix_faq.xml: Added a note about
	changing the timezone setting, plus some corrections.

	* modules/webmail2/lang/webmail2.zh_tw.lang: New translation.

	* docs/docbook/de/modules/modules_webmail2.xml: Updated german
	translation.

2003-08-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/setup/sample.ja.sql:
	* modules/forum/setup/sample.sql: Changed sample data to have
	email addresses with standard invalid domain (to reduce the chance
	of real people getting bogus email).

	* modules/forum/inc/forum.class.inc: Fixed a bug causing the
	number of threads and posts to be shown incorrectly when some
	where older than the set threshold. There is still a slight error
	with answers being counted even though the thread is too old. But
	I think this can be left as is, especially with a larger number of
	threads this isn't a real issue, isn't it?

2003-08-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/templates/default/html/calendar_month.tpl:
	Fixed a bug caused by a missing nodefaults modifier.

	* include/datepick.php: Fixed a bug with not using ROOTPATH.

	* modules/contact/inc/smenu.inc: Fixed irrelevant bug, but it was
	a bug nonetheless (bug #782702).

	* docs/docbook/de/modules/modules_webmail2.xml: Updated
	translation.

2003-08-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.class.inc: Fixed bug #781320.

	* index_ntlm.php:
	* index.php: Fixed changing of lu_date on every login/logout.

	* modules/admin/usermanager.php: Fixed display problem for last
	user update (bug #780506).

	* modules/general/templates/default/css/Morelogs_Silver_Mozilla.css:
	* modules/general/templates/default/css/Morelogs_Silver.css: Fixed
	bug #781247.

2003-08-01  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/userfunc.inc.php: Bug #781472.

	* include/vcard/vcard.php: Fixed bug #781454.

2003-07-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated german translation of webmail2 chapter in manual.

	* modules/projects/index.php: Fixed *silly* error with create
	rights checking in projects...

2003-07-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/templates/default/html/modulemanager_edit.tpl:
	* modules/admin/modulemanager.php: As a result of the discussion
	on bug #772080, the module manager now no longer allow the users
	to enter a module name. It had to be the same as the folder name
	anyway...

	* modules/webmail2/*: Changed $webmail2_inc_dir to WM2_INC_DIR, to
	avoid remote include() exploits (bug #775948).

	* modules/webmail2/update-0-66--0-67.php:
	* modules/webmail2/update-0-65--0-66.php:
	* modules/webmail2/settings.php:
	* modules/webmail2/download2.php:
	* modules/webmail2/inc/webmail2_func.inc.php:
	* modules/overview/inc/settings.inc.php:
	* modules/general/inc/settings.inc.php:
	* modules/forum/bild.php:
	* modules/forum/inc/forum_func.inc.php:
	* modules/files/serve.php:
	* modules/files/index.php:
	* modules/files/inc/settings.inc.php:
	* include/userfunc.inc.php:
	* include/datepick.php:
	* include/lang.inc.php: Using ROOTPATH instead of
	$appconf["rootpath"] now (bug #775948).

	* setup/inc/step_6.inc.php: $appconf["rootpath"] is no longer
	written to the config file. ROOTPATH should be used throughout the
	code instead!

	* modules/calendar/index.php: Another hackish thing to fix bug
	#771454.
	Fixes to global variable use to fix bug #770857.

	* modules/calendar/templates/default/html/*: Added nodefaults
	modifier.

	* docs/docbook/en/appendices/appendix_faq.xml: Added entry about
	changing time display in calendar2.

	* docs/docbook/pt_br/: Added pt-br documentation tree.

	* docs/docbook/en/mgw-manual.xml:
	* docs/docbook/en/metadata.xml: Undid pt-br translation.

	* docs/docbook/en/appendices/appendix_upgrade.xml: Fixed wrong
	reference to webmail2 upgrade procedure.

	* modules/webmail2/fetchmail_small.php: Font size for webmail2
	status is now 90% of what it was before. This should avoid the
	scrollbar problem reported on the list.

	* modules/general/templates/default/html/mim_status.tpl: Font size
	for MIM status is now 90% of what it was before. This should avoid
	the scrollbar problem reported on the list.

	* modules/calendar2/templates/default/html/custom_view.tpl:
	* modules/general/templates/default/html/mim_list.tpl:
	* modules/general/templates/default/html/mim_new.tpl: Added
	nodefaults modifier.

	* modules/general/mim.php: Fixed missing file extension.

	* docs/docbook/de/chapters/setup_setup.xml:
	* docs/docbook/en/chapters/setup_setup.xml: Added note about
	index_ntlm for logging in with NTLM auth.

	* modules/files/templates/default/html/files_list.tpl: Fixed file
	icon display.

2003-07-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/partprog/templates/default/html/partprog_list.tpl:
	* modules/partprog/index.php: Fixed bug #775295.

2003-07-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/smtp_trace.php:
	* modules/webmail2/sendmail_post.php:
	* modules/webmail2/operations.php:
	* modules/webmail2/inc/webmail2_func.inc.php:
	* modules/webmail2/inc/webmail2_settings_newaccount.php:
	* modules/webmail2/inc/webmail2_settings_listaccounts.php:
	* modules/webmail2/inc/webmail2_settings_editaccount.php: Fixed
	filenames of files to include.

	* modules/forum/inc/forum.class.inc: Possible fix for bug #767135.

	* modules/outboard/inc/outboard.class.php: Changes to support new
	date selection and date/time handling in templates.

	* modules/outboard/templates/default/html/outboard_details.tpl:
	* modules/outboard/templates/default/html/outboard_list.tpl: Added
	nodefaults modifier, changed date/time handling.

	* modules/outboard/templates/default/html/outboard_edit.tpl: Uses
	custom date selector now, fixes bug #768979.

	* modules/outboard/index.php: Uses GET/POST superglobals now.

2003-07-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/adodb/adodb.inc.php: Fixed a bug in ADOdb's Quote(),
	closes bug #770968.

	* modules/outboard/inc/outboard.class.php: 'Fixed' two references
	to calendar (old) settings that caused an infinite loop when the
	calendar was not installed (bug #773363).

	* modules/outboard/templates/default/html/outboard_edit.tpl: Added
	nodefaults modifier to template.

2003-07-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/index.php: Fixed some remaining issues caused
	by assuming register_globals is on. This fixes editing of
	appointments (that vanished to 1970 before).

	* modules/webmail2/templates/default/html/maillist.tpl: Added
	nodefaults modifier (fix for bug #768384).

2003-07-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar2/templates/default/html/app_edit.tpl: Fixed
	bugs with drop down lists introduced by the default modifier.

	* include/userfunc.inc.php: Slight change to getUserRights(): a
	cleaner way to detect the given parameter.

	* Updated the dutch translation (patch #721837).

2003-07-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated the spanish translation for the files module.

2003-07-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/de/modules/modules_calendar.xml: German
	translation.

2003-07-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/de/chapters/*: Another set of updates to the german
	manual. Thanks to Stefan Kugler!

	* modules/forum/inc/forum.class.inc: Fixed the wrong computation
	of the display time period (bug #734790).

	* modules/settings/index.php: Switch off the default modifier for
	this module. Not the best way, but the templates are quite
	complex. k|p should have a look at this...

	* modules/webmail2/templates/default/html/readmessage.tpl:
	* modules/projects/templates/default/html/*.tpl:
	* modules/todo/templates/default/html/*.tpl:
	* modules/partprog/templates/default/html/*.tpl:
	* modules/notes/templates/default/html/*.tpl:
	* modules/news/templates/default/html/*.tpl:
	* modules/headline/templates/default/html/*.tpl:
	* modules/files/templates/default/html/*.tpl:
	* modules/admin/templates/default/html/*.tpl: Added
	smarty:nodefaults where needed.

	* *.es.lang: Added patch to spanish translations (#765154).

	* modules/general/templates/default/html/_tr*.tpl:
	* modules/general/templates/default/html/_th*.tpl: Added
	smarty:nodefaults to all $r[0-9] variables. This is needed to make
	HTML assignments from other templates possible. Be sure to secure
	the content you assign 'one level higher', i.e. in the module
	templates!

	* modules/general/templates/default/html/_t?(9|10).tpl: Removed,
	they were not used and lacked the accompanying _tr* templates.

2003-07-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/*:
	* modules/admin/templates/default/html/*: Added
	smarty:nodefaults where needed.

	* modules/overview/templates/default/html/overview.tpl:
	* modules/contact/templates/default/html/*: Added the
	smarty:nodefaults where needed.

	* include/appconfig.inc.php: Added strip_tags as global default
	modifier. All variables that need tags need to use the
	smarty:nodefaults modifier to disable this.

	* Renamed the remaining .inc files in include to .inc.php.
	Adjusted the code of the modules accordingly, and did some basic
	functionality tests.

	* modules/projects/timesheet.php: Removed needless code that
	caused bug #764283.

	* modules/files/inc/mime/Viewer.php:
	* modules/files/inc/mime/Magic.php: Fixed paths in include and
	require statements should avoid problems with missing dot in
	include_path. Hope it doesn't break elsewhere.

	* docs/docbook/de/chapters/setup_intro.xml:
	* docs/docbook/de/chapters/setup_linux.xml:
	* docs/docbook/de/chapters/intro_mgw.xml:
	* docs/docbook/de/mgw-manual.xml:
	* docs/docbook/de/metadata.xml: Update to the german manual.

	* docs/docbook/en/chapters/setup_intro.xml: Added a clear note
	stating the need for a dot in include_path.

2003-07-01  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/lang/webmail2.es.lang: Added patch submitted by
	Santiago Begu� (santi).

	* modules/admin/inc/SystemTools.class.php: Initializing two
	variables to avoid warnings (bug #763832).

	* docs/docbook/en/chapters/setup_security.xml: Some additions to
	the chapter to explain how to prevent direct access to the cache
	directories used by some modules.

	* modules/files/index.php: Added automatic generation of .htaccess
	file to prevent direct access to store folder.

	* modules/webmail2/inc/webmail2_func.inc.php: Added 'Order' to
	generated .htaccess files.

	* docs/docbook/en/appendices/appendix_upgrade.xml: Update
	instructions from 0.6.7 to 0.6.8.

	* setup/index.php: Fixed a strange bug with Mozilla in setup.

2003-06-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/de/*: Added german translation done by Stefan
	Kugler for reviewing purposes.

2003-06-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.class.inc: Fixed another date handling
	SQL bug.

2003-06-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/jpgraph/*: Updated from 1.12.1 to 1.12.2. As usual
	removed the insane sanity check from jpgraph.php (the lines before
	CheckGDVersion).

	* include/adodb/*: Updated from ADOdb 3.50 to 3.60. Mostly
	bugfixes.

	* modules/projects/templates/default/html/projects_list.tpl:
	* modules/projects/templates/default/html/projects_tp_bar.tpl:
	* modules/projects/templates/default/media/bars/*:
	* modules/projects/setup/install.sql:
	* modules/projects/index.php: Started some improvements to this
	module.

	* modules/settings/lang/settings.*.lang:
	* modules/calendar/inc/holidays.nz.inc.php:
	* modules/calendar/inc/settings.inc.php: Added New Zealand
	holidays provided by Kerry Marshall.

	* setup/inc/save_settings.inc.php: Setup now allows to install if
	there are tables in the DB that are not named mgw_*. Might help
	users with limited hosting environments.

2003-06-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/templates/default/html/notes_details.tpl:
	* modules/notes/inc/note.class.php:
	* modules/notes/index.php: The comments to notes can now be edited
	by their owners.
	After editing a note, or pasting/editing a comment you are
	returned to the same form now, instead of the list view.

	* include/userfunc.inc: The dump output of showSQLError() is now
	wrapped in <pre>...</pre>.

	* modules/files/setup/install.sql: Added two new fields (msg_id,
	partno) to allow 'virtual' storage of mail attachments. Not yet
	working.

	* modules/files/index.php:
	* modules/files/lang/files.*.lang:
	* modules/files/templates/default/html/files_details.tpl: Added a
	link to detail view that allows to email a file. Not yet fully
	working.

	* modules/files/index.php: Fixed bug with directory icons not
	being shown under some circumstances.

2003-06-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/inc/step_6.inc.php: Changes to make use of the translated
	sample data. If available, translated sample data will be used,
	otherwise the standard sample.

	* modules/calendar2/lang/calendar2.nl.lang: Added update done by
	dreej.

	* modules/*/setup/sample.ja.lang:
	* setup/lang/setup.ja.lang:
	* modules/*/lang/*.ja.lang: Updated japanese translation, thanks
	to Tadashi Jokagi. He supplied me with 'translated' sample data
	SQL files as well.

2003-06-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.class.inc: Completed a call to
	showSQLerror().

	* modules/files/serve.php: 'Fixed' download headers sent to
	MSIE. Hopefully fixes symptoms like in bug #730774.

	* modules/files/lang/files.*.lang:
	* modules/files/index.php: Detecting existing files now, this
	avoids problems with using the broswer's back button (like in bug
	#748546).

2003-06-06  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/details.php: Fix for bug #745997.

	* modules/files/lang/files.*.lang:
	* modules/files/index.php: New verbose error messages.

2003-05-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/vcard/mgw_Contact_Vcard_Parse.php: Added a handful of
	checks to fix warnings like in bug #745005.

2003-05-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated Smarty from 2.4.2 to 2.5.0 and ADOdb from 3.40 to
	3.50. Not all files from the release are in, as some contain only
	docs or may impose a security issue. Grab the full ADOdb release
	if needed...

	* setup/lang/setup.*.lang: Changed the mwritereq string. This is
	an error, not a warning, now.

2003-05-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/en/chapters/setup_intro.xml: Added a hint about
	problems post_max_size and max_upload_size and webmail2.

	* modules/files/index.php:
	* modules/files/inc/smenu.inc: Added basic check for module rights
	(bug #738759).

	* docs/docbook/en/appendices/appendix_faq.xml: Fixed a few words
	and added a note about the CREATE INDEX problems people keep
	seeing.

	* modules/contact/inc/company.class.php: Fixed bug #742788 (group
	search in companies).

2003-05-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/userfunc.inc: Fixed bug #740379.

	* modules/files/inc/files_func.inc.php: Yet another try to fix the
	duplicate file listing bug. Does it work now? For everyone? I
	hope... see bug #727522.

	* modules/files/lang/files.*.lang: Some new error messages.

	* modules/files/index.php: Fixed an error that was caused by
	specifying a file upload without selecting a file. This manifested
	in bugs like #739180.
	Added a translation for an existing error message.

	* modules/files/inc/files_func.inc.php: A rather hackish fix to
	the 'duplicate files' problem. Work only for MySQL, and needs a
	better fix later on.

	* modules/contact/inc/company.class.php: Fixed private attribute
	for companies. Bug #739228.

	* norefer.php: Added rawurldecode() call for the Location
	header. This makes it actually work.

	* modules/general/templates/default/html/datepick.tpl: Fixed bug
	reported on the list (datepicker weekdays being off-by-one).

	* modules/forum/inc/forum.class.inc: Fixed an SQL bug.

	* setup/lang/setup.tr.lang:
	* modules/*/lang/*.tr.lang: Converted from DOS encoding.

	* modules/settings/lang/settings.*.lang:
	* modules/calendar/inc/holidays.at.inc.php:
	* modules/calendar/inc/settings.inc.php: Added austrian holday
	file, submitted by Klaus Zahradnik. Thanks!

2003-05-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* index_ntlm.php:
	* index.php: Small change to the LDAP automatic account creation.

	* include/appconfig.inc: Some cleanup/fixes to path
	handling. Should fix bugs like #735336 and friends.

2003-05-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/occupation.php: Fixed paging in occupations
	list view (bug #735146).

	* modules/webmail2/fetchmail_small.php: Removed the check whether
	the module is installed/active. No longer needed (see below).

	* modules/general/templates/default/html/_footer.tpl: Added check
	whether webmail2 is installed, before emiting the iframe for the
	webmail2 status check. Closes bug #729436.

2003-05-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.class.inc: Removed superflous single
	quotes causing bug #734113.

2003-05-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/news/inc/smenu.inc: Creating new news entries is
	disabled if no channels are defined. Fixes bug #730775.

	* modules/settings/lang/settings.ru.lang:
	* modules/calendar/inc/settings.inc.php:
	* modules/calendar/inc/holidays.ru.inc.php:
	* modules/calendar/lang/calendar.ru.lang: Added russian holidays
	to calendar.

2003-05-06  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/templates/default/html/occupation_list.tpl:
	* modules/projects/templates/default/html/timesheet_edit.tpl:
	* modules/projects/templates/default/html/timesheet_select.tpl:
	* modules/projects/templates/default/html/timesheet_details.tpl:
	* modules/projects/templates/default/html/timesheet_selectview.tpl:
	* modules/projects/templates/default/html/projects_edit.tpl:
	* modules/projects/templates/default/html/projects_details.tpl:
	* modules/projects/timesheet.php:
	* modules/projects/index.php: Overhauled date/time handling to use
	Smarty modifiers and date picker. Makes it nicer and handles bug
	#635189.

	* docs/docbook/en/appendices/appendix_upgrade.xml: Added a note
	about running the sequence check after an upgrade to 0.6.7.

	* modules/webmail2/templates/default/html/fetchmail_small2.tpl:
	Added a default of 86400 (24 hours) for $waittime, this should
	stop the 'reloading bug'.

	* modules/webmail2/fetchmail_small.php: The webmail notification
	now checks if the module is installed *and* activated.

	* include/datepick.php: Fixed bug #730920.

2003-05-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* index_ntlm.php:
	* index.php: Added auth check for account created during LDAP
	login. Hopefully fixes bug #729231.

	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/todo/inc/todo.class.php: The date if the last change to
	the todo item is now shown in details.

	* include/smarty_plugins.php: The mgw date and time formatting
	functions now return an empty string if the timestamp input is
	empty.

	* modules/todo/templates/default/html/todo_details.tpl: If start
	or end date are set to 'no date' nothing is shown now. Stupid bug!

	* modules/overview/index.php: All standard local subnets should
	get a refresh now.

	* setup/inc/save_ldap.inc.php: Added patch to encrypt root LDAP
	password in config.inc.php as posted to the list by Ray Colline.

	* log.php: Fixed 'bug' #732308 by adding an echo around the <?xml
	part that caused troubles with short_open_tag set to on.

	* docs/docbook/en/chapters/setup_intro.xml: Added XML and GD to
	the requirements section, as inspired by bug #731652.

2003-05-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/en/chapters/setup_intro.xml: Added link to a MacOS
	X install article mentioned on the mailing list.

	* docs/docbook/en/appendices/appendix_faq.xml: Added a FAQ entry
	on display/module level.

	* modules/admin/usermanager.php: Fixed bug #730954 (language in
	user admin not saved).

	* modules/partprog/index.php: Fixed bug #730959 (deleting items).

2003-04-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/todo.class.php: Some more fixes to date/time
	display in list and detail view. The time is now shown correctly
	as well.

	* modules/admin/rightsmanager.php: Fixed a bug that caused edits
	to rights to fail.

	* include/module_exec.inc: Showing an error message when
	redirection to default module fails because of a missing rights
	setting. This should stop the 'redirection limit exceeded' bugs.

	* include/smarty_plugins.php: Fixed time format bug by setting
	$hour_format prior to calling getDateString() in
	smarty_mod_mgwdatetime when using type 'human'.

	* modules/files/index.php: Fixed date/time display for
	created/modified.

	* setup/inc/save_settings.inc.php: More on 'If using LDAP, disable
	encrypted passwords (bug #717793)'.

	* include/phpxd/include/parser.php:
	* include/phpxd/include/dtd.php:
	* include/phpxd/include/dom.php: Hopefully finally fixed
	yesterday's fix for the problem with phpXD one some machines
	during setup.

2003-04-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/inc/mime/Viewer/*:
	* modules/files/index.php: Small layout fixes.

	* modules/files/inc/files_func.inc.php: This should fix the
	multiple file listing issue (bug #727522), but rights might not
	work the way people expect them to. Hm.

	* modules/forum/inc/forum.class.inc: More fixes to the SQL to make
	PostgreSQL happy. Were those the last ones?!?

	* include/phpxd/phpXD.php:
	* setup/inc/step_1.inc.php: Hopefully finally fixed the problem
	with phpXD one some machines during setup.

	* modules/contact/index.php: The HTML appended to some PDF files
	causing problems should be fixed now (bug #709023).

	* modules/notes/inc/note.class.php: Fixed date display in detail
	view.

2003-04-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/templates/default/html/todo_edit.tpl: One can now
	edit items without losing start or end date if not older than 5
	years.

	* include/appconfig.inc: If safe_mode is on, use_sub_dirs is set
	to false on $smarty (bug #727491).

	* setup/inc/save_ldap.inc.php: If using LDAP, disable encrypted
	passwords (bug #717793).

	* modules/forum/inc/forum.class.inc: Fixed missing quotes around
	dates for PostgreSQL.
	Fixed bug #631102. Please check this really works!
	Fixed bug with posting new thread in PostgreSQL.

	* modules/admin/templates/default/html/system_sysinfo.tpl:
	* modules/admin/templates/default/html/system.tpl:
	* modules/admin/lang/admin.*.lang:
	* modules/admin/system.php: Basic system information can now be
	looked up with the admin module.

	* include/userfunc.inc: Moved some code from showSQLerror() to
	showSystemInfo().
	safe_mode setting is now shown.

	* modules/todo/inc/overview.inc.php: Fixed bug #728722.

	* modules/contact/inc/contact.class.php:
	* modules/news/index.php: Very(!) small optimization.

2003-04-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/timesheet.php: After deleting a timesheet no
	longer a blank screen appears.

	* modules/projects/templates/default/html/timesheet_edit.tpl:
	Renamed from timesheet_en.tpl.

	* modules/projects/templates/default/html/projects_list.tpl:
	* modules/projects/gantt_view.php:
	* modules/projects/index.php: Removed gantt_view.php, the code is
	now in index.php.

	* modules/projects/timesheet.php: Fixed some uses of $PHP_SELF.

	* include/version.inc: Updated to 0.6.8 - Nick

	* Release: 0.6.7

	* modules/projects/index.php: Fixed a small SQL issue with
	PostgreSQL.

	* modules/projects/mygantt.php: Small changes.

	* include/jpgraph/imgdata_balls.inc:
	* include/jpgraph/jpgraph_plotmark.inc: Fixed short_open_tag. Grrr.

	* modules/settings/lang/settings.*.lang:
	* modules/calendar/inc/settings.inc.php: Enabled selection for the
	dutch holidays added yesterday.

	* docs/images/modules/projects/*:
	* docs/docbook/en/modules/modules_projects.xml: Documentation for
	projects module.

	* modules/settings/lang/settings.nl.lang: Updated lang file,
	thanks to Martijn Bergevoet!

2003-04-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/inc/holidays.nl.inc.php: Added dutch holidays,
	thanks to Martijn Bergevoet!

	* modules/forum/inc/forum.class.inc: Fixed bug #726111 (duplicate
	forums in forum overview).
	Fixed bug #720838 (crash on first use).

	* modules/contact/templates/default/html/contact_details.tpl:
	Fixed buglet with vCard export.

	* modules/contact/index.php: session_cache_limiter() called for
	vCard export as well.

	* modules/admin/inc/SystemTools.class.php: Added checks to avoid
	some warnings.

2003-04-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* norefer.php: Added fix done long ago by Thomas Bley to this one
	as well.

	* modules/files/templates/default/html/files_list.tpl: changed
	width of list table.

2003-04-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/Error.class.inc:
	* modules/forum/inc/CObject.class.inc:
	* modules/forum/inc/forum.class.inc: Fixed a lot of warnings.
	Added a global statement to initUser(), should fix bug #723591.

	* modules/files/serve.php: Hopefully fixed a problem when
	downloading files over SSL with MSIE. Pffft.

	* setup/inc/save_ldap.inc.php:
	* setup/inc/step_4.inc.php: Fixed handling of
	create_accounts_on_login so a correct config.inc.php is generated.

	* modules/webmail2/templates/default/html/top.tpl: Fixed the
	background-color (sort of...)

	* setup/inc/step_6.inc.php: If installing sample data, the
	sequence check is run automatically during setup. This should fix
	potential duplicate index bugs.
	All strings in config.inc.php are now enclosed with single quotes,
	to prevent variable substitution and special character
	parsing. This might be part of a fix for bug #721416...

	* modules/admin/inc/SystemTools.class.php:
	* modules/admin/system.php: Moved the actual code into a class
	file.

	* include/userfunc.inc: Removed trailing newline that caused
	header() errors.

	* docs/docbook/en/appendices/appendix_upgrade.xml: Added a short
	part about changes to config.inc.php.

2003-04-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php: Removed some debugging
	code, added company insertion.
	Removed the check for existing contacts. This may change again, if
	someone comes up with a reliable way to check for duplicates...

	* include/vcard/mgw_Contact_Vcard_Parse.php: Changed to work with
	base class again.

	* include/vcard/Contact_Vcard_Parse.php: Updated to latest release
	available upstream.

	* modules/webmail2/templates/default/html/fetchmail_small2.tpl:
	Fixed harcoded (wrong) root url.

	* modules/*/lang/*.ru.lang: Updated the russian
	translation. Thanks to A.Vorobets!

	* include/userfunc.inc: Added russian alphabet table.

	* setup/templates/default/html/step_2.tpl:
	* setup/inc/step_2.inc.php:
	* setup/lang/setup.*.lang: Setup now checks if the module
	subdirectories are writable and issues a warning if not.

	* setup/templates/default/html/setup.tpl: Small HTML fix
	(reference to missing image).

	* include/jpgraph/*: Updated to version 1.12.1. As usual removed
	the insane sanity check from jpgraph.php (the lines before
	CheckGDVersion).

2003-04-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/media/dialer.swf:
	* modules/contact/lang/contact.*.lang:
	* modules/contact/setup/install.sql:
	* modules/contact/inc/settings.inc.php: Added small flash DTMF
	dialer sent to me by Guy King. It can be enabled in settings and
	is shown in the contact details.
	He wrote: 'The idea is the little icon sits next to each phone
	number in the Contacts module and if you want to call it then hold
	your phone up to your computer's speaker and click the icon.
	It supports an infinitely long number, ignores non-DTMF characters
	and supports * and #.'

	* setup/lang/setup.nl.lang:
	* modules/*/lang/*.nl.lang: Updated lang files from patch #721837.

	* modules/general/inc/settings.inc.php: Added Brazilian Real to
	the currencies, and spelled out the other currency names.

2003-04-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/log.inc.php: Fixed argument numbering in message
	function (thanks to k|p for poiting this out!).

	* include/adodb/*: Updated to ADOdb 3.40. Fixes some bugs and adds
	this (which might help in catching errors): 'virtualized error
	codes, using PEAR DB equivalents. Requires you to manually include
	adodb-error.inc.php yourself, with MetaError() and
	MetaErrorMsg($errno).'

2003-04-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/lang/files.*.lang: A few more strings added.

	* modules/files/templates/default/html/files_details.tpl: Detail
	view for a directory now shows the number of dirs/files in that
	directory, and the used space.
	For files, the size is displayed human-readable as well.

	* modules/general/templates/default/html/mim_read.tpl: Sports a
	delete link now.

	* modules/general/templates/default/html/mim_new.tpl:
	* modules/general/mim.php: On reply the subject now gets preset
	(like in email clients).

	* setup/lang/setup.ja.lang:
	* modules/*/lang/*.ja.lang: Updated japanese translation, thanks
	to Tadashi Jokagi.

	* modules/projects/lang/projects.en.lang: Added two missing
	strings. Thanks to Alroger Luiz Gomes Filho for pointing this out.

2003-04-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/html/nohelp.*.html: Those have the look of the 'standard'
	error and notice screens now.

	* setup/inc/save_ldap.inc.php: Added missing ; at the end of some
	lines.

	* modules/general/setup/install.sql: Changed the mail addresses of
	the default users.

	* modules/general/lang/general.*.lang:
	* modules/calendar/lang/calendar.*.lang:
	* modules/todo/lang/todo.*.lang: A few new strings to accompany
	the changes below.

	* modules/calendar/inc/calendar_func.inc.php:
	* modules/calendar/setup/install.sql:
	* modules/calendar/inc/settings.inc.php:
	* modules/calendar/index.php: The calendar module now makes use of
	the notification engine to push appointments to the user's screen,
	MIM or email.

	* modules/todo/setup/install.sql:
	* modules/todo/inc/settings.inc.php:
	* modules/todo/templates/default/html/todo_edit.tpl: The todo
	module now makes use of the notification engine to push delegated
	items to the user's screen, MIM or email.

	* include/userfunc.inc: get_user_info() can now be fed with either
	username or id (i.e. string or int).

	* setup/inc/save_settings.inc.php: Fixed a setup problem on
	windows reported by Thomas.

	* modules/todo/setup/sample.sql:
	* modules/notes/setup/sample.sql:
	* modules/headline/setup/sample.sql: Added some more sample data.

	* modules/headline/index.php: Removed some forgotten debugging
	output...

	* modules/files/setup/install.sql:
	* modules/files/inc/settings.inc.php: Added a way to edit the list
	of forbidden MIME types.

	* modules/files/templates/default/html/files_new.tpl:
	* modules/files/templates/default/html/files_edit.tpl: Some HTML
	fixes.

	* modules/files/inc/files_func.inc.php:
	* modules/files/index.php: Fixed bug #714890 (rights got lost when
	editing).
	Rights are now working for all_rights, i.e. when not being in a
	group.

2003-04-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/inc/files_func.inc.php: And yet another fix for
	PostgreSQL, fixed a GROUP BY.

	* modules/general/setup/install.sql: Another light fix to SQL,
	works on PostgreSQL now.

	* setup/inc/step_5.inc.php:
	* setup/inc/step_6.inc.php: Fixed cache dir creation by moving
	some assignments around, moving a curly brace to the right place,
	and some more. Fixes bug #713530.

2003-04-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php: Reworked vCard import to
	make use of the new parser class(es). This still has some
	problems, but already seems to work much more reliable than the
	old code.

	* include/vcard/mgw_Contact_Vcard_Parse.php:
	* include/vcard/Contact_Vcard_Parse.php: New files containing a
	new vCard parser. It is not finished yet, and a lot of checks and
	cleanups have yet to be added and done. It might as well get
	merged into one class, we'll see.

	* modules/contact/index.php: Fixed a $_FILES variable.

2003-04-02  Honza Kropac  <honza@netelements.cz>

	* modules/admin/templates/default/html/system.tpl: Fixed variable name in header

	* czech translations of: setup, admin, contact, general, todo

2003-04-01  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/setup/install.sql: Fixed non-standard SQL.

	* modules/contact/templates/default/html/contact_edit.tpl: Fixed
	the date picker.

	* modules/projects/index.php: Fixed bug #705164. Just two missing
	assign() calls.

	* modules/settings/lang/settings.*.lang: Added a new string
	('enable', in the sense of a verb).

	* modules/files/inc/mime/mime_drivers.php:
	* modules/files/inc/settings.inc.php:
	* modules/files/setup/install.sql: MIME viewers can now be enabled
	and disabled and have their binary path's set through settings.

	* modules/general/templates/default/html/mim_status.tpl: Added
	reload after opening the MIM window. Mozilla stopped the refresh
	after clicking. Anyone knows why?

	* modules/general/mim_status.php: No MIM alert on login if no news
	messages.

2003-03-31  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/lang/contact.*.lang:
	* modules/contact/inc/contact.class.php: When importing a vCard
	the number of imported contacts is shown.

	* include/vcard/vcard.php: parse() now returns the number of
	inserted contacts.

	* modules/calendar/inc/dayview.inc.php: Removed needless if
	statement and fixed bug #712073.

	* modules/general/mim_status.php:
	* modules/general/setup/install.sql:
	* modules/general/lang/general.*.lang:
	* modules/general/inc/settings.inc.php:
	* modules/general/templates/default/html/mim_status.tpl:
	* modules/general/lang/general.*.lang: If new messages appear, MIM
	can show an alert window.

	* modules/general/setup/install.sql:
	* include/notify.inc.php: Added code to send screen notifications
	to other users.

	* modules/news/setup/*.sql:
	* modules/forum/setup/*.sql: Seperated setup and sample data.

	* setup/lang/setup.*.lang:
	* setup/templates/default/html/step_5.tpl:
	* setup/inc/step_6.inc.php:
	* setup/inc/step_5.inc.php: Added the possibility to seperate
	table setup and sample data. If a file sample.sql exists inside a
	module's setup folder, it will be inserted into the database if
	the user chose to install sample data.
	In step_6.inc.php a small bug with dependancy checking was fixed.

	* setup/index.php: A rather cosmetic fix to the logging in case of
	a restart.

	* setup/lang/setup.ja.lang, modules/*/lang/*.ja.lang: Updated the
	japanese translation, thanks to Tadashi Jokagi.

	* setup/templates/default/html/setup.tpl: Removed the use of
	spacify, as it reportedly caused troubles with japanese language.

	* include/smarty_plugins.php: The datepicker is available upstream
	as 1.0.2, but this only fixes a bug I had already fixed. So this
	is 'updated' to 1.0.2 as well.

	* include/adodb/*: Updated to ADOdb 3.31. This means not only we
	have a new version, but we have new time and date functions, being
	able to handle a much broader range of dates, and we have the new
	DataDictionary stuff available, which can create dbs/tables in a
	cross-db way. k|p, does this help you? :) Documentation for the
	new features is in the ADOdb manual and/or the test files that
	come with the ADOdb archive.

2003-03-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/lang/files.nl.lang: Added missing file, copied
	from english. Fixes bug #711315.

	* modules/general/lang/general.*.lang:
	* modules/general/setup/install.sql:
	* modules/general/inc/settings.inc.php:
	* modules/general/mim.php: Added support for using settings to
	adjust notification/MIM behaviour.

	* modules/general/templates/default/html/_footer.tpl:
	* modules/general/templates/default/html/mim_status.tpl:
	* modules/general/mim_status.php: MIM status can now be refreshed
	automatically, through use of an iframe.

2003-03-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contactgroup.class.php: Added calls to
	logging and notification, mostly for testing.
	Fixed some $PHP_SELF to $_SERVER['PHP_SELF'].

	* modules/general/templates/default/html/mim_read.tpl:
	* modules/general/templates/default/html/mim_new.tpl:
	* modules/general/templates/default/html/mim_list.tpl:
	* modules/general/lang/general.*.lang:
	* modules/general/setup/install.sql:
	* modules/general/mim.php: New code and templates for the MIM, the
	'Moregroupware Instant Messenger'. It uses (and can be used for)
	the notifcation engine.

	* include/appconfig.inc:
	* include/container.inc: Inclusion and activation of notifcation.

	* modules/general/templates/default/html/_footer.tpl:
	* modules/general/templates/default/html/_footer_withoutname.tpl:
	* modules/general/templates/default/html/_header.tpl:
	* modules/general/templates/default/html/_navi.tpl:
	* modules/general/templates/default/css/*.css:
	* include/notify.inc.php: New notification code. It allows to send
	messages to the screen for immediate display, has messaging
	capabilities (see MIM), can send email and may be extended further
	(e.g. to send SMS messages).

	* include/userfunc.inc: Added a function to validate email
	addresses. Not a scomplete as in webmail2's rfc822, but with a
	lower footprint and easier usage.

	* docs/html/nohelp.tr.html: Turkish translation.

	* modules/notes/inc/note.class.php: Fixed some $PHP_SELF to
	$_SERVER['PHP_SELF'].

	* include/log.inc.php: Changed the code for force_log
	detection. It just looks nicer this way.

2003-03-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/smarty_plugins.php: Added a modifier to show
	human-readable file sizes. The code is from format_filesize() from
	the webmail2 module. Thanks!
	And another one for date display, taken from webmail2 as
	well. mgw_datetime:'human' can be seen in the files module.

	* docs/docbook/en/modules/modules_notes.xml: Added some words
	about what is shown for notes in the Overview module, about the
	possible notes settings and on the comments function.

	* modules/settings/lang/settings.*.lang: Strings for the logging
	settings added.

	* modules/contact/inc/contactgroup.class.php: Fixed bug #705665
	submitted by celestian together with a possible fix. Thanks! I
	added logging calls to group creation, thanks to k|p for this.

	* log.php: Fixed some $PHP_SELF to $_SERVER['PHP_SELF'].

2003-03-24  Marcel Meulemans  <m.e.meulemans@student.utwente.nl>
	* include/log.inc.php: new log class, logs data to mgw_log.
	Usage: $GLOBALS["log"]->message(MGW_INFO, "message", __LINE__, __FILE__)
	Levels are defined in this file. Supports per module logging
	* log.php: script used to view the logs. outputs html or text
	* modules/general/setup/install.sql: added log settings
	* modules/general/templates/default/html/_navi.tpl: display a link
	when logging is globaly enabled
	* modules/general/inc/settings.inc.php: added settings for logging
	* include/container.inc: added include of log.inc.php
	* include/appconfig.inc: added initialization of the log class
	* modules/settings/templates/default/html/*: added horizontal layout
	for multipul checkboxes. This is used for the log settings

2003-03-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/headline/templates/default/html/*:
	* modules/headline/index.php: Fixes to the headline module,
	including bug #689539. Renamed some templates to conform to the
	standards, some small layout fixes.

	* include/mSelectBox.class.inc: setMultiple() now takes a boolean
	argument, which defaults to true. No changes needed to existing
	code, but it makes setMultiple(false) work, which I have seen in
	the code...

2003-03-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/templates/default/html/list_replies.tpl:
	* modules/forum/inc/forum.class.inc: Removed convertSignature()
	and the call to it, closing bug #693558. This was not really a
	bug, but this is probably what people expect, no? The signature
	appearing the way they entered it...
	Since this was probably done the way it was, was to simulate
	monospace, this is wrapped in <pre></pre> now instead.

	* setup/inc/step_5.inc.php:
	* setup/inc/step_6.inc.php: Dependancy checking for modules works
	now. Modules needed by others are installed but don't get enabled.

	* setup/inc/step_1.inc.php: Detecting the language selected in the
	browser works again.

	* setup/index.php: Sending the charset used via a header() call to
	make sure the browser get's it right.

	* setup/inc/setup.xml: Removed the module defintions, they are no
	longer used. Fixed charsets for Chinese.

	* docs/docbook/mgw-manual.css: Nicely formatted examples.

	* docs/docbook/en/chapters/coding_snippets.xml: Added some
	documentation on session usage and coding standards, as well as
	defintion.xml.

2003-03-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/userfunc.inc: getIconStrings() now returns an entry for
	'new' as well.

	* modules/notes/templates/default/html/notes_details.tpl:
	* modules/outboard/templates/default/html/outboard_details.tpl:
	* modules/partprog/templates/default/html/partprog_details.tpl:
	* modules/contact/templates/default/html/contact_crm_details.tpl:
	* modules/contact/templates/default/html/contact_comp_details.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/files/templates/default/html/files_details.tpl:
	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/news/templates/default/html/news_details.tpl: Using the
	mgw_linkalize modifier now. Thus http/mail addresses enetered into
	descriptions, notes and similar fields are clickable now.

	* norefer.php:
	* modules/partprog/norefer.php:
	* modules/partprog/index.php: Moved norefer.php to the mgw root,
	it is used in the new mgw_linkalize modifier as well.

	* include/smarty_plugins.php: Added a new modifier, to
	automagically link http/mail addresses in output. Depending on the
	setting for contacts it will create plain mailto links or webmail2
	links.
	The registering calls for the plugins were moved to this file
	(from appconfig.inc) as well.

	* modules/files/*: File manager is now at least working. Closes
	RFE #514750, bug #690768. I reworked the rights stuff, cleaned up
	the templates, as well as the real mess with all sorts of
	variables having wrong names, etc.
	If all bugs are fixed, we can talk about more features :)

2003-03-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/inc/setup.xml:
	* modules/*/lang/*.tr.lang:
	* modules/general/setup/install.sql: Added turkish language support.

2003-03-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/userfunc.inc: Added some more info to showSQLError().

2003-03-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/vcard/vcard.php: Fixed debugging calls.

2003-03-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/headline/index.php: Fixed a register_globals issue with
	adding RSS channels and with removing channels for a user. This
	was bug #688253.

	* modules/todo/inc/todo.class.php: Added charset setting to
	htmlentities() to fix bug #690071. Watch out for more like this!
	Fix to date formatting (bug #697170).

2003-02-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/inc/note.class.php: Fixed date display for
	comments.

	* index_ntlm.php:
	* index.php: $_SESSION['lastin'] now is in Unix timestamp format.

2003-02-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/partprog/index.php: Fixed a bug with register_globals.

	* include/smarty_plugins.php: The date and time modifiers now use
	Unix timestamps

	* modules/files/index.php: Removed getDateTimeFmt(), we have that
	already. Creating Unix timestamps from dates.

	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/templates/default/html/contact_groups_list.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/html/contact_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_list.tpl:
	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_details.tpl:
	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	* modules/contact/inc/crm.class.php: Worked on #591295, date and
	time formatting.

2003-02-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/sendmail_post.php: Fixed bug #690080, sending
	and saving as draft now seem to work well on PgSQL.

	* modules/webmail2/fetchmail.php: Added default value for waittime
	in relocate(). Squashes some warnings.

	* modules/news/index.php: PgSQL fix (#690070).

	* setup/lang/setup.(en|de).lang:
	* setup/templates/default/html/step_5.tpl:
	* setup/templates/default/html/setup.tpl: Added a JS snippet to
	check/uncheck all modules quickly.

	* setup/inc/save_settings.inc.php: Made the use of an empty
	hostname for PostgreSQL use possible again.

	* setup/inc/step_6.inc.php:
	* setup/index.php: Added setup_die, which allows to die with more
	grace and offers a restart button.

	* setup/templates/default/css/setup.css: lowercased colors

	* modules/projects/index.php: Fixed RFE #688800, that was actually
	a bug.

	* index.php:
	* include/module_exec.inc: Added header() call to set the charset
	for the HTTP response to the charset assigned to the current
	language. Should fix bug #690071.

	* include/container.inc: Fixed bug #693356.

2003-02-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/en/chapters/administration.xml: Added Bj�rn's patch
	about backup and restore.

	* modules/admin/system.php: Small fix to error detection.

	* setup/lang/setup.(en|de).lang: Translation and spelling fixes.

	* modules/calendar/index.php: Tiny fix for #692417.

	* modules/todo/inc/todo.class.php: Small fix to searching.

	* docs/convert.sh: Calling convert with 'single' as attachment now
	builds a single file HTML 'manual.html'. 'all' build this and the
	chunked manual. No argument builds only the chunked manual.

	* docs/mgw-manual.css: Better visible links.

	* docs/docbook/en/chapters/coding_cvs.xml: Added some content
	about CVS usage, including patch #690577.
	The stuff from the website (about branching and structure) has
	been added.

	* docs/docbook/en/chapters/setup_intro.xml: Added section about
	where and how to download more.groupware. Includes content from
	patch #690550.

2003-02-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_groups_details.tpl:
	* modules/contact/lang/contact.*.lang:
	Fixed missing/wrong translations.

	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/html/contact_edit.tpl:
	* modules/contact/inc/contact.class.php: Individual contacts can
	now be assigned to groups as well. Individual groups can be
	listed. Closes RFE #584488.

	* setup/inc/setup.xml: Added japanese language.

	* modules/files/definition.xml: Fixed name in definition file. Can
	now be installed by setup :)

	* setup/templates/default/html/step_3.tpl:
	* setup/lang/setup.[en|de].lang:
	* setup/inc/save_settings.inc.php:
	* setup/inc/step_3.inc.php:
	* setup/inc/step_6.inc.php: Can choose session name during setup
	now.

	* modules/calendar/inc/holidays.none.inc.php:
	* modules/calendar/inc/settings.inc.php: Added empty holiday
	template, to disable holidays (RFE #689676).

	* modules/todo/inc/todo.class.php: Some code cleanup.

2003-02-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/setup/install.sql:
	* modules/news/setup/install.sql: Fixed initial overview_news,
	overview_notes settings.

	* modules/admin/system.php: Now taking care of all int columns in
	primary keys, even for multiple-column keys.

	* moduels/todo/*: Last fixes and tuning on the new start date
	feature. Some code cleanup. Adapted overview plugin, added
	settings stuff.

	* modules/calendar/index.php: Fixed bug #690382.

	* modules/files/index.php: Fixed bug #690380.

2003-02-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/lang/admin.*.lang:
	* modules/admin/templates/default/html/system_seqcheck.tpl:
	* modules/admin/templates/default/html/system.tpl:
	* modules/admin/system.php: This will be a new part of the admin
	module. Right now it can scan all tables and will try to fix
	sequence tables for all primary keys of type integer. Should be
	helpful if those get messed up (e.g. during an update).

	* setup/index.php: On restart setup tries to drop all tables in
	the database that start with mgw_ (just in case there are other
	tables as well).

	* modules/webmail2/setup/install.sql: Added missing ; to
	webmail_sidebar definition.

2003-02-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/todo.class.php: Added code for item start date.

	* modules/todo/lang/todo.de.lang: New strings "startdate" and
	"starttype".

	* modules/todo/templates/default/html/todo_edit.tpl: Using new way
	to create the date selector. Added selector for item start date.

	* include/datepick.php: Part of the Smarty date picker plugin.

	* include/pear/Date/Calc.php:
	* include/smarty_plugins.php: New file with custom Smarty
	plugins. Contains a date picker and a "new" date selector. The
	pear snippet it needed for datepick.

	* include/userfunc.inc:
	* include/appconfig.inc: Moved Smarty plugins to a distinct file,
	registered two more plugins.

	* docs/html/en/index.html: New file to explain the missing
	manual. Should make everybody happy, I hope :)

	* docs/docbook/en/chapters/setup_linux.xml: Added a note about
	setup needing to be writable now.

	* modules/notes/*: Details now show date and user
	of last update to a note.
	Added a feature to comment on notes (RFE #640056), which can be
	enabled by the admin in the settings module. One can then post
	comments on notes in detail view.

	* modules/general/lang/general.*.lang: Added the string
	'lastchange'. Can be used universally :)
	Added string 'gensettings'.

	* modules/notes/setup/install.sql: Added table definitions for
	comments on notes.

	* setup/inc/step_6.inc.php: Skip entries in mgw_modules and
	mgw_rights for CORE modules.

	* modules/contact/templates/default/html/contact_edit.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/inc/contact.class.php:
	* modules/contact/setup/install.sql: Fixed bug #689189.

	* setup/lang/setup.de.lang: Some translations.

	* setup/index.php: Added message when old config.inc.php is
	detected.
	Shows a message now when templates_c is missing, and tries to
	create it automatically.
	Switching the language on the start screen with one click on
	refresh now works (instead of two clicks).

2003-02-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/lang.inc: Fixed the code for writing a file of missing
	strings during setup. After setup this can be activated by
	defining LANG_DEBUG. Missing strings are then written to the
	rootfolder in a file named missing.*.lang.

	* modules/*/inc/definition.xml: The old definition.xml files have
	been removed, the ones in a module's root folder are now used.

	* setup/*: Added k|p's new setup code, as submitted to me by
	Thomas Bley. This means it a) works and b) knows about NTLM auth
	and the MD5 password stuff. Cool stuff!
	I added another option to make setup write a config file including
	the patch #609946 to make mgw work with multiple hostnames.

	* include/version.inc: Updated to 0.6.7 - Spring. CVS is open
	again.

2003-02-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/docbook/en/appendices/appendix_upgrade.xml: Added update
	instructions.

	* docs/html/nohelp.*.html: Link additionally points to internal
	manual now.

	* docs/docbook/en/modules/modules_webmail2.xml:
	* docs/images/modules/webmail2/*:
	* docs/docbook/en/mgw-manual.xml: Added the webmail2 docs to the
	manual.

	* docs/docbook/en/chapters/intro_mgw.xml: Moved the users appendix
	here.

	* modules/webmail2/update-0-65--0-66.php: Commented out some code
	to make it work in conjunction with my update instructions in the
	manual.

	* modules/webmail2/setup/install.sql: Some changes to SQL, to
	avoid potential problems with PostgreSQL.

	* modules/calendar/inc/calendar_func.inc.php: Fixed #687689.

2003-02-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/crm.class.php: The letter selection list
	should work now.

	* include/smarty/: Update from 2.3.1 to 2.4.2. This fixes security
	issues; config files are now compiled as well.
	Added the debug template. Just setting debugging to true in
	Smarty.class.php works now. Mostly good for developers...

	* include/jpgraph/: Update from 1.10.1 to 1.11. This fixes some
	bugs and provides new graph types. As usual removed the insane
	sanity check from jpgraph.php (the lines before CheckGDVersion).

	* modules/calendar/inc/dayview.inc.php:
	* modules/calendar/month.php:
	* modules/calendar/week.php:
	* modules/calendar/index.php: Fixed register_globals issue with
	viewing other users' calendars. Inspired by support request
	#686208.
	In week.php a similar issue with stepping back/forward was fixed.

	* modules/forum/inc/forum.settings.class.inc:
	* modules/forum/media/: Added new icons from patch
	#612846. Removed some duplicate icons not needed.

2003-02-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/smenu.inc: vCard import is now shown with
	register_globals off.

	* include/vcard/vcard.php: Fixed bug #686256 and stuffed some more
	possible holes in the SQL statements.

2003-02-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/step4.inc.php:
	* modules/notes/setup/install.sql:
	* modules/news/setup/install.sql:
	* modules/headline/setup/install.sql:
	* modules/forum/setup/install.sql:
	* modules/files/setup/install.sql:
	* modules/webmail2/setup/install.sql:
	* modules/todo/setup/install.sql:
	* modules/overview/setup/install.sql:
	* modules/contact/setup/install.sql:
	* modules/calendar/setup/install.sql:
	* modules/general/setup/install.sql: Fixes to ensure PostgreSQL
	compatibility.

	* modules/admin/usermanager.php: Fixed bug #685593.

2003-02-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/month.php: Some warnings fixed. Changed session
	var handling to (hopefully) fix bug #651518.

	* modules/calendar/inc/dayview.inc.php:
	* modules/calendar/index.php:
	* modules/files/index.php: Some warnings fixed.

	* modules/files/templates/default/html/files_list.tpl: Fixed date
	formatting (part of bug #684255)

	* modules/admin/templates/default/html/usermanager_edit.tpl:
	* modules/admin/usermanager.php: When creating or editing users,
	error messages are no longer shown with the yes/no choice. Fixes
	bug #662011.

2003-02-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.settings.class.inc:
	* modules/forum/inc/forum.class.inc:
	* modules/forum/bild.php: Fixed forum user logos (bug #650690).

	* modules/settings/index.php: Removed call to legacy function
	str_quote().
	* modules/settings/inc/settings_func.inc.php: Added a quote() call
	and removed the str_quote() function. Those changes should fix the
	settings bug that crept up lately (#679612, #679387, #677854,
	#682487, #679377).

2003-02-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/convert.sh: The script now leaves the nohelp.*.html files
	untouched when cleaning up before the conversion.

	* docs/docbook/en/chapters/administration.xml:
	* docs/docbook/en/modules/modules_admin.xml:
	* docs/docbook/en/mgw-manual.xml: Added (some) documentation on
	the admin module. Thanks to Bj�rn for providing some input on
	this.

	* docs/docbook/en/appendices/appendix_faq.xml: Small updates.

	* modules/*/lang/*.ja.lang: Updated japanese language files,
	thanks to ELF.

	* modules/sync/definition.xml: Removed. Whenever it has been
	added.

2003-02-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/index.php: Fixed bug #679720, hopefully doesn't
	break anything else.

	* *.ja.lang:
	* modules/general/setup/install.sql:
	* setup/inc/setup.xml: Added japanese translation provided by ELF.

	* modules/headline/index.php: Fixed bug #679722.

	* setup/step4.inc.php: Simplified (sort of) the writing of the
	config file (just looks cleaner in the code now).

2003-02-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/usermanager.php: The user list is now sorted by
	username - this should obviously help...

2003-02-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/_navi.tpl:
	* include/container.inc: The help link in the submenu now points
	to the module documentation in the manual, if existent.

	* docs/html/nohelp.*.html:
	* modules/general/help/*: Moved the nohelp files to the docs/html/
	directory, to have all help related stuff in one place. This will
	remain the only HTML files of the help system kept in CVS.

	* modules/contact/inc/crm.class.php: Fixed bug #678589.

	* modules/general/templates/default/css/*.css: The remaining
	modifications to work towards a consistent link layout (is related
	to bug #650691).

	* modules/outboard/inc/outboard.class.php: Fixed bug #679379,
	though it wasn't a real bug.

2003-01-31  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/week.php:
	* modules/calendar/month.php:
	* modules/calendar/index.php: Fixed bug #677966.

	* modules/projects/timesheet.php: Fixed various register_globals
	pitfalls. Inspired by bug #676762.

2003-01-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/indent.sh: New file to run xmlindent on all XML source
	files.
	* docs/docbook/en/: Indentend all XML sources for easier
	reading. See indent.sh

	* docs/docbook/en/appendices/appendix_upgrade.xml: Added upgrade
	instruction appendix.
	* docs/docbook/en/appendices/appendix_docbook.xml: Updated to
	explain convert.sh
	* docs/docbook/en/chapters/intro_mgw.xml: Added a section on
	trying out mgw and mentioned that it's free :)
	* docs/docbook/en/chapters/coding_snippets.xml: Added (empty)
	sections on session usage and the settings module.
	* docs/docbook/en/chapters/setup_intro.xml: Changed the part about
	the upgrades to make it friendlier.
	* docs/docbook/en/chapters/setup_addons.xml: Added notice about
	status of the appointment reminder.

2003-01-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/*: Huge committ, removed a load of files, and migrated all
	existing documentation to DocBook XML. A small shell script for
	converting this to HTML is provided. Please don't committ HTML
	documentation files in CVS, only keep the sources in CVS! See my
	email to the dev list for more information about what I did, and
	why and how we should go on from here...

2003-01-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/tts/mygantt.php: Worked on fixing bug #658689.

	* modules/tts/inc/smenu.inc: Fixed register_globals issue.

	* include/jpgraph/*: Update to version 1.10.1 and removed (once
	again) the stupid error check in jpgraph.php.

	* include/phpxd/include/dom/CDataSection.php:
	* include/phpxd/include/dom/Document.php:
	* include/phpxd/include/dom/Attr.php:
	* include/phpxd/include/dom/Text.php: Renamed the class Text to
	xdomText. This prevents a name clash between phpXD and JPGraph
	resulting in graphs not being shown (bug #658689).

	* modules/forum/admin.php: Fixed forum admin problems with
	register_globals off (bugs #638068 and 630859(?)).

	* modules/forum/inc/settings.inc.php: Removed some code that was
	needless.

	* modules/forum/inc/smenu.inc: Fixed smenu when register_globals
	off.

	* include/userfunc.inc: Some fixes to date formatting in
	smarty_mod_mgwdate.

	* modules/files/index.php: Bug fixes for some parts, among others
	for bug #674322.

	* modules/general/setup/install.sql: Removed defaults for datefmt
	and timefmt (set_* are used only, as it seems). Changed default
	for set_datefmt, which solves error with date formatting after
	setup.

	* modules/general/inc/settings.inc.php: Removed some of the date
	format presets, that caused troubles and are probably not in wide
	use. 'j' and 'n' are not used any longer.

2003-01-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/inc/mime_types.php:
	* modules/webmail2/readmessage.php:
	* modules/webmail2/docu/docu1.php: Fixed the use of
	short_open_tags. This seems to fix bug #668772.

	* modules/calendar/index.php: Fixed bug #673191 by commenting out
	some lines. Works for me...

	* modules/webmail2/inc/webmail2_func.inc.php:
	* modules/webmail2/myfolders_modify.php:
	* modules/webmail2/myfolders.php:
	* modules/webmail2/inc/smenu.inc: Fixed some warnings about
	Call-time pass-by-reference by modifying the addtotree() function
	definition and the calls to it.

	* modules/admin/modulemanager.php: Fixed a bug with editing
	modules and register_globals. Added some more calls to quote() for
	SQL statements.

	* modules/general/templates/default/html/login2.tpl: Removed some
	JS overhead.

	* include/Auth/http.inc:
	* include/Auth/ldap.inc:
	* include/Auth/sql.inc:
	* modules/general/templates/default/html/login.tpl:
	* index.php: The encrypted password is now submitted via a hidden
	field. This works better with login manager in Mozilla, and
	prevents the visible change in the password field upon form
	submission.
	The files in Auth were changed to accept a third parameter, the
	already encrypted password.

	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/inc/crm.class.php: Fixed bug #673943.

2003-01-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/templates/default/html/delete_thread.tpl: Fixed
	language issue from bug #650748.

	* modules/forum/inc/forum.admin.class.inc:
	* modules/forum/inc/forum.class.inc: Fixed calls to showSQLError().

	* include/userfunc.inc: Fixed bug #671902.

2003-01-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/inc/calendar_func.inc.php: Some fixes to month view.

	* modules/files/templates/default/html/files_list.tpl:
	* modules/files/index.php: Fixed SQL bug #637516. Added is_array()
	to extract() calls for POST and GET. Fixed some more bugs
	(#640657, #634593).

	* modules/todo/inc/todo.class.php: Editing contents which contain
	quotation marks now works.

2003-01-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/news/channels.php:
	* modules/news/index.php: Fixed register_globals issues
	(bug #662002).

	* modules/admin/usermanager.php: Deleting an user deletes group
	membership as well. Fixes bug #663036.

2003-01-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/lang/setup.*.lang:
	* setup/templates/default/html/requirement_error.tpl:
	* setup/step2.inc.php: Added check for session.auto_start to
	setup. Inspired by bug #662113.

	* modules/projects/timesheet.php: Fixed bug # 665574.

	* modules/contact/inc/crm.class.php: Fixed bug #656236.

	* modules/general/templates/default/html/login.tpl:
	* modules/general/templates/default/html/login2.tpl: Fixed layout
	oddness with login error message.

	* include/lang.inc: Made setLocaledText() overwrite the global
	$hashmap, this makes it work for Lang::getLanguageString() as
	well. Fixes bug #631304.

2003-01-09  Honza Kropac  <honza@netelements.cz>

	* Updated Smarty from 2.3.0 to 2.3.1
	few fixes, like base_dir,...

	* modules/calendar/index.php:
	* modules/calendar/lang/calendar.*.lang:
	aplied improvement from Andreas Daab to add translated
	word birthdays before name. Please check translations

	* modules/calendar/templates/default/html/calendar_day.tpl:
	aplied improvement from Andreas Daab to truncate subject to 100 chars + '...'

2003-01-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated ADOdb from 2.91 to 3.00.

2003-01-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/usermanager.php: Fixed bug when deleting users.

	* modules/projects/timesheet.php: Fixed bug #661774.

	* modules/contact/inc/contact.class.php: Search term is now quoted.

	* Added mvcontacts.php to scripts/. It helps with migrating from
	TWIG to mgw.

	* Added licenses to some of the libraries used.

	* include/phpxd/include/dom/Node.php: Removed the duplicate
	cloneNode() function from phpXD, filed a bug on their project
	page as well.

	* Updated ADOdb from 2.50 to 2.91 (including the bugfix from the
	homepage to adodb-lib.inc.php). This solves the bug with the
	UnixDate() function being declared twice.

	* Updated JpGraph from 1.7 to 1.10.

2002-12-27	Marc Logemann <loge@moregroupware.org>
	* a test

2002-11-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/month.php: Fixed bug #641794.

	* index.php: Added check to fix bug #639760.

2002-11-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/partprog/index.php: Fixed bug #639697.

2002-11-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/setup/install.sql: Fixed bug #635188.

	* modules/projects/timesheet.php: Fixed bug #635187, plus some
	fixes to global variable use.

	* modules/projects/setup/install.sql:
	* modules/projects/index.php: Fixed bug #635485.

2002-11-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/templates/default/html/notes_overview.tpl: Fixed
	strange link placement.

	* modules/contact/inc/contact.class.php: Fixed bug #634871.

	* modules/todo/inc/overview.inc.php:
	* modules/notes/inc/overview.inc.php:
	* modules/news/inc/overview.inc.php:
	* modules/calendar/inc/overview.inc.php: Added file: resource type
	to smarty->fetch() calls. Another stab at bug #627693...

	* modules/headline/setup/install.sql:
	* modules/headline/inc/sql_update.inc.php: Fixed bug #631094 by
	updating install.sql, and commenting out everything in
	sql_update.inc.php. The whole SQL update stuff might be removed,
	since it seems to cause problems, and we should look into having
	some central update support. This can be done later, though (the
	removal).
	This solves bug #632234 as well.

	* modules/calendar/inc/calendar_func.inc.php: Fixed bugs #633671
	and #633477.

	* modules/calendar/index.php: Fixed bug #634075.

2002-10-31  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/week.php: Fixed bug #631289.

	* modules/calendar/setup/install.sql: Removed the NOT NULL from
	rep_from and rep_until.

	* modules/calendar/index.php: Fixed bug #631153, and some more
	lines like that.

	* modules/forum/inc/forum.class.inc: Re-fixed bug #629871. The
	forum has more pitfalls, but I leave that to the maintainer...

	* modules/projects/timesheet.php: Fixed bug #631281. Uses MGW from
	the session scope now. Not yet register_globals=Off ready!

2002-10-31 Marcel Meulemans <m.e.meulemans@student.utwente.nl>

	* modules/{modulename}/definition.xml
	Added new definition file for all modules. They are located in
	modules/{modulename}/. We wil be migrating to these when the new
	modulemanager is complete. For now a dtd for these files in located
	at http://kip.student.utwente.nl/mgw/mgw.dtd

	* include/container.inc: XML functions are included by default

	* includes/userfunc.inc: Modified getInstalledModules() to work
	with the new xml files

	* modules/settings/index.php:
	* modules/settings/templates/default/html/settings_list.tpl
	 Settings bugfixes:
	 #624111: File inputs via the settings module are stored on
	 the filesystem in modules/{modulename}/data/, the files
	 name is stored in the db coresponding to the configtag
	 #619545:
	 #629476: Problem the occured when submiting just 1 checkbox
	 of a multidimentions checkbox setting
	 #624314:

2002-10-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/headline/inc/sql_update.inc.php: Removed the backticks
	from the SQL. Part of a (pending) solution to bug #631094.

	* modules/contact/index.php:
	* modules/contact/inc/smenu.inc:
	* modules/contact/lang/contact.*.lang:
	* modules/contact/templates/default/html/contact_pdfexport.tpl:
	* modules/contact/inc/contact.class.php: Added code to export all
	contacts as vCards in a single file. Call viewCardExport() with -1
	as argument to use this.

	* include/vcard/vcard.php: Updated to new database handling.

	* modules/projects/timesheet.php: Fixed bug #631141.

	* modules/projects/index.php: Fixed bug #630478.

2002-10-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/setup/install.sql: Added a group to contain the
	demo forums created during setup. This makes it possible to delete
	those forums, without the need to create some group first.

2002-10-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/forum/inc/forum.class.inc: PgSQL bug #629871.

	* modules/webmail2/maillist.php: Fixed bug #629839 by replacing
	INSTR() with POSITION() as canani suggested. Works in MySQL as
	well, who would have thought that... :)

	* modules/calendar/index.php: Fixed bug #629817 (PgSQL).
	* modules/calendar/inc/calendar_func.inc.php: #629820 (PgSQL).

	* modules/news/index.php: Fixed bug #629821 (PgSQL).

	* modules/tts/inc/tts_func.inc.php: Removed, was 0 bytes long.
	* modules/tts/index.php: Fixed bug #629926 (PgSQL) and some more,
	and commented out two debug output lines.

2002-10-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/headline/index.php: Fixed bug #628883.

	* modules/files/index.php: Had a stab at fixing database and
	session code. Feel free to test this again. At least fixes bug
	#628885, but seems to open a can'o'worms (more work)...

	* modules/forum/inc/forum.class.inc:
	* modules/forum/inc/forum.admin.class.inc: Replaced all NextRow(),
	GetRowAssoc() and similar calls against the syntax that must be
	used now. This should fix bugs #619288, #625853 and #624048.
	forum.class.inc has some lines that need to be fixed by mdelamere,
	marked with FIXME KFISH. I commented them out for the time
	being. One still has MoveNext(), another refers to the forum image
	BLOB column in mgw_config.
	Added the proposed fix for bug #620761 as well.

	* modules/forum/inc/forum_func.inc.php:
	* modules/forum/index.php: Fixes to the session variable usage.

	* modules/forum/bild.php: Cleanup to the database stuff. But,
	sorry, this file seems royally fucked up. What does the
	configtagname wm_pop3pw has to do in there? Besides that the image
	stuff has to be fixed anyway, since BLOBs are gone from the
	settings anyway. Please talk to k|p about this!

	* modules/tts/index.php: Fixed bug #628882 by commenting out the
	echo statement.

	* modules/overview/index.php: Fixed warning on foreach() when no
	modules were selected for overview screen.

2002-10-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/templates/default/html/usermanager_batch.tpl:
	* modules/admin/templates/default/html/usermanager_list.tpl:
	* modules/admin/usermanager.php:
	* modules/admin/lang/admin.*.lang: Users can now be created from a
	CSV file, this should make life easier for busy admins.

	* modules/overview/index.php: Coded around the eval() use.

	* modules/forum/inc/forum.class.inc:
	* modules/forum/inc/forum_func.inc.php:
	* modules/forum/inc/forum.admin.class.inc:
	* modules/forum/index.php:
	* modules/forum/admin.php: Cleanup on variables, removed some
	unused global $hashmap calls, added some quote() calls.

	* modules/headline/index.php:
	* modules/headline/inc/sql_update.inc.php:
	* modules/headline/inc/smenu.inc:
	* modules/headline/inc/headline_func.inc.php: Cleanup.

	* modules/settings/lang/settings.*.lang: Added two strings

	* modules/notes/lang/notes.*.lang: Added two strings.
	* modules/notes/templates/default/html/notes_list.tpl: Added links
	to allow changing the sorting order.
	* modules/notes/inc/note.class.php: Added search on title and
	content, and made it possible to change sort order by clickung on
	the table header.
	Paging is now based on a session variable for curr_page as
	well. Thus the current page is preserved during add/edit/delete
	actions.
	* modules/notes/inc/settings.inc.php: Added two new options for
	default sorting.
	* modules/notes/setup/install.sql: Added two new configtags for
	sorting in notes.

	* modules/todo/index.php: Very small fix to preserve viewing mode
	(current/archive) after delete confirmation screen.
	* modules/todo/templates/default/html/todo_list.tpl: Added links
	to allow changing the sorting order.
	* modules/todo/inc/settings.inc.php: Added subject as one more
	possible sorting order.
	* modules/todo/inc/todo.class.php: Sorting can now be changed by
	clicking on the table headers. Clicking twice reverses sorting
	order. Some more fixes.

	* modules/general/templates/default/css/*.css: Added defintions
	for a and a:hover when nested in tableheader cells. See todo
	module for the effect.

	* modules/forum/setup/install.sql: Fixed bug #628154.

2002-10-23  Honza Kropac  <honza@imachina.cz>

	* /include/userfunc.inc: new function isModuleActive()
	* /modules/overview/index.php: fixing bug #615510

2002-10-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/headline/templates/default/html/headline_list.tpl: Fixed
	paths to space.gif.

	* modules/headline/index.php: Fixed bug #626579 by commenting out
	the echo(s).

	* modules/tts/index.php: Fixed bug #626577 by commenting out the
	echo.

2002-10-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/news/*: The number of news shown in overview can now be
	set through settings module.

	* modules/notes/*: overview now shows notes added/edited since the
	last login. The max. number can be set in settings module.

	* index.php: On login and logout the lastin field in mgw_users
	gets updated.

	* modules/general/setup/install.sql: Added field to record last
	time user logged in (lastin in mgw_users).

	* modules/overview/lang/overview.en.lang:
	* modules/overview/lang/overview.de.lang: Translated.
	* modules/overview/index.php: (Really) small session var fix.

2002-10-23  Honza Kropac  <honza@imachina.cz>

	* modules/overview/index.php:
	* modules/overview/templates/default/html/overview.tpl:
	* modules/overview/setup/*:
	* modules/overview/inc/settings.inc.php:
	* modules/news/inc/overview.inc.php:
	* modules/news/templates/default/html/news_overview.tpl:
	* modules/calendar/inc/overview.inc.php:
	* modules/news/templates/default/html/calendar_overview.tpl:
	* modules/todo/inc/overview.inc.php:
	* modules/todo/templates/default/html/news_overview.tpl:
	  changed and created to enable user to choose, which modules
	  will he see on overview. All modules can access overview screen
	  (see mailing list for details)

2002-10-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/*: Some more cleanup, added search.

2002-10-23  Honza Kropac  <honza@imachina.cz>

	* modules/partprog/index.php: changed to superglobals, qstr->quote
	* include/lang.inc: fixed for E_ALL
	* modules/calendar/setup/install.sql: new configtag
	* modules/calendar/lang/*: new keys for settings
	* modules/calendar/index.php:
	* modules/calendar/inc/calendar_func.inc:
	* modules/calendar/inc/dayview.inc.php:
	  aplied modified patch from Thomas Bley for mailing vCals
	  cleaned few E_ALL things
	* modules/calendar/inc/smenu.inc: changed to superglobals
	* modules/calendar/inc/settings.inc.php: new settings for vcal

2002-10-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/lang/general.*.lang:
	* modules/general/templates/default/html/login.tpl:
	* include/Auth/sql.inc:
	* index.php: Added NTLM/REMOTE_USER patch by Thomas.
	Added a check for $appconf["use_ntlm_auth"], this has yet to be
	added to setup. k|p!?!
	Localized the text in login.tpl.

	* include/vcard/*: Moved here from the previous sync folder under
	modules.

	* modules/contact/inc/contact.class.php: Fixed problem with
	birthdate not getting stored correctly. We need to tune this some
	more. We still jave problems on PostgreSQL when not every part of
	the date is set (will result in e.g. 0000-04-00, this doesn't
	work).
	Moved the sync folder away, the content is now in include/vcard/.

	* modules/projects/mygantt.php: Cleanup, and some fixes.

	* modules/projects/templates/default/html/projects_edit.tpl:
	Renamed from projects_en.tpl, and some cleanup.

	* modules/projects/inc/projects_func.inc.php:
	* modules/projects/timesheet.php:
	* modules/projects/index.php: Added patch by Andreas Daab, plus
	some more fixes.

2002-10-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/tts/index.php: Using quote() now.

	* modules/headline/lang/headline.de.lang: Added removechannel.

	* modules/files/index.php: Fixed bug #618545. Replaced $hashmap
	with calls to Lang::getLanguageString() during this.

	* modules/contact/inc/contact.class.php: Fixed birthdate
	insertion/update. Thanks to Andreas Daab pointing this out.

2002-10-19  Olivier Bregeras  <stunti@laposte.net>
	* modules/headline/templates/default/html/headl_channel_remove.tpl:
	* modules/headline/index.php:
	* modules/headline/inc/smenu.inc:
	* modules/headline/lang/headline.fr.lang:
	* modules/headline/lang/headline.en.lang:
		Add the possibility to remove definitly channels

2002-10-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/templates/default/html/gantt_view.tpl: Some
	slight layout tune.

	* modules/projects/templates/default/html/occupation_edit.tpl:
	* modules/projects/templates/default/html/dayprices_edit.tpl:
	* modules/projects/occupation.php: Code cleanup, quoting,
	superglobals. Renamed the two templates according to the
	standards.

2002-10-18  Honza Kropac  <honza@imachina.cz>
	* include/module_exec.inc:
	* index.php:
	* /modules/overview/index.php:
	* include/lang.inc: changed to work with error_reporting(E_ALL)
	* modules/admin/modulemanager.php: changed to superglobals, cleaned
	* modules/admin/groupmanager.php: changed to superglobals, quoted
	* modules/admin/lang/admin.cs.lang:
	* modules/admin/lang/admin.en.lang: small change to display modulename
	  while editting module, please see key editmodule
	  and change it in other languages
	* modules/admin/templates/default/html/module_list.tpl: cleaned
	* modules/calendar/index.php: small changes in vCalendar export
	* modules/calendar/inc/calendar_func.inc: changet quoted_printable_encode()

2002-10-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/mygantt.php: Fixed bug #624319.

	* modules/settings/index.php: Changed HTTP_POST_FILES to FILES.

	* include/userfunc.inc: Some changes to getUserSettings, removed
	BLOB support there.

2002-10-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/overview/inc/overview_func.inc.php: Fixed bugs #623559
	and #623563.

	* modules/admin/templates/default/html/rights_edit.tpl:
	* modules/admin/templates/default/html/modulemanager_edit.tpl:
	* modules/admin/templates/default/html/usermanager_edit.tpl:
	Renamed from *_en.tpl

	* modules/admin/usermanager.php:
	* modules/admin/rightsmanager.php:
	Fixed use of global variables, code cleanup.

	* modules/admin/usermanager.php: Added login choice to language
	selection.

	* setup/lang/setup.fr.lang:
	* setup/lang/setup.fi.lang:
	* setup/step2.inc.php: Adjusted the check for the PHP version.

	* modules/contact/inc/settings.inc.php: Fixed broken drop down
	menu.

	* include/mSelectBox.class.inc: If you pass a second parameter to
	draw(), you can add arbitrary stuff to the opening select tag
	(e.g. for putting an onChange event there).

	* modules/forum/setup/install.sql: Made the forum_mylogo settings
	a str instead of a blob. Made the default lang of the forum users
	'login' (see below).

	* include/userfunc.inc: made get_user_info() work with language
	selection during login.

	* include/lang.inc: Made the code recognize the 'login' language,
	and use the language from appconf if this is set. Hm. Rather a
	hack, but I have no better idea.

	* index.php:
	* modules/general/inc/settings.inc.php:
	* modules/general/setup/install.sql:
	* modules/general/lang/general.*.lang:
	* include/userfunc.inc: Fixed language selection. If the user sets
	a language in his settings, this will override the login selection
	now. This can be set back by defining the language as 'login'.
	If you select another language in the login screen, the form is
	refreshed and displayed in the chosen language.

	* modules/settings/index.php: Moved to superglobals.

	* modules/calendar/inc/calendar_func.inc.php:
	* modules/calendar/index.php: Added patch by Andreas Daab. See his
	email from Oct 16th to the dev list.

2002-10-16  Honza Kropac  <honza@imachina.cz>
	* modules/calendar/inc/*.php:
	* modules/calendar/*.php:
	changing to $_XXX vars, added experimental export to vCalendar
	(at this time only for own public appointments, no national characters)

2002-10-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/lang/general.*.lang:
	* modules/general/templates/default/html/login.tpl: Added language
	select box.

	* index.php: Login screen is now always shown in the default
	language from config.inc.php selected during installation.
	Language can now be selected on login.

	* setup/inc/setup.xml: Fixed charset values and names for chinese
	and taiwanese. Again, I can only *think* this is correct now.

	* modules/general/setup/install.sql: Added lines for the chinese
	and taiwanese translations. They might be horribly incomplete, but
	none wants to improve on them, when they are not offered at all. I
	guessed the charsets to be HZ and Big5, but I can't really judge
	this :)
	Additionally I fixed some typos and uppercased the first letters
	of the description :)

	* modules/webmail2/templates/default/html/top2.tpl:
	* modules/webmail2/templates/default/html/top.tpl:
	* modules/webmail2/templates/default/html/folders.tpl: Added title
	attributes to enable tooltips in Mozilla.

	* modules/webmail2/inc/webmail2_func.inc.php: Fixed some issues
	with the new database behaviour.

2002-10-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/pdf.class.php:
	* modules/contact/inc/crm.class.php:
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/inc/contact_func.inc.php:
	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/company.class.php:
	* modules/contact/index.php:
	* modules/news/channels.php:
	* modules/news/index.php:
	* modules/admin/usermanager.php:
	* modules/admin/rightsmanager.php:
	* modules/admin/modulemanager.php:
	* modules/admin/groupmanager.php: Fixed some issues with the new
	database behaviour and changed to new superglobal variables.

	* modules/calendar/index.php: Removed calls to d_php2my() which
	has been deleted from userfunc.inc now.

	* modules/general/lang/general.*.lang:
	* modules/general/templates/default/html/login.tpl:
	* include/userfunc.inc:
	* index.php: Added the choice to restrict access to the remote IP
	used during login. This should severly harden any tries to steal a
	session. Please test this!

	* setup/tenplates/default/html/requirement_error.tpl:
	* setup/lang/setup.*.lang:
	* setup/step2.inc.php: Removed the check for magic_quotes_gpc
	being on. Since we should quote all strings that go to the
	database anyway, this is not useful.

	* modules/outboard/inc/outboard.class.php:
	* modules/todo/inc/todo.class.php:
	* modules/todo/inc/todo_func.inc.php:
	* modules/settings/index.php:
	* modules/settings/inc/settings_func.inc.php:
	* modules/notes/inc/note.class.php:
	* modules/notes/inc/category.class.php:
	* modules/overview/inc/overview_func.inc.php:
	* index.php:
	* include/*: Starting to use MGW object from $_SESSION
	directly. Work towards SQL portability.

	* include/appconfig.inc: Setting ADOdb fetch mode to
	ADODB_FETCH_ASSOC globally, for consistency's sake (see
	http://php.weblogs.com/adodb_manual#adodb_fetch_mode for more
	info).
	Some more work towards using $_SESSION["MGW"] in most
	places. Solves a lang file not available problem during
	login/logout.

	* modules/files/setup/install.sql:
	* modules/webmail2/setup/install.sql:
	* modules/todo/setup/install.sql:
	* modules/headline/setup/install.sql:
	* modules/forum/setup/install.sql:
	* modules/contact/setup/install.sql:
	* modules/calendar/setup/install.sql:
	* modules/general/setup/install.sql: More SQL portability
	fixes. Removed the BLOB field from mgw_config, so forum may be
	broken, until it is adapted.

2002-10-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* Updated spanish translation from patch #620433.

2002-10-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/settings.inc.php: Fixed bug #619977.

2002-10-07  Honza Kropac  <honza@imachina.cz>

	* modules/contact/inc/settings.inc.php:
	  aplied patch from Andreas Daab for quicksearch in company name
	* modules/calendar/*.php:
		changed getRowAssoc() -> FetchRow(), qstr()->quote()

	* modules/calendar/month.php: fixing bug #619106
	* include/userfunc.inc showSqlError():
	  changed $revisions_array to $Revisions_array so it prints file revision again
	* changed calling of revisionInit() in nearly all files.
	  The revisions array is global and is not defined in function call

2002-10-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/lang/contact.fr.lang: Fixed bug #618544.

	* include/adodb/* Recoded from DOS to Unix lineends, this should
	give correct checkouts for all involved...

	* modules/calendar/templates/default/html/calendar_select_date.tpl:
	* modules/calendar/templates/default/html/calendar_day.tpl:
	* modules/calendar/templates/default/html/_calendar_day_row.tpl:
	* modules/calendar/inc/dayview.inc.php:
	* modules/calendar/index.php: Added patch by Andreas Daab, to show
	who created an appointment, when viewing the calendar of "All".

	* setup/inc/setup.xml: Fixed spelling of "Finnish".

	* modules/calendar/week.php:
	* modules/calendar/month.php:
	* modules/calendar/index.php: Fixed bug #618363.

2002-10-04  Honza Kropac  <honza@imachina.cz>

	* russian translation added. Thanks to Dmitri Tsyganok

2002-10-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/files/lang/files.fr.lang: New translation. Thanks to
	Patrick Loge. The name must be a coincidence :)

	* modules/projects/mygantt.php:
	* modules/projects/templates/default/html/gantt_view.tpl:
	* modules/projects/templates/default/html/projects_list.tpl:
	* modules/projects/lang/projects.*.lang: string ganttdiagram added
	to fix bug #617584.

2002-10-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/week.php: Removed two hardcoded uses of german
	holiday template. Thanks to Erianor for pointing this out on the
	mailing list.

	* modules/admin/usermanager.php: Fixed bug #617193 as well as a
	few more uses of global variables.

	* modules/admin/templates/default/html/usermanager_en.tpl: When
	editing an existing user, the password doesn't have to be entered
	any longer (fixed the JS).

	* modules/webmail2/sendmail_post.php: Fixed bug #617236.

2002-09-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/lang.inc: Added two calls to trim(), since for some
	reason the language code now (after the SQL changes) gets padded
	to 5 characters. Strange...

	* modules/files/inc/definition.xml:
	* modules/files/index.php: The necessary storage directory should
	now be created during setup.

	* modules/general/setup/install.sql:
	* modules/general/lang/general.*.lang:
	* modules/general/inc/settings.inc.php:
	* index.php: Instead of redirecting to overview, now redirects to
	def_module from the settings.

	* modules/todo/inc/todo.class.php:
	* modules/todo/inc/todo_func.inc.php:
	* modules/todo/index.php: Minor cleanup. Should be portable on SQL
	level.

	* modules/general/lang/_navi.*.lang: Added strings for the new
	modules to the file.

	* modules/files/*: Filemanager done by Tomas Sanchez. A good
	foundation for further improvement. Give it s shot, if you have
	the time and coding skills!

	* modules/outboard/*: Added module for tracking the state of users
	(in-house, away, ...). Code originally contributed by Jack Shedd,
	heavily modified by me.
	Fixed bug #616671.

	* setup/step4.inc.php:
	* modules/*/setup/install.sql: Changed data types to make
	SQL more portable. There is one issue left, that is the BLOB for
	value_blob in mgw_config and the BLOBs in webmail2. I guess we
	don't need this in mgw_config (it seems unused anyway), and it
	would be more efficient to store BLOB contents on the filesystem
	anyway. Opinions, suggestions, please.
	Changed a lot of insert statements as well, to insert default
	values correctly.

2002-09-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/lang/todo.en.lang: Added two missing strings.

	* modules/webmail2/lang/webmail2.en.lang: This is now english
	again. Sorry for the confusion!

	* modules/headline/lang/headline.*.lang: Fix to the server:port
	entry.

	* modules/webmail2/inc/settings.inc.php: Fixed the settings page
	by adding the new spacer option instead of breaks in the note
	option.

	* modules/general/inc/settings.inc.php: Option for long date
	format is hidden.

	* modules/webmail2/templates/default/html/_navi.tpl:
	* modules/webmail2/templates/default/html/top2.tpl:
	* modules/webmail2/templates/default/html/top.tpl: Changes to the
	main nav bar, to make it look and behave like the standard one.

2002-09-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/lang/webmail2.fr.lang: Corrections sent in by
	Philippe Freund.

	* setup/step2.inc.php: Setup should now detect SSL and propose a
	matching root URL by itself.

	* modules/contact/index.php: Moved the session_cache_limiter()
	call into this file. Hopefully this is it now...

	* include/appconfig.inc: Added session_cache_limiter
	("private"). Hopefully this fixes some of the existing problems,
	(e.g. #614498) without causing new ones....
	Update: I removed that again, and added it to the PDF part
	directly. It caused massive problems with IE doing aggressive
	caching.

	* modules/calendar/week.php: Fixed missing localisation of private
	string.

	* modules/calendar/index.php:
	* modules/calendar/inc/dayview.inc.php: We now support icon mode.

	* Committed/Added: updated dutch language files contributed by Yvo van
	Beek.

2002-09-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/templates/default/html/settings_options.tpl:
	* modules/settings/index.php: Update committed, change done by
	Marcel Meulemans.

	* modules/projects/index.php: Fixed bug #615127.

2002-09-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/templates/default/html/timesheet_select.tpl:
	Removed buggy cancel link.

	* modules/calendar/week.php:
	* modules/calendar/month.php:
	* modules/calendar/index.php: Fixed bug #614371 (which was rather
	a feature request, no?)

2002-09-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/inc/settings.inc.php: Theme names are now sorted
	in settings screen.

2002-09-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/templates/default/html/input.tpl:
	* modules/settings/index.php: Added code to make it possible to
	set the width/height of textarea and text input fields.
	Added non-empty defaults for size to text, textarea, password and
	default, to make the code work with Konqueror (it treats empty
	maxlength attributes as 0, no input possible).

	* modules/contact/templates/default/html/contact_edit.tpl: Layout
	fix.

	* modules/calendar/templates/default/html/calendar_date_delete.tpl:
	* modules/calendar/index.php: Fixed bug #611578. Some layout
	improvements.

	* modules/calendar/inc/settings.inc.php: Removed note on internal
	coding issues from settings array. ("I would advise to put
	viewfrom and viewto in one configtag in the db and then use
	serials.")

	* modules/forum/setup/install.sql: Enlarged the varchar field for
	storing smiley names, to make use of patch #612846 (New Forum
	Icons) easier.

	* modules/general/templates/default/css/BlueSilverZyph.css:
	* modules/general/templates/default/css/BlueSilverZyph_Mozilla.css:
	Added new stylesheet provided by Yvo van Beek. The Mozilla version
	(as usual) has larger font sizes.

2002-09-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/index.php: Fixed small bug making password
	changing impossible. Thanks to Yvo for pointing this out.

2002-09-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/inc/smenu.inc: Made the seperator in the folder
	drop down box shorter. This way it fits a little better on the
	screen (could hardly see the logout link).

2002-09-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/lang/contact.de.lang: Small fix.

2002-09-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/month.php: Month view now shows a link to a
	selection list if appintments start at the same time. Fixes bug
	item #608035. When viewing another users calendar that contains
	private appointments, this might break. To be fixed later.

	* modules/calendar/index.php: Fixed bug #609962.

	* modules/calendar/inc/calendar_func.inc.php: Hack-fixed bug
	item #608097.

	* setup/step3.inc.php: Bug #609534 (LDAP Auth) should be fixed.

	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/templates/default/html/contact_vi.tpl:
	* modules/calendar/templates/default/html/_cal_contentheader.tpl:
	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	* modules/admin/templates/default/html/groupmanager_addrem.tpl:
	Layout improvement (bug #609241).

	* modules/contact/inc/crm.class.php: Translation fix.

	* modules/calendar/lang/calendar.de.lang:
	* modules/contact/lang/contact.de.lang:
	* modules/admin/lang/admin.de.lang:
	* modules/general/lang/general.de.lang:
	* modules/news/lang/news.de.lang: Translation fix.

	* setup/step3.inc.php: Made check for existing (old) database work
	(again). Removed the comments disabling the non-CURL root URL
	check.

2002-09-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/templates/default/html/webmail2_settings_menu.tpl:
	Made this point to the settings module.

	* modules/webmail2/templates/default/html/_navi.tpl: Adapted
	navigation bar to the change done to it yesterday.

	* modules/settings/index.php: Fixed translation problem.

	* modules/wmail/inc/settings.inc.php: Created a first version of a
	settings file for use with the new settings module. Shows ok, but
	I have not tested it. One thing won't work for sure: saving the
	password. It needs to be Crypt()ed before storing it into the
	database. Can this be done, k|p?

	* modules/settings/lang/settings.fr.lang: Update from zimba.

	* modules/forum/*: JavaScript confirmation window in admin now has
	translation. Correct submenu is highlighted. Some small
	fixes. Fixes bug #608548.

	* include/userfunc.inc:
	* index.php: Added a new function getInstalledModules(), used by
	the new settings module. It gets called in index.php and module
	manager as well as settings module.

	* modules/admin/modulemanager.php: Small change to support new
	settings module.

	* modules/*/inc/settings.inc.php: Added those, they are needed for
	the new settings module. This means that settings are now
	contained with the modules, and there is no need to work on
	settings templates or includes when adding/removing a
	setting. Just adjust the settings.inc.php and the install.sql.

	* modules/settings/*: Added new settings module conributed by
	Marcel Meulemans. This has been tested by a few people, and no
	problems have been found. If anything breaks now, it is probably
	because I made a mistake when committing...

2002-09-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/news/lang/news.en.lang: Fixed bug #608567.

	* modules/general/templates/default/html/_navi.tpl: Changed the
	cell formatting for the main navigation. This makes this more
	dynamic, and might give us more room as well as space for longer
	module names. Inspired by bug #608513.

	* modules/contact/templates/default/html/contact_crm_list.tpl:
	* modules/contact/inc/crm.class.php: Fixed formatting of submit
	button (bug #608513).

	* modules/settings/lang/settings.de.lang: Fixed grammar (bug
	item #608513).

	* modules/news/templates/default/html/news_channel_list.tpl: Fixed
	iconmode bug (bug #608513).

	* modules/notes/templates/default/html/notes_edit.tpl: Fixed
	layout as per bug #608513.

	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	Made popup window resizable (bug #608513).

	* modules/contact/templates/default/html/contact_comp_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	Layout adjustments (bug #608513).

	* modules/contact/lang/contact.de.lang: Added chosegrouptext,
	createnewgroup and createdby (bug item #608513).

	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	Enlarged the fields for location and subject (bug #608513).

	* modules/overview/templates/default/html/overview.tpl: Added more
	space below the heading (bug #608513).

	* modules/forum/lang/forum.en.lang: Fixed bug #608514.

	* modules/contact/templates/default/html/contact_crm_list.tpl:
	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	* modules/contact/inc/crm.class.php: Worked on bug #608014.

	* modules/contact/inc/company.class.php: Added name2, city and
	email to the company quicksearch.
	Prev next icons now work in iconmode.

	* modules/contact/templates/default/html/contact_comp_list.tpl:
	Prev next icons now work in iconmode.

	* modules/calendar/month.php:
	* modules/calendar/week.php: The small calendar now gets set to
	the month and year of the "Jump to Date" function, like it happens
	in day view.

	* modules/calendar/month.php: Fixed bug #608360.

	* modules/settings/lang/settings.*.lang:
	* modules/settings/templates/default/html/settings_calendar.tpl:
	* modules/settings/inc/calendarformsave.inc:
	* modules/settings/inc/calendarform.inc:
	* modules/calendar/month.php:
	* modules/calendar/week.php:
	* modules/calendar/index.php: Added showing of birthdays to day
	view.

2002-09-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_comp_list.tpl:
	* modules/contact/templates/default/html/contact_list.tpl: Fix to
	point 1 of bug #608014.

	* include/adodb/*: Update to version 2.40.

	* include/jpgraph/*: Update to version 1.7. Again removed the stupid
	general error check in jpgraph.php. It kicks in even when there
	are just warnings. Tststs...

	* include/fpdf/*: Update to version 1.51.

	* modules/settings/templates/default/html/settings_todo.tpl: Fixed
	bug #607832.

	* modules/general/templates/default/wml/login.tpl: First stab at
	WML. Fixed path to logo, and changed login form to work
	again. Won't do anything more in that direction too soon...

	* modules/calendar/inc/holidays.*.inc.php:
	* modules/calendar/inc/calendar_func.inc.php: Some coding, and
	moved the holiday code to individual files.

	* modules/calendar/collisions.php: Added long PHP open tag.

	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	JavaScript check to make sure the end date of a repeating event
	now only kicks in when some repeat attribute is actually set.

	* modules/settings/lang/settings.de.lang:
	* modules/calendar/lang/calendar.de.lang: Updated translation.

	* modules/calendar/index.php: Removed debug code, didn't use it
	anyway.
	More fixes to close bug #604725.

	* include/userfunc.inc: Changes to the error screen.

2002-09-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/company.class.php: Contact icons in company
	list view work again.

	* modules/headline/lang/headline.de.lang: Translation done.

	* modules/forum/templates/default/html/list_groups.tpl:
	* modules/projects/templates/default/html/occupation_list.tpl:
	* modules/projects/templates/default/html/occupation_en.tpl:
	* modules/projects/templates/default/html/timesheet_selectview.tpl:
	* modules/projects/templates/default/html/timesheet_select.tpl:
	* modules/projects/templates/default/html/timesheet_list2.tpl:
	* modules/projects/templates/default/html/timesheet_list.tpl:
	* modules/projects/templates/default/html/projects_en.tpl:
	* modules/projects/templates/default/html/projects_list.tpl:
	* modules/projects/inc/smenu.inc:
	* modules/todo/templates/default/html/todo_list.tpl:
	* modules/todo/templates/default/html/todo_edit.tpl:
	* modules/todo/inc/smenu.inc: Cleaned up the submenus, fixes bug
	items #607369 and #607371.

	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	Added scrollbars to the popup window, fixes bug #606939.

	* modules/todo/inc/todo.class.php:
	* modules/todo/templates/default/html/todo_list.tpl: Fixed output
	of descriptions in list view.

	* modules/contact/templates/default/html/contact_groups_list.tpl:
	* modules/contact/templates/default/html/contact_groups_edit.tpl:
	* modules/contact/templates/default/html/contact_groups_details.tpl:
	* modules/contact/templates/default/html/contact_vi.tpl:
	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/templates/default/html/contact_edit.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/html/contact_crm_list.tpl:
	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	* modules/contact/templates/default/html/contact_comp_edit.tpl:
	* modules/contact/templates/default/html/contact_comp_details.tpl:
	* modules/contact/templates/default/html/contact_comp_list.tpl:
	* modules/contact/inc/smenu.inc: Cleaned up the sub menu.

	* modules/contact/inc/pdf.class.php: Lists with many contacts are
	now correctly put on multiple pages. Date and time in the footer
	are formatted according to the date and time settings.

	* modules/contact/inc/contact.class.php:
	* modules/contact/templates/default/html/contact_pdfexport.tpl:
	Two new options for PDF export: "All Contacts" and "Contacts
	without Company". This is for bug #606932.

	* modules/contact/lang/contact.*.lang: Added two strings for the
	new PDF export options in contacts.

	* modules/calendar/index.php: Cleanup, some typecasting for user
	input, fixed bug #606609.

	* modules/calendar/inc/calendar_func.inc.php: Indentation and code
	cleanup, uppercased some SQL.

	* modules/calendar/week.php: Fixed bug #606963.

2002-09-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/inc/calendar_func.inc.php: Hopefully fixed the
	collision detection bug #604581.
	Appointments starting at the end time of the previous appointment
	don't create a conflict any longer.

	* modules/calendar/index.php: Fixed optical bug on a day with no
	appointments.

	* modules/news/templates/default/html/news_list.tpl: Fixed bug
	item #605986.

	* modules/admin/rightsmanager.php: Some type casting for user
	input, indentation fixes, uppercased some SQL.

2002-09-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/index.php: Work on fixing bug #604725.

	* modules/calendar/inc/calendar_func.inc.php: Improved conflict
	detection code.

2002-09-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/week.php: Fixed a bug that led to an empty
	screen when clicking on an appointment in week view.

	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* modules/general/templates/default/js/scripts.js:
	* modules/calendar/collisions.php: If you press the "overview
	participants" button, the overview is for the day actually
	selected in the edit screen. Cool eh?
	Removed loads of functions from scripts.js that weren't use
	anywhere (according to grep).
	Some HTML cleanup, and layout changes. Hope this is ok.

	* modules/calendar/templates/default/html/calendar_date_conflict.tpl:
	Heavy work on conflict detection code. Seems to work now.

	* modules/calendar/index.php: Stupid fix for bug #601750.
	Heavy work on conflict detection code. Seems to work now.

	* modules/general/templates/default/css/On_the_Beach_Mozilla.css:
	* modules/general/templates/default/css/Ocean_Mozilla.css: Mozilla
	version of the CSS files. Fonts are two pixels larger.

	* modules/general/templates/default/css/*.css: Added class "outer"
	for use in calendar day view.
	Removed the font-weight:bold for class "wochenende", to be able to
	use bold for days with appointments.
	Made all font-sizes in Morelogs_Silver_Mozilla two pixels larger.

	* modules/calendar/lang/calendar.en.lang: Fixed wrong name for
	string "legend", and wrong spelling of vacation.

	* modules/calendar/templates/default/html/collision2.tpl:
	* modules/calendar/templates/default/html/_calendar_week_row.tpl:
	* modules/calendar/templates/default/html/_calendar_week_h.tpl:
	* modules/calendar/templates/default/html/calendar_month.tpl:
	* modules/calendar/templates/default/html/collision2.tpl:
	* modules/calendar/templates/default/html/holiday_list.tpl:
	* modules/calendar/templates/default/html/calendar_week.tpl:
	* modules/calendar/templates/default/html/_calendar_month_row.tpl:
	* modules/calendar/templates/default/html/_calendar_month_h.tpl:
	* modules/calendar/templates/default/html/_cal_contentheader.tpl:
	* modules/calendar/templates/default/html/_actual_calendar_owner.tpl:
	* modules/calendar/templates/default/html/_select_calendar_owner.tpl:
	* modules/calendar/templates/default/html/jump_to.tpl:
	* modules/calendar/templates/default/html/calendar_select_date.tpl:
	* modules/calendar/templates/default/html/calendar_legend.tpl:
	* modules/calendar/templates/default/html/calendar_day.tpl: HTML
	cleanup.

	* modules/calendar/inc/calendar_func.inc.php: Cleanup in
	get_monthview_static(), this should make the generated HTML
	somewhat smaller.
	Used the size enhancement to justify feature request #564340. Days
	with appointments are shown bold now.
	Heavy work on conflict detection code. Seems to work now.

	* modules/calendar/templates/default/html/_calendar_day_row.tpl:
	HTML cleanup, added use of class defined for row.

	* modules/calendar/index.php:
	* modules/calendar/inc/dayview.inc.php: More work on day
	view. Should be better than ever! :)
	Rows outside the "regular day" are marked with class "outer", to
	make it clear optically, that they are "overtime"

2002-09-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/inc/dayview.inc.php: Fixes to day view. Now
	empty lines are inserted again, to pad longer appointments.

	* modules/calendar/index.php: Added a nice little weird fix for
	the daylight savings time time shifting problem (#547719). Seems
	to work for me, but please TEST, TEST, TEST!
	Added bug when selecting two appointments starting the same
	time. When one of them was a timeseries, but a following one
	wasn't, the same "edit timeseries" link was shown.
	Fixes to day view. Now empty lines are inserted again, to pad
	longer appointments.

	* modules/calendar/week.php: Bug #602241 fixed for week view. If
	someone knows a better way to do the check on line 264, go ahead!

	* docs/INSTALL: Added note about better not using Apache 2.x yet
	to run moregroupware.

2002-09-02  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/week.php: Indentation cleanup, some HTML fixes,
	added a conditional around some WML specific code.

	* modules/calendar/inc/dayview.inc.php: New file with the
	"appointment parsing code" for day view. Part of the bugfix for
	bug item #602241.

	* modules/calendar/index.php: Some indentation cleanup, removed a
	FONT tag that was useless, some HTML cleanup.
	Major change to the way the day view is shown. The code "parsing"
	the appointments to generate the interval rows is now in
	inc/dayview.inc.php, and is required three times in
	index.php. This is done once for the regular day, and once for
	before and after the regular day. See the source for more. :) Part
	of the bugfix for bug item #602241.

	* modules/news/templates/default/html/news_list.tpl: Fixed bug
	item #602526, and fixed link to news detail view.

2002-08-30  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/js/scripts.js: Added
	scrollbars=yes to the help window opening function.

2002-08-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	Added an "I will" checkbox to the timeseries edit screen.

	* modules/calendar/index.php: Some work on cleaning up the code
	(indentation, $HTTP_*_VARS) and trying to understand what it does.
	Added an "I will" checkbox to the timeseries edit screen.
	Seems as if editing recurring events works now... should close
	bug #594696.

	* modules/calendar/details.php: Fixed details display (bug
	#600737).

2002-08-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/lang/settings.*.lang: Added string for
	countrysuisse to complete the Switzerland holiday patch.

	* modules/settings/templates/default/html/settings_calendar.tpl:
	* modules/calendar/inc/calendar_func.inc.php:
	* modules/calendar/lang/calendar.fr.lang: Added patch by [zimba]
	to add Switzerland holidays.

	* modules/todo/inc/todo_func.inc.php: Added patch by [zimba] to
	enable icon use for todo status in overview module.

2002-08-25  Honza Kropac  <honza@imachina.cz>
	* /modules/settings/inc/calendarform.inc: changed to allow working
	time from 6:00-24:00 (feature request #582511)
	* closing feature requests #599642 and #582511 (yearly repeating
	events), because already it's done
	* /modules/calendar/index.php: hopefuly fixed bug #594040
	* /modules/calendar/details.php:
	* /modules/calendar/templates/default/html/calendar_date_details.tpl:
	added buttons for editting/deleting an appointment

2002-08-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_comp_details.tpl:
	* modules/contact/inc/company.class.php: Some modifications to
	preserve paging state across actions (bug #598618).

	* modules/contact/templates/default/html/contact_comp_list.tpl:
	Some modifications to preserve paging state across actions.
	QuickSearch field now gets focus on page load.

	* modules/todo/inc/todo.class.php: Fixed bug #598504, and
	descriptions are now truncated after 50 characters in todo
	overview lists.

2002-08-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/headline/inc/headline_func.inc.php: Changed the code,
	this should fix bug #596020. I had no problems here...

	* modules/admin/rightsmanager.php: Fixed bug #590026.

	* modules/contact/lang/contact.en.lang: Filled empty string for
	honprefix.

	* modules/contact/inc/contact.class.php:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/html/contact_edit.tpl: Changes
	to fix bug #593387, now the paging state is preserved.

	* modules/contact/inc/company.class.php: Fixed bug #592641 to make
	search on company list possible.

2002-08-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/help/index.en.html: It turned out that the XSL for
	transforming DITA XML to HTML produces mainly bullshit. I fixed
	the file syntactically. Now it is clean XHTML 1.0
	Transitional. Bug #584856 still remains. I consider this a bug in
	IE 6.

	* docs/README_DITA: A new file about problems and solutions for
	writing documentation with DITA. This will probably change soon.

	* include/userfunc.inc: removed display_array(), since it wasn't
	used anywhere (as hondzik stated), and one can use print_r() for
	debugging instead.
	Added output of register_globals setting to showSQLerror().

	* setup/step1.inc.php: Fixed bug #591638 (setup error when using
	PHP as CGI).

	* setup/step3.inc.php:
	* setup/setupheader.inc.php: Unbelievably small fixes to HTML.

2002-08-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/usermanager.php: Fixed bug #593178. More work to
	be done...

	* modules/news/templates/default/html/news_details.tpl:
	* modules/news/index.php: Fixed bug #596529.

	* modules/todo/inc/todo.class.php: Fixed bug with cancelled status
	not showing correctly in edit screen.

	* modules/todo/inc/todo_func.inc.php: Fixed bug #590448 (No email
	link in overview module).

2002-08-16  Rune Hansen <rune@simplemente.net>
	* Submitted improved en.lang - files.
	* Files added to CVS by Bjorn Roger Rasmussen <brr@brr.no>.

2002-08-14  Honza Kropac  <honza@imachina.cz>
	* /modules/calendar/index.php:
	* /modules/calendar/week.php:
	* /modules/calendar/month.php:
	* /modules/calendar/templates/default/html/_select_calendar_owner.tpl:
	* /modules/calendar/lang/*:
	added patch from Andreas Daab for showing calendar of all users

2002-08-08  Honza Kropac  <honza@imachina.cz>
	* index.php chaged to display login error with correct charset
	* /modules/calendar/index.php:
	fixed bug in getting id for editting dateseries, added code for translation of js alerts
	* /modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* /modules/calendar/templates/default/html/calendar_date_edit.tpl:
	added posibility to create yearly repeating events, translated js alerts
	* /modules/calendar/inc/calendar_func.inc
	added posibility to create yearly repeating events
	* /modules/calendar/lang/*
	added texts for yearly repeating events and js alerts

2002-08-07  Honza Kropac  <honza@imachina.cz>
	* added chf and isk currencies to /modules/settings/templates/default/html/settings_datetime.tpl
	* /modules/general/demplates/default/js/scripts.js added 2 functions for formular controlling
	* /modules/settings/lang/settings.??.lang added 2 new keys, please translate it asap
	* /modules/settings/templates/default/html/settings_userdata.tpl added js to check pw before submit
	* /modules/settings/templates/default/html/settings_userdata.tpl added js to check pw before submit
	* /modules/settings/inc/userdataform.inc added 2 lines for translating error messages
	* /setup/step3.inc.php fixed charset issue
	* /include/smarty/* updated to version 2.3.0

2002-08-06  Honza Kropac  <honza@imachina.cz>
	* /modules/contact/inc/company.class.php fixed bug #584911
	* /modules/tts/index.php fixed bug #584853

2002-08-02  Honza Kropac  <honza@imachina.cz>
	* include/userfunc.inc:
	partially cleaned function display_array(), but it's never used and quoting array

2002-07-21  Bjorn Roger Rasmussen <brr@brr.no>

	* Updated /docs/Windows and /docs/RedHat with some information
	about support.
	* In /docs/Windows you will also find some information about
	know bugs and workarounds.

2002-07-19  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/templates/default/html/timesheet_details.tpl:
	* modules/projects/timesheet.php:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/html/contact_comp_details.tpl:
	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/company.class.php: Added patch by Bjarne
	Maschoreck, which adds an edit and a delete button to the item
	detail views.

2002-07-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/step1.inc.php: Changed the way the temporary root path is
	determined on windows platforms. Closes bug #582720.

	* modules/general/setup/install.sql: Added finnish to
	mgw_languages. Fixes bug #580626.

2002-07-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/todo/inc/todo_func.inc.php:
	* modules/todo/inc/todo.class.php:
	* modules/todo/index.php: Added patch by Bjarne Maschoreck, which
	adds an edit and a delete button to the todo item detail view.

2002-07-15  Olivier Bregeras  <stunti@laposte.net>
	* modules/headlines/inc/headline_func.inc.php :
	* modules/headlines/inc/sql_update.inc.php :
	* modules/headlines/index.php :
	* modules/headlines/templates/default/html/headl_channels_en.tpl :
	* modules/headlines/templates/default/html/headl_channels_en_rss.tpl :
		add the possibilty to create private channel

2002-07-14  Olivier Bregeras  <stunti@laposte.net>
	* modules/headlines/inc/definition.xml :
	* modules/headlines/inc/headline_func.inc.php :
	* modules/headlines/inc/sql_update.inc.php :
	* modules/headlines/index.php :
	* modules/headlines/setup/install.sql :
		add the automatic sql update processus

2002-07-13  Olivier Bregeras  <stunti@laposte.net>
	* modules/headlines/inc/config/rss.mdf :for RSS channel
	* modules/headlines/index.php :fix a little bug

2002-07-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/templates/default/html/login.tpl: Fixed layout
	problem with Mozilla 1.1+.

2002-07-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/timesheet.php: Applied patch submitted by
	Bjarne Maschoreck to enable editing/deletion of timesheets.

	* modules/projects/templates/default/html/projects_en.tpl: Applied
	patch submitted by Bjarne Maschoreck to fix an input field lenght
	mismatch.

	* modules/admin/rightsmanager.php: Applied patch submitted by Marc
	Ende to fix some register_globals issues.

2002-07-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/admin/groupmanager.php: Removed the part trying to
	insert default rights for the new group. It relied on hardcoded
	module id, these are gone anyway, so this didn't work at
	all. Admins now have to explicitly set rights for a new group!

	* modules/admin/templates/default/html/groupmanager_addrem.tpl:
	* modules/admin/templates/default/html/groupmanager_edit.tpl:
	* modules/admin/templates/default/html/groupmanager_list.tpl:
	Cleanup, variable passing changes, ...

	* modules/admin/groupmanager.php:
	* modules/admin/usermanager.php: Fixed bug #579237.

	* modules/projects/index.php: Added owner to projects, fixes
	bug #579253.

	* modules/projects/setup/install.sql: Added owner field to
	projects relation.

	* modules/tts/lang/tts.de.lang: Added german translation.

	* modules/tts/index.php: Fixed (I think) bug #579248.

2002-07-08  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2/templates/default/html/fetchmail-2.tpl:
	* modules/webmail2/templates/default/html/sendmail_post.tpl:
	* modules/webmail2/templates/default/html/sendmail.tpl:
	* modules/webmail2/templates/default/html/sendmail-2.tpl:
	* modules/webmail2/sendmail_post.php:
	* modules/webmail2/sendmail.php:
	* modules/webmail2/publicfolders_modify.php:
	* modules/webmail2/myfolders_modify.php:
	* modules/webmail2/maillist_modify.php:
	* modules/webmail2/fetchmail.php:
	* modules/webmail2/attachments_funcs.php:
	* modules/webmail2/attachments.php:
	* modules/webmail2/inc/webmail2_func.inc.php:
	* modules/webmail2/inc/func.get_msg.php:
	* modules/notes/templates/default/html/notes_list.tpl: Fixes to
	session id propagation.

	* modules/tts/index.php: Some array indices quoted, some SQL tuning.

	* modules/webmail2/maillist.php: Fixed bug #576439?!?

	* include/appconfig.inc: Added call to session_name() before
	starting session.

	* modules/webmail2/settings.php:
	* modules/webmail2/top.php:
	* modules/webmail2/templates/default/html/top.tpl:
	* modules/webmail2/readmessage.php:
	* modules/webmail2/index.php:
	* modules/webmail2/index2.php:
	* modules/webmail2/templates/default/html/webmail2_settings_editaccount.tpl:
	* modules/webmail2/templates/default/html/webmail2_settings_general.tpl:
	* modules/webmail2/templates/default/html/webmail2_settings_listaccounts.tpl:
	* modules/webmail2/templates/default/html/webmail2_settings_menu.tpl:
	* modules/webmail2/templates/default/html/_navi.tpl:
	* modules/webmail2/templates/default/html/_footer.tpl:
	* modules/webmail2/templates/default/html/index-1.tpl:
	* modules/webmail2/templates/default/html/index-2.tpl:
	* modules/webmail2/templates/default/html/index2.tpl: Same as
	below, but in no way finished. The whole module relies pretty much
	on cookies being enabled.

	* modules/tts/templates/default/html/tts_ticket.tpl:
	* modules/tts/templates/default/html/tts_list.tpl:
	* modules/tts/templates/default/html/tts_inter.tpl:
	* modules/tts/templates/default/html/tts_historic.tpl:
	* modules/tts/templates/default/html/tts_gantt_view.tpl:
	* modules/tts/index.php:

	* modules/headline/templates/default/html/headline_list.tpl:
	* modules/headline/templates/default/html/headline_en.tpl:
	* modules/headline/templates/default/html/headl_channels_en.tpl:
	* modules/headline/templates/default/html/headl_channel_list.tpl:

	* modules/forum/templates/default/html/thread_saved.tpl:
	* modules/forum/templates/default/html/permission_denied.tpl:
	* modules/forum/templates/default/html/new_thread.tpl:
	* modules/forum/templates/default/html/new_preview.tpl:
	* modules/forum/templates/default/html/list_threads.tpl:
	* modules/forum/templates/default/html/list_replies.tpl:
	* modules/forum/templates/default/html/list_groups.tpl:
	* modules/forum/templates/default/html/edit_denied.tpl:
	* modules/forum/templates/default/html/delete_thread.tpl:
	* modules/forum/templates/default/html/admin_options.tpl:
	* modules/forum/templates/default/html/admin_frm_moderators.tpl:
	* modules/forum/templates/default/html/admin_frm_forums.tpl:
	* modules/forum/templates/default/html/admin_frm_categories.tpl:
	* modules/forum/inc/forum.class.inc:
	* modules/forum/inc/smenu.inc:

	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	* modules/calendar/templates/default/html/calendar_date_details.tpl:
	* modules/calendar/templates/default/html/calendar_date_delete.tpl:
	* modules/calendar/inc/calendar_func.inc.php:
	* modules/calendar/index.php:

	* modules/projects/templates/default/html/*.tpl:
	* modules/projects/timesheet.php:
	* modules/projects/occupation.php:
	* modules/projects/index.php:

	* modules/partprog/templates/default/html/partprog_list.tpl:
	* modules/partprog/templates/default/html/partprog_en.tpl:
	* modules/partprog/templates/default/html/partprog_details.tpl:
	* modules/partprog/index.php:

	* modules/news/templates/default/html/news_list.tpl:
	* modules/news/templates/default/html/news_en.tpl:
	* modules/news/templates/default/html/news_details.tpl:
	* modules/news/templates/default/html/news_detailone.tpl:
	* modules/news/templates/default/html/news_channels_en.tpl:
	* modules/news/templates/default/html/news_channel_list.tpl:
	* modules/news/templates/default/html/news_channel_details.tpl:
	* modules/news/index.php:
	* modules/news/channels.php:

	* modules/admin/usermanager.php:
	* modules/admin/modulemanager.php:
	* modules/admin/groupmanager.php:
	* modules/admin/templates/default/html/usermanager_list.tpl:
	* modules/admin/templates/default/html/usermanager_en.tpl:
	* modules/admin/templates/default/html/rights_main.tpl:
	* modules/admin/templates/default/html/rights_en.tpl:
	* modules/admin/templates/default/html/rights_disp.tpl:
	* modules/admin/templates/default/html/modulemanager_list.tpl:
	* modules/admin/templates/default/html/modulemanager_en.tpl:
	* modules/admin/templates/default/html/groupmanager_list.tpl:
	* modules/admin/templates/default/html/groupmanager_en.tpl:
	* modules/admin/templates/default/html/groupmanager_addrem.tpl:

	* modules/settings/inc/forumformsave.inc:
	* modules/settings/templates/default/html/settings_*.tpl:
	* modules/settings/index.php: Switched to using the SID constant
	for session id propagation. In templates SESSION, SESSIONID and
	SESSIONNAME are used as needed.
	Some HTML cleanup.

	* include/container.inc: Fixed small bug in help menu generation.

	* setup/step4.inc.php: Fixed empty release and release date
	strings in config.inc.php
	Fixed another register_globals issue with root URL.
	Added session_name to appconf array.

	* setup/step3.inc.php: Fixed register_globals issue with root URL
	check.
	Fixed bugs #578452 and #578504.

2002-07-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/index.php: Some changes towards
	register_globals = Off.

	* modules/overview/templates/default/html/overview.tpl:

	* modules/overview/index.php: Same as below, and made PHP_SELF and
	REMOTE_ADDR read from $HTTP_SERVER_VARS.

	* modules/general/templates/default/html/login.tpl:
	* modules/general/templates/default/html/form_errors.tpl:
	* modules/general/templates/default/html/delete_item.tpl:
	* modules/general/templates/default/html/_navi.tpl:
	* modules/general/templates/default/html/_footer.tpl:

	* modules/contact/templates/default/html/contact_vi.tpl:
	* modules/contact/templates/default/html/contact_pdfexport.tpl:
	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/templates/default/html/contact_groups_list.tpl:
	* modules/contact/templates/default/html/contact_groups_edit.tpl:
	* modules/contact/templates/default/html/contact_groups_details.tpl:
	* modules/contact/templates/default/html/contact_edit.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/templates/default/html/contact_crm_list.tpl:
	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	* modules/contact/templates/default/html/contact_comp_list.tpl:
	* modules/contact/templates/default/html/contact_comp_edit.tpl:
	* modules/contact/templates/default/html/contact_comp_details.tpl:
	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contact.class.php:
	* modules/contact/inc/contact_func.inc.php:
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/inc/crm.class.php:

	* modules/todo/inc/todo.class.php:
	* modules/todo/inc/todo_func.inc.php:
	* modules/todo/templates/default/html/todo_edit.tpl:
	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/todo/templates/default/html/todo_list.tpl:

	* modules/notes/templates/default/html/notes_categories_edit.tpl:
	* modules/notes/templates/default/html/notes_categories_list.tpl:
	* modules/notes/templates/default/html/notes_details.tpl:
	* modules/notes/templates/default/html/notes_edit.tpl:
	* modules/notes/inc/note.class.php:
	* modules/notes/inc/category.class.php:

	* include/module_exec.inc:
	* index.php: Switched to using the SID constant for session id
	propagation. In templates SESSION, SESSIONID and SESSIONNAME are
	used as needed.

	* modules/todo/index.php: Removed some superflous redirects.

	* modules/projects/occupation.php:
	* modules/projects/index.php:
	* modules/news/channels.php: Changed call to alphabet_table.

	* include/userfunc.inc: Added a new Smarty assignment, SESSION
	now contains the content of the constant SID. Some HTML and SQL
	cleanup as well. Removed a unused function.
	The alphabet_table doesn't take the first parameter ($sid) any
	longer, remove it from the function calls (where I have
	forgotten).

	* include/appconfig.inc: Added new Smarty assignments, SESSION
	now contains the content of the constant SID. SESSIONID has
	session_id(), and SESSIONNAME has session_name().
	The Smarty assignment for phpself is now set using
	$HTTP_SERVER_VARS["PHP_SELF"], to make it work with
	register_globals off.
	Fixed bug #577492. At least logging in now works with
	register_globals=Off.

2002-07-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/templates/default/html/timesheet_selectview.tpl:
	Added patch by Bjarne Maschoreck to show timesheet description,
	and reordered the columns.

	* modules/todo/inc/todo_func.inc.php: Todo items in overview are
	now sorted according to the todo settings.

	* modules/contact/inc/company.class.php: Fixed bug #577290. Was
	caused by not importing HTTP_SERVER_VARS from the global scope.

	* setup/step2.inc.php: Fixed bug #577246.

	* modules/todo/inc/todo_func.inc.php: Fixed bug #577181.

2002-07-03  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/xml/mgw-addmodule.xml:
	* modules/admin/groupmanager.php:
	* modules/admin/modulemanager.php:
	* modules/admin/rightsmanager.php:
	* modules/admin/usermanager.php:
	* modules/calendar/inc/calendar_func.inc.php:
	* modules/calendar/collisions.php:
	* modules/calendar/details.php:
	* modules/calendar/index.php:
	* modules/calendar/month.php:
	* modules/calendar/urlaub.php:
	* modules/calendar/week.php:
	* modules/contact/index.php:
	* modules/headline/index.php:
	* modules/news/channels.php:
	* modules/news/index.php:
	* modules/overview/inc/overview_func.inc.php:
	* modules/overview/index.php:
	* modules/partprog/index.php:
	* modules/settings/inc/settings_func.inc.php:
	* modules/todo/inc/todo_func.inc.php:
	* modules/notes/index.php:
	* include/appconfig.inc:
	* include/mSelectBox.class.inc:
	* include/module_exec.inc:
	* include/userfunc.inc: Fixed bug #577113. This has been done
	automatically, so if anything fishy is going on now, please check
	the part around the call to revisionInit().

	* modules/forum/templates/default/html/list_replies.tpl:
	* modules/forum/inc/forum_func.inc.php:
	* modules/forum/inc/forum.thread.class.inc:
	* modules/forum/inc/forum.settings.class.inc:
	* modules/forum/inc/forum.class.inc: Follow-Up to fix of bug #577120.

	* modules/settings/lang/settings.*.lang:
	* modules/settings/templates/default/html/settings_genforum.tpl:
	* modules/settings/templates/default/html/settings_forum.tpl:
	* modules/settings/inc/adminforumform.inc:
	* modules/settings/inc/forumformsave.inc:
	* modules/settings/inc/forumform.inc: Fixed bug #577120.

	* modules/admin/templates/default/html/usermanager_en.tpl: Fixed
	bug #567405.

	* modules/general/templates/default/html/form_errors.tpl: Fixed
	table border.

	* modules/webmail2/inc/webmail2_settings_listaccounts.inc:
	Replaced use of $hashmap with Lang::getLanguageString().

	* modules/webmail2/lang/webmail2.en.lang: Fixed activated yes/no
	translation.

	* setup/step4.inc.php:
	* setup/step3.inc.php:
	* setup/step1.inc.php:
	* include/phpxd/include/parser/DTDParser.php:
	* include/phpxd/include/parser/DOMParser.php: Fixed bug #575521 by
	renaming the DOMParser class to phpDOMParser. Will submit a bug
	report to the phpxd sf.net page, to make them aware of this bug.

	* modules/projects/inc/smenu.inc: Fixed bug #576474. Timesheet
	creation isn't offered if no projects exist.

	* include/fpdf/fpdf.php:
	* include/fpdf/font/*.php: Changed encoding from DOS to Unix,
	hoping that this fixes the PDF error reported as bug #571670.

	* modules/calendar/index.php: Fixed bug caused by missing double
	quote on line 1295.

	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	Fixed bug #576521 (field truncation).

	* modules/todo/lang/todo.en.lang: Fixed two minor spelling
	mistakes

2002-07-02  Honza Kropac  <honza@imachina.cz>

	* fixing bug #575099: /modules/calendar/index.php
	* removing /modules/calendar/templates/.../calendar_date_new.php
	(now using calendar_date_edit.php)
	* closing bug #542453: /modules/calendar/index.php (user rights)

2002-06-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* index.php: Added initialisation for $num, to prevent possible
	overriding from the global scope.

	* /modules/webmail2: Updated to version 0-57.

2002-06-26  Honza Kropac  <honza@imachina.cz>

	* /modules/calendar/index.php
	* /modules/calendar/templates/default/html/calendar_date_new.tpl
	* /modules/calendar/lang/*
	* /modules/calendar/setup/install.sql
	* /modules/settings/inc/calendarform.inc
	* /modules/settings/inc/calendarformsave.inc
	* /modules/settings/templates/default/html/settings_calendar.tpl:
	I did few changes in calendar (and calendar settings) to respect
	rights settings, some code and template cleanings and I probably
	closed one feature request, but I can't get to sf.net to close it :(


2002-06-26  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/inc/userdataformsave.inc: Fixed bug #573543.

	* modules/todo/lang/todo.en.lang: Fixed bug #573739.

2002-06-25  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/tts/templates/default/html/tts_ticket.tpl: Fixed
	bug #572947 (textarea size).

	* modules/settings/templates/default/html/settings_menu.tpl: I
	added a link to webmail2 settings and reordered the items a
	little bit. Some HTML cleanup done as well.

	* include/Auth/sql.inc:
	* index.php: The login credentials are now taken from
	HTTP_POST_VARS directly, and are sent through $conn->qstr
	before used in a SQL statement. Fixes bug #573321. But still
	we need to search for all remaining insecure SQL strings!!

	* modules/general/templates/default/html/_footer: Changed the
	logout from passing action to view.

2002-06-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/webmail2: Updated webmail2 to version
	0-55-mgw-0-65cvs. Comments, flames, ... to Thomas, please! ;o)

2002-06-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php: Fixed bug #572340, the
	additional name(s) are now shown in list and email list
	view. Although I must say that this is a little bit confusing,
	since now something is shown as firstname, that effectively is
	something else... But anyway :)

2002-06-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/notes/inc/note.class.php: Fixed bug #572107 and added
	rights checking to opDelete().

2002-06-20  Honza Kropac  <honza@imachina.cz>

	* closing bug #571455: /include/lang.inc and /setup/index.php
	* changing status of bugs #565316,#526081 from pending to closed
	* feature req. #565885 (error message on bad login)
	/modules/general/templates/default/html/login.tpl
	/index.php
	/modules/general/lang/general.xx.lang (please check your files)

2002-06-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* docs/xml/mgw-addmodule.xml: Quite some fixes and updates, the
	part on module_exec.inc still needs to be updated.

	* docs/xml/mgw-instwin32ap.xml: Some very small changes.

	* docs/xml/mgw-faq.xml: Some updates, spelling/punctuation fixes.

	* docs/xml/mgw-localize.xml: Adapted the document to the current
	language file structure.

	* include/container.inc: Made the detection of the help file
	multi-language aware. If a localized help file is found, it is
	displayed. If not, the english help file is displayed if
	available. If this fails, a localized nohelp file is tried, and as
	a last fallback the english nohelp file is shown.

	* modules/contact/lang/contact.de.lang: Translated.

	* modules/contact/setup/install.sql: Changed type of field
	publicKey from varchar to text, since the previous type seemed too
	limited.

	* modules/contact/lang/contact.*.lang: Added string publickey.

	* modules/contact/templates/default/html/contact_edit.tpl: Added
	field for editing public key for contact.

	* modules/contact/templates/default/html/contact_details.tpl:
	Added row for displaying public key.

	* modules/contact/inc/contact.class.php: Added support for
	attaching ASCII armored public keys to contact entries (PGP,
	GnuPG, ...). Tom, make good use of it! ;o)

2002-06-18  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/general/help/nohelp.html: Help file shown when no module
	specific file exists.

	* include/container.inc: Added code to populate the URL for the
	help link, depending on whether a help file for the module exists,
	or not.

	* modules/general/templates/default/html/_navi.tpl: Added a
	persistent submenu entry for the help system.

	* modules/general/lang/_navi.*.lang: Added string "help" for
	adding help system.

	* modules/general/templates/default/js/scripts.js: Moved
	scripts.js out of the CSS folder, and into a js folder.
	Added function to open help window.

	* modules/general/templates/default/html/_header.tpl: Moved
	scripts.js out of the CSS folder, and into a js folder.

	* modules/general/lang/general.*.lang: Strings for use with the
	perm_errors template.

	* modules/general/templates/default/html/perm_errors.tpl: Template
	for permission (rights) error messages. Used in notes module, see
	there for usage example.

	* modules/notes/: Added the notes module (backported from 0.7). I
	changed the concept of groups to categories, lang maintainers
	please check the lang files, if already existent.

	* modules/general/lang/_navi.*.lang: Added string for notes
	module.

2002-06-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/projects/templates/default/html/projects_en.tpl: Fixed
	wrong text in submit button when in edit mode.

	* modules/sync/vcard.php: Export phone number from company record
	if no company phone is set in the contact.

	* modules/contact/inc/contact.class.php: If no company phone
	number and company email are present for a contact, the phone and
	email of the associated company are shown. Closes feature request
	#557234, thanks to Sebastien Bernard for the patches.

	* modules/contact/templates/default/html/contact_list.tpl: Fixed
	bug in new contact links.

	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	* modules/contact/inc/smenu.inc:
	* modules/contact/inc/crm.class.php:
	* modules/contact/index.php: Moving CRM code into it's own class.

	* modules/projects/mygantt.php: Hack to close bug #567419.

	* modules/general/setup/install.sql: Removed table definition for
	mgw_translations and changed the default password for "user" from
	"admin" to "user" (to make it more consistent). Removed all
	occurrences of TYPE=MyISAM.

2002-06-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact_func.inc.php: New file, contains
	linkEmail(), which creates a link to webmail or mailto:, depending
	on settings.

	* modules/settings/inc/contactformsave.inc:
	* modules/settings/inc/contactform.inc:
	* modules/settings/lang/settings.*.lang:
	* modules/settings/templates/default/html/settings_contact.tpl:
	* modules/contact/inc/company.class.php:
	* modules/contact/inc/contact.class.php:
	* modules/contact/templates/default/html/contact_comp_details.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	* modules/contact/setup/install.sql: Added possibility to make
	mailto: links point to the webmail2 module.

2002-05-24  Olivier Bregeras  <stunti@laposte.net>
	* add the language modification provided by Nghia Dao <n.dao@aiif.net>

2002-06-14  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/templates/default/html/settings_userdata.tpl:
	* modules/settings/inc/userdataformsave.inc: A user can now edit
	email and mobile number in settings -> personal data. Before this
	was only possible through the user admin.

	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	Small layout enhancement, fits on smaller screens now.

2002-06-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_crm_list.tpl:
	* modules/contact/templates/default/html/contact_crm_edit.tpl:
	* modules/contact/templates/default/html/contact_crm_details.tpl:
	* modules/contact/templates/default/html/contact_crm_detail_list.tpl:
	* modules/contact/setup/install.sql:
	* modules/contact/lang/contact.*.lang:
	* modules/contact/inc/smenu.inc:
	* modules/contact/contact_aquise.php: Worked on the CRM part of
	the contacts module. Heavily cleaned up the code. (Partially)
	closes feature requests #546970, #546969 and #521059.

	* modules/webmail2/inc/webmail2_settings_newaccount_save.inc:
	* modules/webmail2/inc/webmail2_settings_editaccount_save.inc:
	* modules/webmail2/inc/webmail2_settings_general_save.inc: Fixed
	bug when saving settings, caused by trying include a *.inc that is
	now *.inc.php.

2002-06-13  Honza Kropac  <honza@imachina.cz>

	* fixing bug #568103 in /modules/calendar/inc/calendar_func.inc.php
	* fixing bug #56844 in /modules/settings/inc/settings_func.inc.php
	* Slovak translation added to all modules. I'v added it to setup routines too

2002-06-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/inc/smenu.inc: Fixed bug #549988, the intial
	date for a new appointment is now correct after using the "Jump to
	Date" function.

	* setup/step2.inc.php:
	* setup/step3.inc.php: Fixed path to general templates media
	folder.

	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/inc/contact.class.php: The deletion code is now
	in the class files as well (as good as possible).

	* modules/contact/index.php:
	* modules/contact/inc/company.class.php:
	* modules/contact/templates/default/html/contact_comp_edit.tpl:
	The company management code is now in a seperate class file. Some
	adjustments and improvements have been done.

	* modules/webmail2: Added the new webmail2 module by Thomas
	Bley. Have fun with it!

	* modules/general/lang/_navi.*.lang: Added string for webmail2 and
	added "(old)" to the wmail string.

	* setup/inc/setup.xml: Added webmail2 as base module, old wmail is
	now user module.

	* setup/step4.inc.php: Added the possibility to let setup create
	folder with any name. See definition.xml in the webmail2 module
	for an example.

2002-06-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/overview/lang/overview.*.lang:
	* modules/todo/inc/todo_func.inc.php:
	* modules/overview/templates/default/html/overview.tpl: Added
	display of delegaded todo items in overview, together with name
	and email link of delegate. Closes feature request #559992.

	* modules/projects/templates/default/html/projects_list.tpl:
	* modules/projects/index.php: Added project status to project
	overview page. Closes feature request #558398.

2002-06-10  Honza Kropac  <honza@imachina.cz>

	* setup: whole setup uses charset to display correct national characters
	  and uses Lang::getLanguageString for texts.
	  Please look into /setup/inc/setup.xml and check the charset values
	* /index.php: charset added
	* /include/userfunc.inc: added private symbol to getIconStrings()
	* /include/lang.inc: Lang::getLanguageString checks if $MGW object exists
	* lot of code cleaning in partprog, now displays correctly details and 'private' icon
	* general/templates/default/html/: _tr8.tpl added, removed border=1 from _th8.tpl

2002-06-07  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php:
	* modules/contact/templates/default/html/contact_list.tpl: Fixed
	bug #564917.

	* modules/contact/templates/default/html/contact_details.tpl: Name
	of company now links to company details view.
	* modules/contact/inc/contactgroup.class.php:
	* modules/contact/index.php: More work on contact groups. Moved
	code to class file.

	* modules/contact/templates/default/html/contact_groups_details.tpl:
	* modules/contact/templates/default/html/contact_groups_edit.tpl:
	Reindetation, lowercased tags.

	* modules/contact/templates/default/html/contact_groups_list.tpl:
	Removed unused javascript function.

	* docs/SECURITY: New document containing information about some
	security issues.

	* docs/INSTALL: Added a note about update instructions being
	available on the user mailing list.

	* modules/forum/inc/forum.class.inc:

	* modules/tts/index.php: Fixed some uses of CONCAT (replaced by
	ADODB function) and fixed bug #564905 by adding an if clause
	around the code (lines 300 to 306).

	* modules/forum/bild.php: Fixed references to configtagid.

	* modules/forum/setup/install.sql: Removed TYPE=MyISAM to improve
	DB independence

	* modules/forum/inc/forum.admin.class.inc: Fixed reference to
	moduleid, fixes bugs #562233 and #561730.

	* modules/forum/admin.php: Quoted array indices.

	* modules/forum/inc/forum.class.inc: Fixed references to
	configtagid. Fixes bugs #564477 and #562361.
	Changed line 866 to fix bug #565774.

	* modules/forum/index.php: Quoted array indices, rmeoved some
	debugging code, reindentation.

2002-06-06  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/index.php:
	* modules/contact/contact_groups.php: Moved code to index.php, to
	clean it up and later transform it into a class again. Basic stuff
	(still|already) works...

2002-06-05  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/contact.class.php:
	* modules/contact/templates/default/html/contact_list.tpl:
	* modules/contact/templates/default/html/contact_details.tpl:
	Paging and back links now work together with quicksearch and
	alphabet selection.

	* include/userfunc.inc (alphabet_table): SID is now added for the
	"All" option as well.

	* include/version.inc: Changed to make it possible to see if CVS
	was used or the real 0.6.4pl1 release.

	* modules/contact/inc/definition.xml: Removed the cache folder
	creation, the module no longer needs it. To retain the knowhow for
	future need: <createCacheFolder value="true"/> does the magic.

	* include/userfunc.inc:
	* modules/contact/inc/contact_func.inc.php: Moved createCountrySB
	to userfunc.inc.

	* modules/contact/inc/pdf.class.php: Redesigned the output, header
	line now works, localisation works (so check your lang files for
	the pdf* strings!). The phone number is now printed fully, if no
	call through can be determined.

	* modules/contact/inc/contact.class.php: Moved code from index.php
	to this class file.

	* modules/forum/inc/forum.class.inc: Fixed bug #561699 (Permission
	denied). Thanks to ismedia for the hint.

2002-06-04  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_groups_list.tpl:
	some intial cleanup.

	* modules/contact/contact_groups.php: Removed the translate part -
	what was it's purpose anyway?

	* modules/contact/index.php: PDF export works better now, some
	errors have been removed from the code and more checks have been
	introduced. Using $HTTP_POST_VARS now. Using the cache folder for
	temporary files now.

	* modules/contact/templates/default/html/contact_pdfexport.tpl:
	Overhauled this to make it clearer and easier to understand.

	* modules/contact/lang/contact.*.lang: Added strings for new PDF
	export form.

	* include/fpdf: Update to version 1.41

	* include/jpgraph: Update to version 1.6.3

	* modules/calendar/collisions.php: Fixed the last RIGHT OUTER
	JOIN, closes bug #563660.

2002-05-24  Olivier Bregeras  <stunti@laposte.net>

	* modules/tts/index.php : add the summary page
	* modules/tts/templates/default/html/tts_summary.tpl : add it

2002-05-31  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* setup/step3.inc.php: Setup now shows localized module names and
	displays the module versions.

	* include/lang.inc: reformatted the source.

	* modules/wmail/templates/default/html/wmail_compose.tpl: Changed
	call to contact_lemails.php.

	* modules/general/templates/default/html/delete_item.tpl: Added
	hidden field "itemid" as a first step to get rid of mixing GET and
	POST when using this template. See contact/index.php for usage
	example.

	* modules/todo/index.php: deletion now looks for confirmation in
	HTTP_POST_VARS, not in global variable anymore.

	* modules/projects/inc/projects_func.inc.php:
	* modules/forum/inc/forum_func.inc.php:
	* modules/headline/inc/headline_func.inc.php:  Moved from *_func.inc.

	* modules/contact/tellist.php:
	* modules/contact/pdfdisplay.php:
	* modules/contact/index.php: Moved code to index.php.

	* modules/contact/contact_lemails.php:
	* modules/contact/index.php: Moved code from contact_lemails.php
	to index.php.

	* modules/contact/templates/default/html/contact_pdfexport.tpl:
	renamed from tellist_select.tpl

2002-05-31  Honza Kropac  <honza@imachina.cz>

	* revisited Spanish translation (merged with translation from
	Javier Duque)

2002-05-30  Honza Kropac  <honza@imachina.cz>

	* /modules/todo/inc/todo.class.php (viewList): declared
	$HTTP_GET_VARS as global (bug #562315).

2002-05-29  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_details.tpl:
	Reformatted, lowercased, simplified. Added support for the "dead"
	fields that are now supported.

	* modules/contact/templates/default/html/contact_edit.tpl: Some
	minor tweaking here.

	* modules/contact/index.php: (Mostly) rewrote the parts dealing
	with creating, editing and displaying an entry. All input is taken
	from HTTP_*_VARS and checked now before use.
	Furthermore a lot of "dead" fields in the database are now in use
	(Bj�rn: you should now see your second name ;).

	* modules/todo/inc/todo.class.php: Fixed bug #561696 (missing
	priority icons in todo).

	* modules/general/setup/install.sql: Fixed charset for pt_br.

	* setup/templates/default/html/step*.tpl: Added CSS definition for
	h1 element. This makes the heading smaller again. :-)

	* modules/tts/inc/tts_func.inc.php:
	* modules/wmail/inc/wmail_func.inc.php:
	* modules/settings/inc/settings_func.inc.php:
	* modules/calendar/inc/calendar_func.inc.php:
	* modules/overview/inc/overview_func.inc.php: Moved from *_func.inc.

	* setup/step2.inc.php: Changed the -18 chars, to -16 chars, since
	it reportedly broke setup on windows.

	* setup/step1.inc.php: Removed the hack introduced support PHP
	4.2, replaced it with just using HTTP_SERVER_VARS, which should
	work in all PHP versions.
	Changed the -18 chars, to -16 chars, since it reportedly broke
	setup on windows.

2002-05-28  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* include/container.inc: Added CVS id comment and changed
	auto-include from *.inc to *.inc.php.

	* modules/contact/templates/default/html/contact_edit.tpl: Added
	fields for some new entries. Changed the layout slightly. Using
	new variable names.

	* modules/contact/lang/contact.*.lang: Added strings for the new
	fields and changed some in the english file to make the output
	"nicer".

	* include/mSelectBox.class.inc: Reformatted the source.
	Added titles as per feature req #545961. I am not all happy with
	this, though...

	* modules/settings/inc/webmailformsave.inc: Fixed bug #561387. The
	password for webmail was encrypted, but the unencrypted form was
	saved to the settings...

	* docs/INSTALL: Changed commands dealing with write rights for
	installing.

	* modules/calendar/inc/calendar_func.inc: Fixed bug #558761 (wrong
	memorial day calculation).

	* setup/templates/default/html/step*.tpl: Added localization of
	next button.

	* setup/lang/setup.*.lang: Removed some strings
	related to update, added next string, fixed some things.

	* setup/inc/setup_func.inc: Changed $_POST to
	$_HTTP_POST_VARS. But this file isn't used anyway right now,
	right?
	Removed this file, we have no update anyway.

	* setup/setupheader.inc.php: Changed $_SERVER to $HTTP_SERVER_VARS
	(line 48) which broke setup on PHP < 4.1.
	Removed code related to update process.

	* setup/step1.inc.php: hack for 4.2 compatibility (bug #560871).

	* setup/step2.inc.php: Removed code related to update process.

	* setup/step3.inc.php: If using PostgreSQL, an empty hostname is
	now allowed (fixes bug #509593).

	* setup/step4.inc.php: The default group now has delete and modify
	rights on all modules (so you can delete your own items) but no
	langer any rights on the admin module.
	Removed code related to update process.

2002-05-27  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/templates/default/html/contact_list.tpl:
	Converted links to new variable passing scheme. Not completely
	finished.

	* include/userfunc.inc: Added prev and next to getIconStrings().
	Changed the way alphabet_table works. It now accepts two optional
	paramters. First is optional GET arguments, second is the base
	link URL (filename or relative path). If not given the values
	default to "action=alphab" and "index.php" (projects compatibility
	issue).

	* modules/contact/setup/install.sql: Removed TYPE and COMMENT
	(MySQL specifics) from SQL.

2002-05-26 Bjorn Roger Rasmussen <brr@brr.no>

	* Checked and done some improvements in the Norwegian translation.

2002-05-26  Honza Kropac  <honza@imachina.cz>

	* news/channels.php:  added check for creating/editting channel with already existing name
	please translate new phrase in news lang files.

	* general/templates/default/html/_th4.tpl: removed forgotten char '1'.

	* tts $_??? -> $HTTP_???_VARS, but still not working.

	* todos: fixed path to priority and status icons

2002-05-25  Olivier Bregeras  <stunti@laposte.net>

	* modules/headline/index.php: rename ./inc/HeadlineConfig.inc -> ./inc/HeadlineConfig.inc.php

2002-05-24  Olivier Bregeras  <stunti@laposte.net>

	* modules/headline/inc/headline.inc.php: Fix a bug that occur on some website.
        send \r\n\r\n instead of \n\n at the end of a HTTP GET.

	* modules/headline/inc/config/*.mcf: update some config file

	* modules/tts: add the TTS (Ticket Trouble System) module.
        backported from 0.7.x CVS tree.

2002-05-24  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/inc/smenu.inc: Some reordering of menu items,
	introduction of the new variable passing rules.

	* modules/contact/templates/default/html/contact_edit.tpl: Renamed
	contact_en.tpl, modified field order, layout fixes.

	* modules/contact/templates/default/html/contact_vi.tpl:
	Reindentation, lowercased tags.

	* modules/calendar/index.php: Changed RIGHT OUTER JOIN to LEFT
	OUTER JOIN. Thanks to El Gogg for finding this solution. See bug
	#557785 for more details on this. Fixes a number of bugs...

2002-05-23  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/inc/todo_func.inc.php: Added feature request
	#559584 (link from overview to todo details).

	* modules/settings/inc/datetimeformsave.inc: Fixed bug that
	prevented the date seperator to be saved correctly when choosing
	ddmmyy. Spotted by brr :-)

	* modules/settings/templates/default/html/settings_datetime.tpl:
	Reformatted  and lowercased the tags.

	* module/general/templates/default/media/key.gif:
	* module/general/templates/default/media/status*.gif:
	* module/general/templates/default/media/prio*.gif:
	Re-added the files, this time with correct binary mode.

2002-05-23  Honza Kropac  <honza@imachina.cz>

	* I add favicon.ico to general/templates/default/media
	and linked it to /general/templates/default/html/_header.tpl
	If you think you can draw better, feel free to do it :)

2002-05-22  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* scripts/mgwquery.sh: Added my lookup script for connecting the
	mutt email client and moregroupware.

	* modules/todo/setup/install.sql: userid, fromuserid, owner and
	projectid now have the same sime as the corresponding fields in
	mgw_users and mgw_projects.
	Removed the TYPE=MyISAM extension.

	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/todo/templates/default/html/todo_list.tpl: Changed
	template to work with the project linking code.

	* modules/todo/inc/todo.class.php:
	* modules/todo/index.php: Removed some unused code.
	Added links to project details in project column and on details
	page.
	Added iconmode support for priority.
	Moved most of the code to a class.

	* modules/todo/lang/todo.en.lang: Sorted the file and removed
	duplicates.

	* modules/settings/lang/settings.de.lang:
	* modules/settings/lang/settings.en.lang: Strings for todo module
	translated.

2002-05-21  Honza Kropac  <honza@imachina.cz>

	* setup/step2.inc.php: changed $_ vars to $HTTP_ vars (emailtotoms patch)

2002-05-21  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/todo/index.php: Changed to conform with the variable
	passing standards we agreed on.
	All variables are typecasted and/or checked before use.
	Removed own user from delegation drop down box.
	Can now edit delegation if owner.

	* modules/todo/templates/default/html/todo_list.tpl:
	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/todo/templates/default/html/todo_edit.tpl:
	* modules/todo/inc/smenu.inc: Changed to conform with the variable
	passing standards we agreed on. Adding mod parameter for future
	compatibility.

2002-05-20  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/templates/default/html/calendar_date_edit.tpl:
	* modules/calendar/templates/default/html/calendar_dateserie_edit.tpl:
	* modules/calendar/templates/default/html/calendar_date_new.tpl:
	Changed the way the form is checked, now works with Mozilla.

	* include/userfunc.inc: Added urlencode call to alphabet_table()
	function. Should fix bug#544306.

	* modules/todo/inc/definition.xml: Changed author (after the heavy
	changes done).

	* modules/todo/lang/todo.de.lang: Translated missing strings,
	removed duplicates and sorted the lines.

2002-05-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/overview/index.php: Renamed todo_func.inc to
	todo_func.inc.php.

	* modules/todo/templates/default/html/todo_edit.tpl:
	* modules/todo/index.php: Renamed from todo_en to todo_edit.
	Removed the parts building the icon strings used for action links,
	using getIconStrings() instead.

	* include/userfunc.inc: Added function getIconStrings() which
	delivers the img strings for action links. See todo module for
	usage example.

	* docs/html/mgw-faq.html: Removed references to
	moregroupware.sql. It was not in the source though. We should
	rebuild all XML docs before the next release!

	* modules/wmail/inc/mimePart.php:
	* modules/wmail/inc/class.html.mime.mail.inc: Updated this to
	version 2.0.3. Might fix some issues as reported in bug #548504.

2002-05-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/lang/settings.*.lang: Added string
	emaildelegade.

	* modules/settings/inc/todoform.inc:
	* modules/settings/inc/todoformsave.inc:
	* modules/settings/templates/default/html/settings_todo.tpl: Added
	possibility to configure email sending to recipients of delegaded
	todo items.


	* modules/todo/setup/install.sql: Added possibility to configure
	email sending to recipients of delegaded todo items.

	* modules/todo/inc/todo_func.inc: Moved the getTodo function here
	and added support for new status types.

	* modules/todo/lang/todo.*.lang: Added strings nosubject, pending,
	aborted.

	* modules/todo/inc/smenu.inc: Added todo overview item to submenu.

	* modules/todo/templates/default/html/todo_details.tpl: When using
	iconmode, status is now displayed as icons.

	* modules/todo/index.php: When using iconmode, status is now
	displayed as icons.
	Added aborted and pending status.
	Now showing firstname and lastname for delegadedto/from display to
	edit screen.
	When configured, delegated todo items are emailed to the recipient.


	* modules/overview/lang/overview.*.lang: Added string pending.

	* modules/overview/templates/default/html/overview.tpl: Added
	support for new status types -> removed % sign from the template..

	* modules/overview/index.php: Reindented, added localhost to
	refresh detection.
	Added inclusion of todo_func.inc.

	* modules/overview/templates/default/html/overview.tpl:
	Reindented, fixed wrong tag order.

	* modules/overview/inc/overview_func.inc: Reindented, quoted array
	indices, uppercased SQL.
	Modified getTodo function to deal with different enddate types.
	Removed getTodo function, moved it to the todo module.


	* modules/general/templates/default/css/scripts.js: Indentend
	according to our coding standard. Of what use is select_sub()?

	* modules/general/templates/default/css/Morelogs_Silver_Mozilla.css:
	* modules/general/templates/default/css/Morelogs_Silver.css:
	* modules/general/templates/default/css/Ocean.css:
	* modules/general/templates/default/css/on_the_beach.css:
	Removed all lines with "background:none;" as it seems not be
	needed but causes problems on Netscape 4.x.
	Lowercased all tag names and color codes, removed whitespace.
	Added Arial, Helvetica to the font family to make it more readable
	on NS 4.x under Linux.
	Added class definitions for subnavlinkon to on_the_beach and Ocean.

	* modules/general/templates/default/html/_tc9.tpl:
	* modules/general/templates/default/html/_tc10.tpl: Simplified and
	fixed the template. Not used anymore, what is it for?

	* modules/general/templates/default/html/_tr*.tpl:
	* modules/general/templates/default/html/_th*.tpl:
	* modules/general/templates/default/html/_tfx.tpl:
	* modules/general/templates/default/html/_navi.tpl:
	* modules/general/templates/default/html/_header.tpl:
	* modules/general/templates/default/html/_footer*.tpl:
	* modules/general/templates/default/html/_contentheader.tpl:
	* modules/general/templates/default/html/form_errors.tpl:
	* modules/general/templates/default/html/delete_item.tpl:
	* modules/general/templates/default/html/login.tpl: Simplified and
	fixed the template.

2002-05-13  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* index.php: Quoted some array indices, reindentation.

	* modules/todo/index.php:
	* modules/todo/templates/default/html/todo_details.tpl:
	* modules/todo/templates/default/html/todo_en.tpl: Todo items can
	now have enddate and time, only enddate or no enddate at all. add,
	list, detail work..

	* modules/todo/lang/todo.*.lang: Added strings endtype, datetime,
	dateonly and noenddate.

	* modules/todo/setup/install.sql: Added field for type of todo
	item enddate, 1 date+time, 2 date, 3 none.

	* modules/admin/templates/default/html/modulemanager_en.tpl:
	* modules/admin/modulemanager.php: Fixed bug #550714 and more...

	* modules/admin/templates/default/html/usermanager_en.tpl:
	Slightly changed the way the form is checked. Fixes bug #545643.

	* modules/news/index.php: When adding a news entry without
	providing a headline, it will be set to [no headline]
	automatically (fixes bug #554461).

	* modules/news/channels.php: When adding a new channel without
	providing a channel name, it will be set to [new channel]
	automatically.

	* setup/lang/setup.*.lang: Added strings err_oldtable and
	skipurlcheck.

	* setup/step3.inc.php: Checking for existing tables in the
	selected database now and giving the appropriate error message.
	The user can skip the root URL check to be able to install if the
	check misbehaves somehow.

	* setup/templates/default/html/step*.tpl:
	* setup/templates/default/html/requirement_error.tpl:
	* setup/templates/default/html/config_error.tpl: lowercased html
	tags, removed deprecated tags, shortened CSS.

	* setup/setupheader.inc.php: Exiting immediately when
	config.inc.php exists. We have no upgrade anyway...

2002-05-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/calendar/month.php: Added patch #521000 to pad the month
	view.

	* modules/settings/index.php: Small fix: changed muduleinclude to
	moduleinclude...

2002-05-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/sync/vcard.php: More work on the vcard import. Should
	work now. Committing related older stuff which has been backported
	from 0.7 CVS as well.

2002-05-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/settings/templates/default/html/settings_calendar.tpl:
	Added option for canadian holidays to the page. Thanks to Gary
	Marshall.

	* modules/settings/lang/settings.*.lang: Added strings for
	canadian holidays. Thanks to Gary Marshall.

	* modules/calendar/lang/calendar.*.lang: Added strings for
	canadian holidays. Thanks to Gary Marshall.

	* modules/calendar/inc/calendar_func.inc: Added functions
	get_weekday_onorbefore() and get_first_weekday(), added canadian
	holidays. Thanks to Gary Marshall.

2002-05-07  Honza Kropac  <honza@imachina.cz>

	* Smarty updated to version 2.1.0

2002-04-25  Marc Logemann  <loge@moregroupware.org>

	* setup is capable of creating cache folder based on definition.xml
	* setup will read its base and dummy module from setup.xml
	* setup now lists the available languages based on setup.xml
	* completed addition of several missing lang files

2002-04-17  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* projects/timesheet.php: Fixed bug #544531.
	* calendar/inc/calendar_func.inc: Fixed za holidays.

2002-04-16  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/vcardcreate.php: The code has been moved to
	index.php. This file is now obsolete.

	* modules/contact/templates/default/html/contact_details.tpl:
	Changed the call to the vcard export.

	* modules/contact/index.php: Changed doimport again, threw away
	half of the code. :-) Export is now in this file as well,
	vcardexport.php is now obsolete

	* modules/sync/vcard_adr.php:
	* modules/sync/vcard.php: more coding to get vcard export to
	work.

2002-04-16  Honza Kropac  <honza@imachina.cz>

	* include/userfunc.inc: alphabet_table function changed to display
	letters in 2 rows, if there is more than 26 letters.

	*feature request #536555 - state field in contacts.
	I'v added it to:
	docs/sql/install.sql
	contact/index.php
	contact/contact_comp.php
	contact/templates/default/html/contact_en.tpl
	contact/templates/default/html/contact_comp_en.tpl
	contact/templates/default/html/contact_details.tpl
	contact/templates/default/html/contact_comp_details.tpl
	contact/lang/*

2002-04-15  Honza Kropac  <honza@imachina.cz>

	* calendar/inc/calendar_func.inc:
	replacing easter_date() with old function, because it requires to
	have calendar package

2002-04-15  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* modules/contact/index.php: Changed some things in vcimportform
	and doimport.

	* modules/contact/vcardcreate.php: vcardexport.php no longer
	needed, simplified the code (a lot).

	* modules/sync/vcard.php (insertObject): Added support for po
	box, additional->extadr mapping, name_add and honorific_prefix.

	* modules/sync/vcard.php (getObjectByID): Added support for po
	box, additional->extadr mapping, name_add and
	honorific_prefix. Work address is set if available in company
	table.

	* modules/sync/vcard_tel.php:
	* modules/sync/vcard_email.php: reformatted source.

	* modules/sync/vcard_adr.php: Added support for PO box and
	extended address. Reworked some constructors.

	* modules/contact/inc/_contact_func.inc:
	* include/userfunc.inc: Moved the alphabet_table function and
	added support for german, norwegian (nb) and czech as did hondzik
	for 0.6 CVS.

	* include/userfunc.inc: Added norwegian (nb) and german alphabet
	to the alphabet_table function.

	* settings/templates/default/html/settings_calendar.tpl:
	* settings/lang/pt_br/settings.pt_br.lang:
	* calendar/lang/*/calendar.*.lang: Applied patches by Gary
	Marshall. We now have holidays for South Africa.

	* calendar/inc/calendar_func.inc: Applied patches by Gary
	Marshall. We now use a PHP function to get easter date and have
	holidays for South Africa. I reworked the patch a bit, so we have
	only one place were $easter is defined. I changed $ostern to
	$easter to enhance readability for non-german coders.

2002-04-13  Honza Kropac  <honza@imachina.cz>

	* calendar templates: I moved JS function MoveOption() from templates to /css/scripts.js

	* todo module: whole module should have quoted arrays now
	and there is always used Lang::getLanguageString instead of $hashmap.

	* contact module: whole module should have quoted arrays now.

	* contact/index.php: assigned action to contact_list template,
	so paging works with search results.

	* contact/inc/contact_func.inc:
	- changed function, which generates letters for alphabet
	  listing. there is swith on $MGW->spkz, default is standard alphabet
	  without special characters
	- I moved this function to include/userfunc.inc,
	  because it's used in news module too

	* contact/templates/default/html/contact_groups_details.tpl:
	changed to display lu_date and lu_user correctly

	* include/userfunc.inc: 3 new functions for formatting
	date and time acording to user prefs

	* include/appconfig.inc: registering 3 new smarty
	modifiers (functions from userfunc.inc)

	* news/inc/news_func.inc:
	I removed this file, because it contained only function alphabet_table,
	which is in include/userfunc.inc now (as I wrote before)

	* projects/inc/projects_func.inc:
	function alphabet_table removed, exists in include/userfunc.inc now (as I wrote before)

2002-04-12  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* headline/index.php: Made some subtle changes to the functions
	adding and deleting channels for a user.

	* settings/index.php: Removed a very old piece of code causing bug
	#542527, but not being responsible for it...
	Changed the demo mode check to use stristr instead of (slow) ereg.

	* calendar/inc/calendar_func.inc: replaced the get_weeknumber
	function with something much shorter :-) and removed the
	iso_week_days function. Hopefully fixed bug #539680.

	* contact/templates/default/html/contact_en.tpl: Fixed bug
	#539477.

2002-04-11  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* wmail/inc/class.pop3.inc: Prepended @ to calls to set_time_limit
	to avoid warnings as in bug #536307.

	* projects/timesheet.php: Fixed bugs #526073, #517153, #530092.

	* settings/templates/default/html/settings_calendar.tpl: Added
	option for Norwegian holidays.

	* settings/lang/no/settings.no.lang: Added string countrynorway.

	* calendar/lang/no/calendar.no.lang: Added some strings for
	norwegian holidays.

	* calendar/inc/calendar_func.inc:
	- completely reformatted the source for better readybility
	- quoted array indices
	- replaced $hashmap[] with Lang::getLanguageString
	- now returns an empty string when lang not supported
	- added norwegian holidays (closes feature request #521747).

	* calendar/index.php: Completely reformatted the source for better
	readybility. No other changes.

2002-04-10  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* css/scripts.js: Fixed bug #541277.

	* calendar/inc/calendar_func.inc: Fixed bug #541655.

2002-04-09  Karsten Dambekalns  <k.dambekalns@fishfarm.de>

	* todo/index.php: Quoted array indices.

